import xml.etree.ElementTree as ET



fullGlyphOrder =     [['0', '.notdef', 'None'], ['1', '.null', '0'], ['2', 'uni0002', '2'], ['3', 'uni0009', '9'], ['4', 'CR', '13'], ['5', 'space', '32'], ['6', 'exclam', '33'], ['7', 'quotedbl', '34'], ['8', 'numbersign', '35'], ['9', 'dollar', '36'], ['10', 'percent', '37'], ['11', 'ampersand', '38'], ['12', 'quotesingle', '39'], ['13', 'parenleft', '40'], ['14', 'parenright', '41'], ['15', 'asterisk', '42'], ['16', 'plus', '43'], ['17', 'comma', '44'], ['18', 'hyphen', '45'], ['19', 'period', '46'], ['20', 'slash', '47'], ['21', 'zero', '48'], ['22', 'one', '49'], ['23', 'two', '50'], ['24', 'three', '51'], ['25', 'four', '52'], ['26', 'five', '53'], ['27', 'six', '54'], ['28', 'seven', '55'], ['29', 'eight', '56'], ['30', 'nine', '57'], ['31', 'colon', '58'], ['32', 'semicolon', '59'], ['33', 'less', '60'], ['34', 'equal', '61'], ['35', 'greater', '62'], ['36', 'question', '63'], ['37', 'at', '64'], ['38', 'A', '65'], ['39', 'B', '66'], ['40', 'C', '67'], ['41', 'D', '68'], ['42', 'E', '69'], ['43', 'F', '70'], ['44', 'G', '71'], ['45', 'H', '72'], ['46', 'I', '73'], ['47', 'J', '74'], ['48', 'K', '75'], ['49', 'L', '76'], ['50', 'M', '77'], ['51', 'N', '78'], ['52', 'O', '79'], ['53', 'P', '80'], ['54', 'Q', '81'], ['55', 'R', '82'], ['56', 'S', '83'], ['57', 'T', '84'], ['58', 'U', '85'], ['59', 'V', '86'], ['60', 'W', '87'], ['61', 'X', '88'], ['62', 'Y', '89'], ['63', 'Z', '90'], ['64', 'bracketleft', '91'], ['65', 'backslash', '92'], ['66', 'bracketright', '93'], ['67', 'asciicircum', '94'], ['68', 'underscore', '95'], ['69', 'grave', '96'], ['70', 'a', '97'], ['71', 'b', '98'], ['72', 'c', '99'], ['73', 'd', '100'], ['74', 'e', '101'], ['75', 'f', '102'], ['76', 'g', '103'], ['77', 'h', '104'], ['78', 'i', '105'], ['79', 'j', '106'], ['80', 'k', '107'], ['81', 'l', '108'], ['82', 'm', '109'], ['83', 'n', '110'], ['84', 'o', '111'], ['85', 'p', '112'], ['86', 'q', '113'], ['87', 'r', '114'], ['88', 's', '115'], ['89', 't', '116'], ['90', 'u', '117'], ['91', 'v', '118'], ['92', 'w', '119'], ['93', 'x', '120'], ['94', 'y', '121'], ['95', 'z', '122'], ['96', 'braceleft', '123'], ['97', 'bar', '124'], ['98', 'braceright', '125'], ['99', 'asciitilde', '126'], ['100', 'exclamdown', '161'], ['101', 'cent', '162'], ['102', 'sterling', '163'], ['103', 'currency', '164'], ['104', 'yen', '165'], ['105', 'brokenbar', '166'], ['106', 'section', '167'], ['107', 'dieresis', '168'], ['108', 'copyright', '169'], ['109', 'ordfeminine', '170'], ['110', 'guillemotleft', '171'], ['111', 'logicalnot', '172'], ['112', 'registered', '174'], ['113', 'macron', '175'], ['114', 'degree', '176'], ['115', 'plusminus', '177'], ['116', 'twosuperior', '178'], ['117', 'threesuperior', '179'], ['118', 'acute', '180'], ['119', 'mu', '181'], ['120', 'paragraph', '182'], ['121', 'periodcentered', '183'], ['122', 'cedilla', '184'], ['123', 'onesuperior', '185'], ['124', 'ordmasculine', '186'], ['125', 'guillemotright', '187'], ['126', 'onequarter', '188'], ['127', 'onehalf', '189'], ['128', 'threequarters', '190'], ['129', 'questiondown', '191'], ['130', 'AE', '198'], ['131', 'multiply', '215'], ['132', 'Oslash', '216'], ['133', 'Thorn', '222'], ['134', 'germandbls', '223'], ['135', 'ae', '230'], ['136', 'eth', '240'], ['137', 'divide', '247'], ['138', 'oslash', '248'], ['139', 'thorn', '254'], ['140', 'dcroat', '273'], ['141', 'Hbar', '294'], ['142', 'dotlessi', '305'], ['143', 'kgreenlandic', '312'], ['144', 'Lslash', '321'], ['145', 'lslash', '322'], ['146', 'Eng', '330'], ['147', 'eng', '331'], ['148', 'OE', '338'], ['149', 'oe', '339'], ['150', 'longs', '383'], ['151', 'bbar', '384'], ['152', 'Bhook', '385'], ['153', 'Btopbar', '386'], ['154', 'btopbar', '387'], ['155', 'Tonesix', '388'], ['156', 'tonesix', '389'], ['157', 'Oopen', '390'], ['158', 'Chook', '391'], ['159', 'chook', '392'], ['160', 'Dbar1', '393'], ['161', 'Dhook', '394'], ['162', 'Dtopbar', '395'], ['163', 'dtopbar', '396'], ['164', 'deltaturn', '397'], ['165', 'Eturn', '398'], ['166', 'Schwa', '399'], ['167', 'Epsilon1', '400'], ['168', 'Fhook', '401'], ['169', 'florin', '402'], ['170', 'Ghook', '403'], ['171', 'Gamma1', '404'], ['172', 'hv', '405'], ['173', 'Ibar', '407'], ['174', 'Khook', '408'], ['175', 'khook', '409'], ['176', 'lbar', '410'], ['177', 'lambdabar', '411'], ['178', 'mcapturn', '412'], ['179', 'Nhook', '413'], ['180', 'Ohorn', '416'], ['181', 'ohorn', '417'], ['182', 'OI', '418'], ['183', 'oi', '419'], ['184', 'Phook', '420'], ['185', 'phook', '421'], ['186', 'YR', '422'], ['187', 'Tonetwo', '423'], ['188', 'tonetwo', '424'], ['189', 'Esh', '425'], ['190', 'eshlooprev', '426'], ['191', 'tpalatalhook', '427'], ['192', 'Thook', '428'], ['193', 'thook', '429'], ['194', 'Trthook', '430'], ['195', 'Uhorn', '431'], ['196', 'uhorn', '432'], ['197', 'Upsilon2', '433'], ['198', 'Vcursive', '434'], ['199', 'Yhook', '435'], ['200', 'yhook', '436'], ['201', 'Zbar', '437'], ['202', 'zbar', '438'], ['203', 'uni01B7', '439'], ['204', 'uni01B8', '440'], ['205', 'uni01B9', '441'], ['206', 'uni01BA', '442'], ['207', 'uni01BB', '443'], ['208', 'Tonefive', '444'], ['209', 'tonefive', '445'], ['210', 'glottalstopbarinv', '446'], ['211', 'wynn', '447'], ['212', 'pipe', '448'], ['213', 'pipedbl', '449'], ['214', 'pipedblbar', '450'], ['215', 'exclam1', '451'], ['216', 'uni01C4', '452'], ['217', 'uni01C5', '453'], ['218', 'uni01C6', '454'], ['219', 'Gbar', '484'], ['220', 'gbar', '485'], ['221', 'uni01EE', '494'], ['222', 'uni01EF', '495'], ['223', 'uni01F6', '502'], ['224', 'uni01F7', '503'], ['225', 'uni021C', '540'], ['226', 'uni021D', '541'], ['227', 'uni0220', '544'], ['228', 'uni0221', '545'], ['229', 'uni0222', '546'], ['230', 'uni0223', '547'], ['231', 'uni0224', '548'], ['232', 'uni0225', '549'], ['233', 'uni0234', '564'], ['234', 'uni0235', '565'], ['235', 'uni0236', '566'], ['236', 'uni0237', '567'], ['237', 'uni0238', '568'], ['238', 'uni0239', '569'], ['239', 'uni023A', '570'], ['240', 'uni023B', '571'], ['241', 'uni023C', '572'], ['242', 'uni023D', '573'], ['243', 'uni023E', '574'], ['244', 'uni023F', '575'], ['245', 'uni0240', '576'], ['246', 'uni0241', '577'], ['247', 'uni0242', '578'], ['248', 'uni0243', '579'], ['249', 'uni0244', '580'], ['250', 'uni0245', '581'], ['251', 'uni0246', '582'], ['252', 'uni0247', '583'], ['253', 'uni0248', '584'], ['254', 'uni0249', '585'], ['255', 'uni024A', '586'], ['256', 'uni024B', '587'], ['257', 'uni024C', '588'], ['258', 'uni024D', '589'], ['259', 'uni024E', '590'], ['260', 'uni024F', '591'], ['261', 'aturn', '592'], ['262', 'ascript', '593'], ['263', 'ascriptturn', '594'], ['264', 'bhook', '595'], ['265', 'oopen', '596'], ['266', 'ccurl', '597'], ['267', 'drthook', '598'], ['268', 'dhook', '599'], ['269', 'erev', '600'], ['270', 'schwa', '601'], ['271', 'schwahook', '602'], ['272', 'epsilon1', '603'], ['273', 'epsilon1rev', '604'], ['274', 'epsilon1revhook', '605'], ['275', 'epsilon1revclosed', '606'], ['276', 'jdotlessbar', '607'], ['277', 'ghook', '608'], ['278', 'gcursive', '609'], ['279', 'Gsmallcap', '610'], ['280', 'gamma1', '611'], ['281', 'babygamma', '612'], ['282', 'hturn', '613'], ['283', 'hhook', '614'], ['284', 'henghook', '615'], ['285', 'ibar', '616'], ['286', 'iota1', '617'], ['287', 'Ismallcap', '618'], ['288', 'lmidtilde', '619'], ['289', 'lbelt', '620'], ['290', 'lrthook', '621'], ['291', 'lyogh', '622'], ['292', 'mturn', '623'], ['293', 'mturndescend', '624'], ['294', 'mhook', '625'], ['295', 'nlfthook', '626'], ['296', 'nrthook', '627'], ['297', 'Nsmallcap', '628'], ['298', 'OEsmallcap', '630'], ['299', 'omegaclosed', '631'], ['300', 'philatin', '632'], ['301', 'rturn', '633'], ['302', 'rturnascend', '634'], ['303', 'rturnrthook', '635'], ['304', 'rdescend', '636'], ['305', 'rrthook', '637'], ['306', 'rfishhook', '638'], ['307', 'rfishhookrev', '639'], ['308', 'Rsmallcap', '640'], ['309', 'Rsmallcapinv', '641'], ['310', 'srthook', '642'], ['311', 'esh', '643'], ['312', 'jhookdblbar', '644'], ['313', 'eshshortrev', '645'], ['314', 'eshcurl', '646'], ['315', 'tturn', '647'], ['316', 'trthook', '648'], ['317', 'ubar', '649'], ['318', 'upsilonlatin', '650'], ['319', 'vscript', '651'], ['320', 'vturn', '652'], ['321', 'wturn', '653'], ['322', 'yturn', '654'], ['323', 'Ysmallcap', '655'], ['324', 'zrthook', '656'], ['325', 'zcurl', '657'], ['326', 'uni0292', '658'], ['327', 'uni0293', '659'], ['328', 'glottalstop', '660'], ['329', 'glottalstoprevinv', '661'], ['330', 'glottalstopinv', '662'], ['331', 'cstretch', '663'], ['332', 'bullseye', '664'], ['333', 'epsilonclosed', '666'], ['334', 'Gsmallcaphook', '667'], ['335', 'jcrosstail', '669'], ['336', 'kturn', '670'], ['337', 'Lsmallcap', '671'], ['338', 'qhook', '672'], ['339', 'glottalstopbar', '673'], ['340', 'glottalstopbarrev', '674'], ['341', 'dz', '675'], ['342', 'dyogh', '676'], ['343', 'dzcurl', '677'], ['344', 'ts', '678'], ['345', 'tesh', '679'], ['346', 'tccurl', '680'], ['347', 'uni02A9', '681'], ['348', 'finalkaf', '682'], ['349', 'uni02AB', '683'], ['350', 'uni02AC', '684'], ['351', 'finalmem', '685'], ['352', 'uni02AE', '686'], ['353', 'finalnun', '687'], ['354', 'hsuper', '688'], ['355', 'hhooksuper', '689'], ['356', 'jsuper', '690'], ['357', 'rsuper', '691'], ['358', 'rturnsuper', '692'], ['359', 'finaltsadi', '693'], ['360', 'Rturnsuper', '694'], ['361', 'wsuper', '695'], ['362', 'ysuper', '696'], ['363', 'uni02B9', '697'], ['364', 'uni02BA', '698'], ['365', 'uni02BB', '699'], ['366', 'uni02BD', '701'], ['367', 'uni02BE', '702'], ['368', 'uni02BF', '703'], ['369', 'uni02C0', '704'], ['370', 'uni02C1', '705'], ['371', 'uni02C2', '706'], ['372', 'uni02C3', '707'], ['373', 'uni02C4', '708'], ['374', 'uni02C5', '709'], ['375', 'circumflex', '710'], ['376', 'caron', '711'], ['377', 'linevert', '712'], ['378', 'uni02C9', '713'], ['379', 'uni02CA', '714'], ['380', 'uni02CB', '715'], ['381', 'uni02CC', '716'], ['382', 'macronsub', '717'], ['383', 'uni02CE', '718'], ['384', 'uni02CF', '719'], ['385', 'uni02D0', '720'], ['386', 'uni02D1', '721'], ['387', 'uni02D2', '722'], ['388', 'uni02D3', '723'], ['389', 'uni02D4', '724'], ['390', 'uni02D5', '725'], ['391', 'uni02D6', '726'], ['392', 'uni02D7', '727'], ['393', 'breve', '728'], ['394', 'dotaccent', '729'], ['395', 'ring', '730'], ['396', 'ogonek', '731'], ['397', 'tilde', '732'], ['398', 'hungarumlaut', '733'], ['399', 'uni02DE', '734'], ['400', 'qofdagesh', '735'], ['401', 'gammasuper', '736'], ['402', 'shindagesh', '737'], ['403', 'tavdages', '738'], ['404', 'xsuper', '739'], ['405', 'uni02E4', '740'], ['406', 'uni02E5', '741'], ['407', 'uni02E6', '742'], ['408', 'uni02E7', '743'], ['409', 'uni02E8', '744'], ['410', 'uni02E9', '745'], ['411', 'uni02EA', '746'], ['412', 'uni02EB', '747'], ['413', 'uni02EC', '748'], ['414', 'uni02ED', '749'], ['415', 'dblapostrophe', '750'], ['416', 'uni02EF', '751'], ['417', 'uni02F0', '752'], ['418', 'uni02F1', '753'], ['419', 'uni02F2', '754'], ['420', 'uni02F3', '755'], ['421', 'uni02F4', '756'], ['422', 'uni02F5', '757'], ['423', 'uni02F6', '758'], ['424', 'uni02F7', '759'], ['425', 'uni02F8', '760'], ['426', 'uni02F9', '761'], ['427', 'uni02FA', '762'], ['428', 'uni02FB', '763'], ['429', 'uni02FC', '764'], ['430', 'uni02FD', '765'], ['431', 'uni02FE', '766'], ['432', 'uni02FF', '767'], ['433', 'gravecomb', '768'], ['434', 'acutecomb', '769'], ['435', 'circumflexnosp', '770'], ['436', 'tildecomb', '771'], ['437', 'macroncomb', '772'], ['438', 'overscorenosp', '773'], ['439', 'brevenosp', '774'], ['440', 'dotnosp', '775'], ['441', 'dieresisnosp', '776'], ['442', 'hook', '777'], ['443', 'ringnosp', '778'], ['444', 'acutedblnosp', '779'], ['445', 'uni030C', '780'], ['446', 'linevertnosp', '781'], ['447', 'linevertdblnosp', '782'], ['448', 'uni030F', '783'], ['449', 'candrabindunosp', '784'], ['450', 'breveinvnosp', '785'], ['451', 'commaturnsupnosp', '786'], ['452', 'uni0313', '787'], ['453', 'commasuprevnosp', '788'], ['454', 'uni0315', '789'], ['455', 'gravesubnosp', '790'], ['456', 'acutesubnosp', '791'], ['457', 'tackleftsubnosp', '792'], ['458', 'tackrightsubnosp', '793'], ['459', 'anglesupnosp', '794'], ['460', 'hornnosp', '795'], ['461', 'ringlefthalfsubnosp', '796'], ['462', 'tackupsubnosp', '797'], ['463', 'tackdownsubnosp', '798'], ['464', 'plussubnosp', '799'], ['465', 'minussubnosp', '800'], ['466', 'hooksubpalatnosp', '801'], ['467', 'hooksubretronosp', '802'], ['468', 'dotbelow', '803'], ['469', 'dotdblsubnosp', '804'], ['470', 'ringsubnosp', '805'], ['471', 'uni0326', '806'], ['472', 'cedillanosp', '807'], ['473', 'ogoneknosp', '808'], ['474', 'linevertsubnosp', '809'], ['475', 'bridgesubnosp', '810'], ['476', 'archdblsubnosp', '811'], ['477', 'uni032C', '812'], ['478', 'circumflexsubnosp', '813'], ['479', 'brevesubnosp', '814'], ['480', 'breveinvsubnosp', '815'], ['481', 'tildesubnosp', '816'], ['482', 'macronsubnosp', '817'], ['483', 'underscorenosp', '818'], ['484', 'underscoredblnosp', '819'], ['485', 'tildemidnosp', '820'], ['486', 'barmidshortnosp', '821'], ['487', 'barmidlongnosp', '822'], ['488', 'slashshortnosp', '823'], ['489', 'slashlongnosp', '824'], ['490', 'ringrighthalfsubnosp', '825'], ['491', 'bridgeinvsubnosp', '826'], ['492', 'squaresubnosp', '827'], ['493', 'seagullsubnosp', '828'], ['494', 'xsupnosp', '829'], ['495', 'tildevertsupnosp', '830'], ['496', 'overscoredblnosp', '831'], ['497', 'graveleftnosp', '832'], ['498', 'acuterightnosp', '833'], ['499', 'uni0342', '834'], ['500', 'uni0343', '835'], ['501', 'diaeresistonosnosp', '836'], ['502', 'iotasubnosp', '837'], ['503', 'uni0346', '838'], ['504', 'uni0347', '839'], ['505', 'uni0348', '840'], ['506', 'uni0349', '841'], ['507', 'uni034A', '842'], ['508', 'uni034B', '843'], ['509', 'uni034C', '844'], ['510', 'uni034D', '845'], ['511', 'uni034E', '846'], ['512', 'uni034F', '847'], ['513', 'uni0350', '848'], ['514', 'uni0351', '849'], ['515', 'uni0352', '850'], ['516', 'uni0353', '851'], ['517', 'uni0354', '852'], ['518', 'uni0355', '853'], ['519', 'uni0356', '854'], ['520', 'uni0357', '855'], ['521', 'uni0358', '856'], ['522', 'uni0359', '857'], ['523', 'uni035A', '858'], ['524', 'uni035B', '859'], ['525', 'uni035C', '860'], ['526', 'uni035D', '861'], ['527', 'uni035E', '862'], ['528', 'uni035F', '863'], ['529', 'uni0360', '864'], ['530', 'uni0361', '865'], ['531', 'uni0362', '866'], ['532', 'uni0363', '867'], ['533', 'uni0364', '868'], ['534', 'uni0365', '869'], ['535', 'uni0366', '870'], ['536', 'uni0367', '871'], ['537', 'uni0368', '872'], ['538', 'uni0369', '873'], ['539', 'uni036A', '874'], ['540', 'uni036B', '875'], ['541', 'uni036C', '876'], ['542', 'uni036D', '877'], ['543', 'uni036E', '878'], ['544', 'uni036F', '879'], ['545', 'uni0370', '880'], ['546', 'uni0371', '881'], ['547', 'uni0372', '882'], ['548', 'uni0373', '883'], ['549', 'numeralgreek', '884'], ['550', 'numeralgreeksub', '885'], ['551', 'uni0376', '886'], ['552', 'uni0377', '887'], ['553', 'uni037B', '891'], ['554', 'uni037C', '892'], ['555', 'uni037D', '893'], ['556', 'questiongreek', '894'], ['557', 'tonos', '900'], ['558', 'dieresistonos', '901'], ['559', 'anoteleia', '903'], ['560', 'Gamma', '915'], ['561', 'Delta', '916'], ['562', 'Theta', '920'], ['563', 'Lambda', '923'], ['564', 'Xi', '926'], ['565', 'Pi', '928'], ['566', 'Sigma', '931'], ['567', 'Phi', '934'], ['568', 'Psi', '936'], ['569', 'Omega', '937'], ['570', 'alpha', '945'], ['571', 'beta', '946'], ['572', 'gamma', '947'], ['573', 'delta', '948'], ['574', 'epsilon', '949'], ['575', 'zeta', '950'], ['576', 'eta', '951'], ['577', 'theta', '952'], ['578', 'iota', '953'], ['579', 'lambda', '955'], ['580', 'xi', '958'], ['581', 'pi', '960'], ['582', 'rho', '961'], ['583', 'sigma1', '962'], ['584', 'sigma', '963'], ['585', 'tau', '964'], ['586', 'upsilon', '965'], ['587', 'phi', '966'], ['588', 'psi', '968'], ['589', 'omega', '969'], ['590', 'uni03CF', '975'], ['591', 'beta1', '976'], ['592', 'uni03D1', '977'], ['593', 'uni03D2', '978'], ['594', 'phi1', '981'], ['595', 'uni03D6', '982'], ['596', 'uni03D7', '983'], ['597', 'uni03D8', '984'], ['598', 'uni03D9', '985'], ['599', 'Stigma', '986'], ['600', 'stigma', '987'], ['601', 'Digamma', '988'], ['602', 'digamma', '989'], ['603', 'Koppa', '990'], ['604', 'koppa', '991'], ['605', 'Sampi', '992'], ['606', 'sampi', '993'], ['607', 'kappa1', '1008'], ['608', 'rho1', '1009'], ['609', 'uni03F5', '1013'], ['610', 'uni03F6', '1014'], ['611', 'uni03FB', '1019'], ['612', 'uni03FC', '1020'], ['613', 'uni03FD', '1021'], ['614', 'uni03FE', '1022'], ['615', 'uni03FF', '1023'], ['616', 'uni0402', '1026'], ['617', 'uni0404', '1028'], ['618', 'uni0409', '1033'], ['619', 'uni040A', '1034'], ['620', 'uni040B', '1035'], ['621', 'uni040F', '1039'], ['622', 'uni0411', '1041'], ['623', 'uni0414', '1044'], ['624', 'uni0416', '1046'], ['625', 'uni0417', '1047'], ['626', 'uni0418', '1048'], ['627', 'uni041B', '1051'], ['628', 'uni0423', '1059'], ['629', 'uni0424', '1060'], ['630', 'uni0426', '1062'], ['631', 'uni0427', '1063'], ['632', 'uni0428', '1064'], ['633', 'uni0429', '1065'], ['634', 'uni042A', '1066'], ['635', 'uni042B', '1067'], ['636', 'uni042C', '1068'], ['637', 'uni042D', '1069'], ['638', 'uni042E', '1070'], ['639', 'uni042F', '1071'], ['640', 'uni0431', '1073'], ['641', 'uni0432', '1074'], ['642', 'uni0433', '1075'], ['643', 'uni0434', '1076'], ['644', 'uni0436', '1078'], ['645', 'uni0437', '1079'], ['646', 'uni0438', '1080'], ['647', 'uni043A', '1082'], ['648', 'uni043B', '1083'], ['649', 'uni043C', '1084'], ['650', 'uni043D', '1085'], ['651', 'uni043F', '1087'], ['652', 'uni0442', '1090'], ['653', 'uni0444', '1092'], ['654', 'uni0446', '1094'], ['655', 'uni0447', '1095'], ['656', 'uni0448', '1096'], ['657', 'uni0449', '1097'], ['658', 'uni044A', '1098'], ['659', 'uni044B', '1099'], ['660', 'uni044C', '1100'], ['661', 'uni044D', '1101'], ['662', 'uni044E', '1102'], ['663', 'uni044F', '1103'], ['664', 'uni0452', '1106'], ['665', 'uni0454', '1108'], ['666', 'uni0459', '1113'], ['667', 'uni045A', '1114'], ['668', 'uni045B', '1115'], ['669', 'uni045F', '1119'], ['670', 'uni0460', '1120'], ['671', 'uni0461', '1121'], ['672', 'uni0463', '1123'], ['673', 'uni0464', '1124'], ['674', 'uni0465', '1125'], ['675', 'uni0466', '1126'], ['676', 'uni0467', '1127'], ['677', 'uni0468', '1128'], ['678', 'uni0469', '1129'], ['679', 'uni046A', '1130'], ['680', 'uni046B', '1131'], ['681', 'uni046C', '1132'], ['682', 'uni046D', '1133'], ['683', 'uni046E', '1134'], ['684', 'uni046F', '1135'], ['685', 'uni0472', '1138'], ['686', 'uni0473', '1139'], ['687', 'uni0474', '1140'], ['688', 'uni0475', '1141'], ['689', 'uni047A', '1146'], ['690', 'uni047B', '1147'], ['691', 'uni047C', '1148'], ['692', 'uni047D', '1149'], ['693', 'uni047E', '1150'], ['694', 'uni047F', '1151'], ['695', 'uni0480', '1152'], ['696', 'uni0481', '1153'], ['697', 'uni0482', '1154'], ['698', 'uni0483', '1155'], ['699', 'uni0484', '1156'], ['700', 'uni0485', '1157'], ['701', 'uni0486', '1158'], ['702', 'uni0487', '1159'], ['703', 'uni0488', '1160'], ['704', 'uni0489', '1161'], ['705', 'uni048A', '1162'], ['706', 'uni048B', '1163'], ['707', 'uni048D', '1165'], ['708', 'uni048E', '1166'], ['709', 'uni048F', '1167'], ['710', 'uni0490', '1168'], ['711', 'uni0491', '1169'], ['712', 'uni0494', '1172'], ['713', 'uni0495', '1173'], ['714', 'uni0496', '1174'], ['715', 'uni0497', '1175'], ['716', 'uni049A', '1178'], ['717', 'uni049B', '1179'], ['718', 'uni049C', '1180'], ['719', 'uni049D', '1181'], ['720', 'uni04A0', '1184'], ['721', 'uni04A1', '1185'], ['722', 'uni04A2', '1186'], ['723', 'uni04A3', '1187'], ['724', 'uni04A4', '1188'], ['725', 'uni04A5', '1189'], ['726', 'uni04A6', '1190'], ['727', 'uni04A7', '1191'], ['728', 'uni04A8', '1192'], ['729', 'uni04A9', '1193'], ['730', 'uni04B2', '1202'], ['731', 'uni04B3', '1203'], ['732', 'uni04B4', '1204'], ['733', 'uni04B5', '1205'], ['734', 'uni04B6', '1206'], ['735', 'uni04B7', '1207'], ['736', 'uni04B8', '1208'], ['737', 'uni04B9', '1209'], ['738', 'uni04BA', '1210'], ['739', 'uni04BC', '1212'], ['740', 'uni04BD', '1213'], ['741', 'uni04C3', '1219'], ['742', 'uni04C4', '1220'], ['743', 'uni04C5', '1221'], ['744', 'uni04C6', '1222'], ['745', 'uni04C7', '1223'], ['746', 'uni04C8', '1224'], ['747', 'uni04C9', '1225'], ['748', 'uni04CA', '1226'], ['749', 'uni04CD', '1229'], ['750', 'uni04CE', '1230'], ['751', 'uni04D8', '1240'], ['752', 'uni04E0', '1248'], ['753', 'uni04E1', '1249'], ['754', 'uni04FA', '1274'], ['755', 'uni04FB', '1275'], ['756', 'uni04FC', '1276'], ['757', 'uni04FD', '1277'], ['758', 'uni0500', '1280'], ['759', 'uni0502', '1282'], ['760', 'uni0503', '1283'], ['761', 'uni0504', '1284'], ['762', 'uni0505', '1285'], ['763', 'uni0506', '1286'], ['764', 'uni0507', '1287'], ['765', 'uni0508', '1288'], ['766', 'uni0509', '1289'], ['767', 'uni050A', '1290'], ['768', 'uni050B', '1291'], ['769', 'uni050C', '1292'], ['770', 'uni050D', '1293'], ['771', 'uni050E', '1294'], ['772', 'uni050F', '1295'], ['773', 'uni0510', '1296'], ['774', 'uni0512', '1298'], ['775', 'uni0513', '1299'], ['776', 'uni0514', '1300'], ['777', 'uni0515', '1301'], ['778', 'uni0516', '1302'], ['779', 'uni0517', '1303'], ['780', 'uni0518', '1304'], ['781', 'uni0519', '1305'], ['782', 'uni051E', '1310'], ['783', 'uni051F', '1311'], ['784', 'uni0520', '1312'], ['785', 'uni0521', '1313'], ['786', 'uni0522', '1314'], ['787', 'uni0523', '1315'], ['788', 'uni0524', '1316'], ['789', 'uni0525', '1317'], ['790', 'uni0526', '1318'], ['791', 'uni0527', '1319'], ['792', 'uni0528', '1320'], ['793', 'uni0529', '1321'], ['794', 'uni052A', '1322'], ['795', 'uni052B', '1323'], ['796', 'uni052C', '1324'], ['797', 'uni052D', '1325'], ['798', 'uni052E', '1326'], ['799', 'uni052F', '1327'], ['800', 'uni1AB0', '6832'], ['801', 'uni1AB1', '6833'], ['802', 'uni1AB2', '6834'], ['803', 'uni1AB3', '6835'], ['804', 'uni1AB4', '6836'], ['805', 'uni1AB5', '6837'], ['806', 'uni1AB6', '6838'], ['807', 'uni1AB7', '6839'], ['808', 'uni1AB8', '6840'], ['809', 'uni1AB9', '6841'], ['810', 'uni1ABA', '6842'], ['811', 'uni1ABB', '6843'], ['812', 'uni1ABC', '6844'], ['813', 'uni1ABD', '6845'], ['814', 'uni1ABE', '6846'], ['815', 'uni1D00', '7424'], ['816', 'uni1D01', '7425'], ['817', 'uni1D02', '7426'], ['818', 'uni1D03', '7427'], ['819', 'uni1D04', '7428'], ['820', 'uni1D05', '7429'], ['821', 'uni1D06', '7430'], ['822', 'uni1D07', '7431'], ['823', 'uni1D08', '7432'], ['824', 'uni1D09', '7433'], ['825', 'uni1D0A', '7434'], ['826', 'uni1D0B', '7435'], ['827', 'uni1D0C', '7436'], ['828', 'uni1D0D', '7437'], ['829', 'uni1D0E', '7438'], ['830', 'uni1D0F', '7439'], ['831', 'uni1D10', '7440'], ['832', 'uni1D11', '7441'], ['833', 'uni1D12', '7442'], ['834', 'uni1D13', '7443'], ['835', 'uni1D14', '7444'], ['836', 'uni1D15', '7445'], ['837', 'uni1D16', '7446'], ['838', 'uni1D17', '7447'], ['839', 'uni1D18', '7448'], ['840', 'uni1D19', '7449'], ['841', 'uni1D1A', '7450'], ['842', 'uni1D1B', '7451'], ['843', 'uni1D1C', '7452'], ['844', 'uni1D1D', '7453'], ['845', 'uni1D1E', '7454'], ['846', 'uni1D1F', '7455'], ['847', 'uni1D20', '7456'], ['848', 'uni1D21', '7457'], ['849', 'uni1D22', '7458'], ['850', 'uni1D23', '7459'], ['851', 'uni1D24', '7460'], ['852', 'uni1D25', '7461'], ['853', 'uni1D26', '7462'], ['854', 'uni1D27', '7463'], ['855', 'uni1D28', '7464'], ['856', 'uni1D29', '7465'], ['857', 'uni1D2A', '7466'], ['858', 'uni1D2B', '7467'], ['859', 'uni1D2C', '7468'], ['860', 'uni1D2D', '7469'], ['861', 'uni1D2E', '7470'], ['862', 'uni1D2F', '7471'], ['863', 'uni1D30', '7472'], ['864', 'uni1D31', '7473'], ['865', 'uni1D32', '7474'], ['866', 'uni1D33', '7475'], ['867', 'uni1D34', '7476'], ['868', 'uni1D35', '7477'], ['869', 'uni1D36', '7478'], ['870', 'uni1D37', '7479'], ['871', 'uni1D38', '7480'], ['872', 'uni1D39', '7481'], ['873', 'uni1D3A', '7482'], ['874', 'uni1D3B', '7483'], ['875', 'uni1D3C', '7484'], ['876', 'uni1D3D', '7485'], ['877', 'uni1D3E', '7486'], ['878', 'uni1D3F', '7487'], ['879', 'uni1D40', '7488'], ['880', 'uni1D41', '7489'], ['881', 'uni1D42', '7490'], ['882', 'uni1D43', '7491'], ['883', 'uni1D44', '7492'], ['884', 'uni1D45', '7493'], ['885', 'uni1D46', '7494'], ['886', 'uni1D47', '7495'], ['887', 'uni1D48', '7496'], ['888', 'uni1D49', '7497'], ['889', 'uni1D4A', '7498'], ['890', 'uni1D4B', '7499'], ['891', 'uni1D4C', '7500'], ['892', 'uni1D4D', '7501'], ['893', 'uni1D4E', '7502'], ['894', 'uni1D4F', '7503'], ['895', 'uni1D50', '7504'], ['896', 'uni1D51', '7505'], ['897', 'uni1D52', '7506'], ['898', 'uni1D53', '7507'], ['899', 'uni1D54', '7508'], ['900', 'uni1D55', '7509'], ['901', 'uni1D56', '7510'], ['902', 'uni1D57', '7511'], ['903', 'uni1D58', '7512'], ['904', 'uni1D59', '7513'], ['905', 'uni1D5A', '7514'], ['906', 'uni1D5B', '7515'], ['907', 'uni1D5C', '7516'], ['908', 'uni1D5D', '7517'], ['909', 'uni1D5E', '7518'], ['910', 'uni1D5F', '7519'], ['911', 'uni1D60', '7520'], ['912', 'uni1D61', '7521'], ['913', 'uni1D62', '7522'], ['914', 'uni1D63', '7523'], ['915', 'uni1D64', '7524'], ['916', 'uni1D65', '7525'], ['917', 'uni1D66', '7526'], ['918', 'uni1D67', '7527'], ['919', 'uni1D68', '7528'], ['920', 'uni1D69', '7529'], ['921', 'uni1D6A', '7530'], ['922', 'uni1D6B', '7531'], ['923', 'uni1D6C', '7532'], ['924', 'uni1D6D', '7533'], ['925', 'uni1D6E', '7534'], ['926', 'uni1D6F', '7535'], ['927', 'uni1D70', '7536'], ['928', 'uni1D71', '7537'], ['929', 'uni1D72', '7538'], ['930', 'uni1D73', '7539'], ['931', 'uni1D74', '7540'], ['932', 'uni1D75', '7541'], ['933', 'uni1D76', '7542'], ['934', 'uni1D77', '7543'], ['935', 'uni1D78', '7544'], ['936', 'uni1D79', '7545'], ['937', 'uni1D7A', '7546'], ['938', 'uni1D7B', '7547'], ['939', 'uni1D7C', '7548'], ['940', 'uni1D7D', '7549'], ['941', 'uni1D7E', '7550'], ['942', 'uni1D7F', '7551'], ['943', 'uni1D80', '7552'], ['944', 'uni1D81', '7553'], ['945', 'uni1D82', '7554'], ['946', 'uni1D83', '7555'], ['947', 'uni1D84', '7556'], ['948', 'uni1D85', '7557'], ['949', 'uni1D86', '7558'], ['950', 'uni1D87', '7559'], ['951', 'uni1D88', '7560'], ['952', 'uni1D89', '7561'], ['953', 'uni1D8A', '7562'], ['954', 'uni1D8B', '7563'], ['955', 'uni1D8C', '7564'], ['956', 'uni1D8D', '7565'], ['957', 'uni1D8E', '7566'], ['958', 'uni1D8F', '7567'], ['959', 'uni1D90', '7568'], ['960', 'uni1D91', '7569'], ['961', 'uni1D92', '7570'], ['962', 'uni1D93', '7571'], ['963', 'uni1D94', '7572'], ['964', 'uni1D95', '7573'], ['965', 'uni1D96', '7574'], ['966', 'uni1D97', '7575'], ['967', 'uni1D98', '7576'], ['968', 'uni1D99', '7577'], ['969', 'uni1D9A', '7578'], ['970', 'uni1D9B', '7579'], ['971', 'uni1D9C', '7580'], ['972', 'uni1D9D', '7581'], ['973', 'uni1D9E', '7582'], ['974', 'uni1D9F', '7583'], ['975', 'uni1DA0', '7584'], ['976', 'uni1DA1', '7585'], ['977', 'uni1DA2', '7586'], ['978', 'uni1DA3', '7587'], ['979', 'uni1DA4', '7588'], ['980', 'uni1DA5', '7589'], ['981', 'uni1DA6', '7590'], ['982', 'uni1DA7', '7591'], ['983', 'uni1DA8', '7592'], ['984', 'uni1DA9', '7593'], ['985', 'uni1DAA', '7594'], ['986', 'uni1DAB', '7595'], ['987', 'uni1DAC', '7596'], ['988', 'uni1DAD', '7597'], ['989', 'uni1DAE', '7598'], ['990', 'uni1DAF', '7599'], ['991', 'uni1DB0', '7600'], ['992', 'uni1DB1', '7601'], ['993', 'uni1DB2', '7602'], ['994', 'uni1DB3', '7603'], ['995', 'uni1DB4', '7604'], ['996', 'uni1DB5', '7605'], ['997', 'uni1DB6', '7606'], ['998', 'uni1DB7', '7607'], ['999', 'uni1DB8', '7608'], ['1000', 'uni1DB9', '7609'], ['1001', 'uni1DBA', '7610'], ['1002', 'uni1DBB', '7611'], ['1003', 'uni1DBC', '7612'], ['1004', 'uni1DBD', '7613'], ['1005', 'uni1DBE', '7614'], ['1006', 'uni1DBF', '7615'], ['1007', 'uni1DC0', '7616'], ['1008', 'uni1DC1', '7617'], ['1009', 'uni1DC2', '7618'], ['1010', 'uni1DC3', '7619'], ['1011', 'uni1DC4', '7620'], ['1012', 'uni1DC5', '7621'], ['1013', 'uni1DC6', '7622'], ['1014', 'uni1DC7', '7623'], ['1015', 'uni1DC8', '7624'], ['1016', 'uni1DC9', '7625'], ['1017', 'uni1DCA', '7626'], ['1018', 'uni1DCB', '7627'], ['1019', 'uni1DCC', '7628'], ['1020', 'uni1DCD', '7629'], ['1021', 'uni1DCE', '7630'], ['1022', 'uni1DCF', '7631'], ['1023', 'uni1DD0', '7632'], ['1024', 'uni1DD1', '7633'], ['1025', 'uni1DD2', '7634'], ['1026', 'uni1DD3', '7635'], ['1027', 'uni1DD4', '7636'], ['1028', 'uni1DD5', '7637'], ['1029', 'uni1DD6', '7638'], ['1030', 'uni1DD7', '7639'], ['1031', 'uni1DD8', '7640'], ['1032', 'uni1DD9', '7641'], ['1033', 'uni1DDA', '7642'], ['1034', 'uni1DDB', '7643'], ['1035', 'uni1DDC', '7644'], ['1036', 'uni1DDD', '7645'], ['1037', 'uni1DDE', '7646'], ['1038', 'uni1DDF', '7647'], ['1039', 'uni1DE0', '7648'], ['1040', 'uni1DE1', '7649'], ['1041', 'uni1DE2', '7650'], ['1042', 'uni1DE3', '7651'], ['1043', 'uni1DE4', '7652'], ['1044', 'uni1DE5', '7653'], ['1045', 'uni1DE6', '7654'], ['1046', 'uni1DE7', '7655'], ['1047', 'uni1DE8', '7656'], ['1048', 'uni1DE9', '7657'], ['1049', 'uni1DEA', '7658'], ['1050', 'uni1DEB', '7659'], ['1051', 'uni1DEC', '7660'], ['1052', 'uni1DED', '7661'], ['1053', 'uni1DEE', '7662'], ['1054', 'uni1DEF', '7663'], ['1055', 'uni1DF0', '7664'], ['1056', 'uni1DF1', '7665'], ['1057', 'uni1DF2', '7666'], ['1058', 'uni1DF3', '7667'], ['1059', 'uni1DF4', '7668'], ['1060', 'uni1DF5', '7669'], ['1061', 'uni1DFC', '7676'], ['1062', 'uni1DFD', '7677'], ['1063', 'uni1DFE', '7678'], ['1064', 'uni1DFF', '7679'], ['1065', 'uni1E28', '7720'], ['1066', 'uni1E29', '7721'], ['1067', 'uni1E2C', '7724'], ['1068', 'uni1E2D', '7725'], ['1069', 'uni1E2E', '7726'], ['1070', 'uni1E2F', '7727'], ['1071', 'uni1E9B', '7835'], ['1072', 'uni1E9C', '7836'], ['1073', 'uni1E9D', '7837'], ['1074', 'Germandbls', '7838'], ['1075', 'uni1E9F', '7839'], ['1076', 'uni1EFA', '7930'], ['1077', 'uni1EFB', '7931'], ['1078', 'uni1EFC', '7932'], ['1079', 'uni1EFD', '7933'], ['1080', 'uni1EFE', '7934'], ['1081', 'uni1EFF', '7935'], ['1082', 'uni1FBD', '8125'], ['1083', 'uni1FBE', '8126'], ['1084', 'uni1FBF', '8127'], ['1085', 'uni1FC0', '8128'], ['1086', 'uni1FC1', '8129'], ['1087', 'uni1FCD', '8141'], ['1088', 'uni1FCE', '8142'], ['1089', 'uni1FCF', '8143'], ['1090', 'uni1FDD', '8157'], ['1091', 'uni1FDE', '8158'], ['1092', 'uni1FDF', '8159'], ['1093', 'uni1FED', '8173'], ['1094', 'uni1FEE', '8174'], ['1095', 'uni1FEF', '8175'], ['1096', 'uni1FFD', '8189'], ['1097', 'uni1FFE', '8190'], ['1098', 'uni2000', '8192'], ['1099', 'uni2001', '8193'], ['1100', 'uni2002', '8194'], ['1101', 'uni2003', '8195'], ['1102', 'uni2004', '8196'], ['1103', 'uni2005', '8197'], ['1104', 'uni2006', '8198'], ['1105', 'uni2007', '8199'], ['1106', 'uni2008', '8200'], ['1107', 'uni2009', '8201'], ['1108', 'uni2009.fra', 'None'], ['1109', 'uni200A', '8202'], ['1110', 'uni200B', '8203'], ['1111', 'afii61664', '8204'], ['1112', 'afii57598', '8205'], ['1113', 'afii57596', '8206'], ['1114', 'afii300', '8207'], ['1115', 'hyphen__', '8208'], ['1116', 'hyphennobreak', '8209'], ['1117', 'figuredash', '8210'], ['1118', 'endash', '8211'], ['1119', 'emdash', '8212'], ['1120', 'verticalbardbl', '8214'], ['1121', 'underscoredbl', '8215'], ['1122', 'quoteleft', '8216'], ['1123', 'quoteright', '8217'], ['1124', 'quotesinglbase', '8218'], ['1125', 'quotereversed', '8219'], ['1126', 'quotedblleft', '8220'], ['1127', 'quotedblright', '8221'], ['1128', 'quotedblbase', '8222'], ['1129', 'quotedblreversed', '8223'], ['1130', 'dagger', '8224'], ['1131', 'daggerdbl', '8225'], ['1132', 'bullet', '8226'], ['1133', 'trianglebullet', '8227'], ['1134', 'onedotleader', '8228'], ['1135', 'uni2025', '8229'], ['1136', 'ellipsis', '8230'], ['1137', 'hyphendot', '8231'], ['1138', 'perthousand', '8240'], ['1139', 'pertenthousand', '8241'], ['1140', 'primetripl1', '8244'], ['1141', 'primerev1', '8245'], ['1142', 'reverseddblprime', '8246'], ['1143', 'primetriplerev1', '8247'], ['1144', 'caret', '8248'], ['1145', 'guilsinglleft', '8249'], ['1146', 'guilsinglright', '8250'], ['1147', 'referencemark', '8251'], ['1148', 'interrobang', '8253'], ['1149', 'overline', '8254'], ['1150', 'undertie', '8255'], ['1151', 'charactertie', '8256'], ['1152', 'caretinsertionpoint', '8257'], ['1153', 'asterism', '8258'], ['1154', 'hyphenbullet', '8259'], ['1155', 'fraction', '8260'], ['1156', 'uni2045', '8261'], ['1157', 'uni2046', '8262'], ['1158', 'uni204A', '8266'], ['1159', 'uni204B', '8267'], ['1160', 'uni204C', '8268'], ['1161', 'uni204D', '8269'], ['1162', 'uni204E', '8270'], ['1163', 'uni204F', '8271'], ['1164', 'uni2050', '8272'], ['1165', 'uni2051', '8273'], ['1166', 'uni2052', '8274'], ['1167', 'uni2053', '8275'], ['1168', 'uni2054', '8276'], ['1169', 'uni2055', '8277'], ['1170', 'uni2056', '8278'], ['1171', 'uni2057', '8279'], ['1172', 'uni2058', '8280'], ['1173', 'uni2059', '8281'], ['1174', 'uni205A', '8282'], ['1175', 'uni205B', '8283'], ['1176', 'uni205C', '8284'], ['1177', 'uni205D', '8285'], ['1178', 'uni205E', '8286'], ['1179', 'zerosuperior', '8304'], ['1180', 'uni2071', '8305'], ['1181', 'uni2074', '8308'], ['1182', 'fivesuperior', '8309'], ['1183', 'sixsuperior', '8310'], ['1184', 'sevensuperior', '8311'], ['1185', 'eightsuperior', '8312'], ['1186', 'ninesuperior', '8313'], ['1187', 'plussuperior', '8314'], ['1188', 'minussuperior', '8315'], ['1189', 'equalsuperior', '8316'], ['1190', 'parenleftsuperior', '8317'], ['1191', 'parenrightsuperior', '8318'], ['1192', 'nsuperior', '8319'], ['1193', 'zerosub', '8320'], ['1194', 'oneinferior', '8321'], ['1195', 'twosub', '8322'], ['1196', 'threesub', '8323'], ['1197', 'foursub', '8324'], ['1198', 'fivesub', '8325'], ['1199', 'sixinferior', '8326'], ['1200', 'sevensub', '8327'], ['1201', 'eightsub', '8328'], ['1202', 'nineinferior', '8329'], ['1203', 'plussub', '8330'], ['1204', 'minussub', '8331'], ['1205', 'equalsub', '8332'], ['1206', 'parenleftinferior', '8333'], ['1207', 'parenrightsub', '8334'], ['1208', 'uni2090', '8336'], ['1209', 'uni2091', '8337'], ['1210', 'uni2092', '8338'], ['1211', 'uni2093', '8339'], ['1212', 'uni2094', '8340'], ['1213', 'uni2095', '8341'], ['1214', 'uni2096', '8342'], ['1215', 'uni2097', '8343'], ['1216', 'uni2098', '8344'], ['1217', 'uni2099', '8345'], ['1218', 'uni209A', '8346'], ['1219', 'uni209B', '8347'], ['1220', 'uni209C', '8348'], ['1221', 'eurocurrency', '8352'], ['1222', 'coloncurrency', '8353'], ['1223', 'cruzeiro', '8354'], ['1224', 'lira', '8356'], ['1225', 'mill', '8357'], ['1226', 'naira', '8358'], ['1227', 'peseta', '8359'], ['1228', 'rupee', '8360'], ['1229', 'won', '8361'], ['1230', 'afii57636', '8362'], ['1231', 'Euro', '8364'], ['1232', 'uni20AD', '8365'], ['1233', 'uni20AE', '8366'], ['1234', 'uni20AF', '8367'], ['1235', 'uni20B0', '8368'], ['1236', 'uni20B1', '8369'], ['1237', 'uni20B2', '8370'], ['1238', 'uni20B3', '8371'], ['1239', 'uni20B4', '8372'], ['1240', 'uni20B5', '8373'], ['1241', 'uni20B6', '8374'], ['1242', 'uni20B7', '8375'], ['1243', 'uni20B8', '8376'], ['1244', 'uni20B9', '8377'], ['1245', 'uni20BA', '8378'], ['1246', 'uni20BB', '8379'], ['1247', 'uni20BC', '8380'], ['1248', 'uni20BD', '8381'], ['1249', 'uni20BE', '8382'], ['1250', 'uni20DB', '8411'], ['1251', 'uni20DC', '8412'], ['1252', 'uni20E3', '8419'], ['1253', 'uni20E8', '8424'], ['1254', 'uni20F0', '8432'], ['1255', 'accountof', '8448'], ['1256', 'addresssubject', '8449'], ['1257', 'degreecentigrade', '8451'], ['1258', 'uni2105', '8453'], ['1259', 'cadauna', '8454'], ['1260', 'degreefarenheit', '8457'], ['1261', 'uni2113', '8467'], ['1262', 'uni2116', '8470'], ['1263', 'published', '8471'], ['1264', 'Rx', '8478'], ['1265', 'response', '8479'], ['1266', 'servicemark', '8480'], ['1267', 'tel', '8481'], ['1268', 'trademark', '8482'], ['1269', 'versicle', '8483'], ['1270', 'ounce', '8485'], ['1271', 'degreekelvin', '8490'], ['1272', 'angstrom', '8491'], ['1273', 'estimated', '8494'], ['1274', 'Fturn', '8498'], ['1275', 'uni213B', '8507'], ['1276', 'uni214D', '8525'], ['1277', 'uni214F', '8527'], ['1278', 'uni2150', '8528'], ['1279', 'uni2151', '8529'], ['1280', 'uni2152', '8530'], ['1281', 'onethird', '8531'], ['1282', 'twothirds', '8532'], ['1283', 'uni2155', '8533'], ['1284', 'uni2156', '8534'], ['1285', 'uni2157', '8535'], ['1286', 'uni2158', '8536'], ['1287', 'uni2159', '8537'], ['1288', 'uni215A', '8538'], ['1289', 'oneeighth', '8539'], ['1290', 'threeeighths', '8540'], ['1291', 'fiveeighths', '8541'], ['1292', 'seveneighths', '8542'], ['1293', 'uni215F', '8543'], ['1294', 'romanone', '8544'], ['1295', 'romantwo', '8545'], ['1296', 'romanthree', '8546'], ['1297', 'romanfour', '8547'], ['1298', 'romanfive', '8548'], ['1299', 'romansix', '8549'], ['1300', 'romanseven', '8550'], ['1301', 'romaneight', '8551'], ['1302', 'romannine', '8552'], ['1303', 'romanten', '8553'], ['1304', 'romaneleven', '8554'], ['1305', 'romantwelve', '8555'], ['1306', 'romanfifty', '8556'], ['1307', 'romanhundred', '8557'], ['1308', 'romanfivehundred', '8558'], ['1309', 'romanthousand', '8559'], ['1310', 'uni2170', '8560'], ['1311', 'uni2171', '8561'], ['1312', 'uni2172', '8562'], ['1313', 'uni2173', '8563'], ['1314', 'uni2174', '8564'], ['1315', 'uni2175', '8565'], ['1316', 'uni2176', '8566'], ['1317', 'uni2177', '8567'], ['1318', 'uni2178', '8568'], ['1319', 'uni2179', '8569'], ['1320', 'uni217A', '8570'], ['1321', 'uni217B', '8571'], ['1322', 'uni217C', '8572'], ['1323', 'uni217D', '8573'], ['1324', 'uni217E', '8574'], ['1325', 'uni217F', '8575'], ['1326', 'uni2180', '8576'], ['1327', 'uni2181', '8577'], ['1328', 'uni2182', '8578'], ['1329', 'uni2183', '8579'], ['1330', 'uni2184', '8580'], ['1331', 'uni2185', '8581'], ['1332', 'uni2186', '8582'], ['1333', 'uni2187', '8583'], ['1334', 'uni2188', '8584'], ['1335', 'uni2189', '8585'], ['1336', 'arrowup', '8593'], ['1337', 'arrowdown', '8595'], ['1338', 'partialdiff', '8706'], ['1339', 'product', '8719'], ['1340', 'summation', '8721'], ['1341', 'minus', '8722'], ['1342', 'radical', '8730'], ['1343', 'infinity', '8734'], ['1344', 'integral', '8747'], ['1345', 'approxequal', '8776'], ['1346', 'notequal', '8800'], ['1347', 'lessequal', '8804'], ['1348', 'greaterequal', '8805'], ['1349', 'spaceopenbox', '9251'], ['1350', 'lozenge', '9674'], ['1351', 'uni27E6', '10214'], ['1352', 'uni27E7', '10215'], ['1353', 'uni27E8', '10216'], ['1354', 'uni27E9', '10217'], ['1355', 'uni27EA', '10218'], ['1356', 'uni27EB', '10219'], ['1357', 'uni27EC', '10220'], ['1358', 'uni27ED', '10221'], ['1359', 'uni27EE', '10222'], ['1360', 'uni27EF', '10223'], ['1361', 'uni2B4E', '11086'], ['1362', 'uni2B4F', '11087'], ['1363', 'uni2B5A', '11098'], ['1364', 'uni2B5B', '11099'], ['1365', 'uni2B5C', '11100'], ['1366', 'uni2B5D', '11101'], ['1367', 'uni2B5E', '11102'], ['1368', 'uni2B5F', '11103'], ['1369', 'uni2C60', '11360'], ['1370', 'uni2C61', '11361'], ['1371', 'uni2C62', '11362'], ['1372', 'uni2C63', '11363'], ['1373', 'uni2C64', '11364'], ['1374', 'uni2C65', '11365'], ['1375', 'uni2C66', '11366'], ['1376', 'uni2C67', '11367'], ['1377', 'uni2C68', '11368'], ['1378', 'uni2C69', '11369'], ['1379', 'uni2C6A', '11370'], ['1380', 'uni2C6B', '11371'], ['1381', 'uni2C6C', '11372'], ['1382', 'uni2C6D', '11373'], ['1383', 'uni2C6E', '11374'], ['1384', 'uni2C6F', '11375'], ['1385', 'uni2C70', '11376'], ['1386', 'uni2C71', '11377'], ['1387', 'uni2C72', '11378'], ['1388', 'uni2C73', '11379'], ['1389', 'uni2C74', '11380'], ['1390', 'uni2C75', '11381'], ['1391', 'uni2C76', '11382'], ['1392', 'uni2C77', '11383'], ['1393', 'uni2C78', '11384'], ['1394', 'uni2C79', '11385'], ['1395', 'uni2C7A', '11386'], ['1396', 'uni2C7B', '11387'], ['1397', 'uni2C7C', '11388'], ['1398', 'uni2C7D', '11389'], ['1399', 'uni2C7E', '11390'], ['1400', 'uni2C7F', '11391'], ['1401', 'uni2DE0', '11744'], ['1402', 'uni2DE1', '11745'], ['1403', 'uni2DE2', '11746'], ['1404', 'uni2DE3', '11747'], ['1405', 'uni2DE4', '11748'], ['1406', 'uni2DE5', '11749'], ['1407', 'uni2DE6', '11750'], ['1408', 'uni2DE7', '11751'], ['1409', 'uni2DE8', '11752'], ['1410', 'uni2DE9', '11753'], ['1411', 'uni2DEA', '11754'], ['1412', 'uni2DEB', '11755'], ['1413', 'uni2DEC', '11756'], ['1414', 'uni2DED', '11757'], ['1415', 'uni2DEE', '11758'], ['1416', 'uni2DEF', '11759'], ['1417', 'uni2DF0', '11760'], ['1418', 'uni2DF1', '11761'], ['1419', 'uni2DF2', '11762'], ['1420', 'uni2DF3', '11763'], ['1421', 'uni2DF4', '11764'], ['1422', 'uni2DF5', '11765'], ['1423', 'uni2DF6', '11766'], ['1424', 'uni2DF7', '11767'], ['1425', 'uni2DF8', '11768'], ['1426', 'uni2DF9', '11769'], ['1427', 'uni2DFA', '11770'], ['1428', 'uni2DFB', '11771'], ['1429', 'uni2DFC', '11772'], ['1430', 'uni2DFD', '11773'], ['1431', 'uni2DFE', '11774'], ['1432', 'uni2DFF', '11775'], ['1433', 'uni2E00', '11776'], ['1434', 'uni2E01', '11777'], ['1435', 'uni2E02', '11778'], ['1436', 'uni2E03', '11779'], ['1437', 'uni2E04', '11780'], ['1438', 'uni2E05', '11781'], ['1439', 'uni2E06', '11782'], ['1440', 'uni2E07', '11783'], ['1441', 'uni2E08', '11784'], ['1442', 'uni2E09', '11785'], ['1443', 'uni2E0A', '11786'], ['1444', 'uni2E0B', '11787'], ['1445', 'uni2E0C', '11788'], ['1446', 'uni2E0D', '11789'], ['1447', 'uni2E0E', '11790'], ['1448', 'uni2E0F', '11791'], ['1449', 'uni2E10', '11792'], ['1450', 'uni2E11', '11793'], ['1451', 'uni2E12', '11794'], ['1452', 'uni2E13', '11795'], ['1453', 'uni2E14', '11796'], ['1454', 'uni2E15', '11797'], ['1455', 'uni2E16', '11798'], ['1456', 'uni2E17', '11799'], ['1457', 'uni2E18', '11800'], ['1458', 'uni2E19', '11801'], ['1459', 'uni2E1A', '11802'], ['1460', 'uni2E1B', '11803'], ['1461', 'uni2E1C', '11804'], ['1462', 'uni2E1D', '11805'], ['1463', 'uni2E1E', '11806'], ['1464', 'uni2E1F', '11807'], ['1465', 'uni2E20', '11808'], ['1466', 'uni2E21', '11809'], ['1467', 'uni2E22', '11810'], ['1468', 'uni2E23', '11811'], ['1469', 'uni2E24', '11812'], ['1470', 'uni2E25', '11813'], ['1471', 'uni2E26', '11814'], ['1472', 'uni2E27', '11815'], ['1473', 'uni2E28', '11816'], ['1474', 'uni2E29', '11817'], ['1475', 'uni2E2A', '11818'], ['1476', 'uni2E2B', '11819'], ['1477', 'uni2E2C', '11820'], ['1478', 'uni2E2D', '11821'], ['1479', 'uni2E2E', '11822'], ['1480', 'uni2E2F', '11823'], ['1481', 'uni2E30', '11824'], ['1482', 'uni2E31', '11825'], ['1483', 'uni2E32', '11826'], ['1484', 'uni2E33', '11827'], ['1485', 'uni2E34', '11828'], ['1486', 'uni2E35', '11829'], ['1487', 'uni2E36', '11830'], ['1488', 'uni2E37', '11831'], ['1489', 'uni2E38', '11832'], ['1490', 'uni2E39', '11833'], ['1491', 'uni2E3A', '11834'], ['1492', 'uni2E3B', '11835'], ['1493', 'uni2E3C', '11836'], ['1494', 'uni2E3D', '11837'], ['1495', 'uni2E3E', '11838'], ['1496', 'uni2E3F', '11839'], ['1497', 'uni2E40', '11840'], ['1498', 'uni2E41', '11841'], ['1499', 'uni2E42', '11842'], ['1500', 'uniA640', '42560'], ['1501', 'uniA641', '42561'], ['1502', 'uniA642', '42562'], ['1503', 'uniA643', '42563'], ['1504', 'uniA644', '42564'], ['1505', 'uniA645', '42565'], ['1506', 'uniA646', '42566'], ['1507', 'uniA647', '42567'], ['1508', 'uniA648', '42568'], ['1509', 'uniA649', '42569'], ['1510', 'uniA64A', '42570'], ['1511', 'uniA64B', '42571'], ['1512', 'uniA64C', '42572'], ['1513', 'uniA64D', '42573'], ['1514', 'uniA64E', '42574'], ['1515', 'uniA64F', '42575'], ['1516', 'uniA650', '42576'], ['1517', 'uniA651', '42577'], ['1518', 'uniA652', '42578'], ['1519', 'uniA653', '42579'], ['1520', 'uniA654', '42580'], ['1521', 'uniA655', '42581'], ['1522', 'uniA656', '42582'], ['1523', 'uniA657', '42583'], ['1524', 'uniA658', '42584'], ['1525', 'uniA659', '42585'], ['1526', 'uniA65A', '42586'], ['1527', 'uniA65B', '42587'], ['1528', 'uniA65C', '42588'], ['1529', 'uniA65D', '42589'], ['1530', 'uniA65E', '42590'], ['1531', 'uniA65F', '42591'], ['1532', 'uniA660', '42592'], ['1533', 'uniA661', '42593'], ['1534', 'uniA662', '42594'], ['1535', 'uniA663', '42595'], ['1536', 'uniA664', '42596'], ['1537', 'uniA665', '42597'], ['1538', 'uniA666', '42598'], ['1539', 'uniA667', '42599'], ['1540', 'uniA668', '42600'], ['1541', 'uniA669', '42601'], ['1542', 'uniA66A', '42602'], ['1543', 'uniA66B', '42603'], ['1544', 'uniA66C', '42604'], ['1545', 'uniA66D', '42605'], ['1546', 'uniA66E', '42606'], ['1547', 'uniA66F', '42607'], ['1548', 'uniA670', '42608'], ['1549', 'uniA671', '42609'], ['1550', 'uniA672', '42610'], ['1551', 'uniA673', '42611'], ['1552', 'uniA674', '42612'], ['1553', 'uniA675', '42613'], ['1554', 'uniA676', '42614'], ['1555', 'uniA677', '42615'], ['1556', 'uniA678', '42616'], ['1557', 'uniA679', '42617'], ['1558', 'uniA67A', '42618'], ['1559', 'uniA67B', '42619'], ['1560', 'uniA67C', '42620'], ['1561', 'uniA67D', '42621'], ['1562', 'uniA67E', '42622'], ['1563', 'uniA67F', '42623'], ['1564', 'uniA680', '42624'], ['1565', 'uniA681', '42625'], ['1566', 'uniA682', '42626'], ['1567', 'uniA683', '42627'], ['1568', 'uniA684', '42628'], ['1569', 'uniA685', '42629'], ['1570', 'uniA686', '42630'], ['1571', 'uniA687', '42631'], ['1572', 'uniA688', '42632'], ['1573', 'uniA689', '42633'], ['1574', 'uniA68A', '42634'], ['1575', 'uniA68B', '42635'], ['1576', 'uniA68C', '42636'], ['1577', 'uniA68D', '42637'], ['1578', 'uniA68E', '42638'], ['1579', 'uniA68F', '42639'], ['1580', 'uniA690', '42640'], ['1581', 'uniA691', '42641'], ['1582', 'uniA692', '42642'], ['1583', 'uniA693', '42643'], ['1584', 'uniA694', '42644'], ['1585', 'uniA695', '42645'], ['1586', 'uniA696', '42646'], ['1587', 'uniA697', '42647'], ['1588', 'uniA698', '42648'], ['1589', 'uniA699', '42649'], ['1590', 'uniA69A', '42650'], ['1591', 'uniA69B', '42651'], ['1592', 'uniA69C', '42652'], ['1593', 'uniA69D', '42653'], ['1594', 'uniA69F', '42655'], ['1595', 'uniA700', '42752'], ['1596', 'uniA701', '42753'], ['1597', 'uniA702', '42754'], ['1598', 'uniA703', '42755'], ['1599', 'uniA704', '42756'], ['1600', 'uniA705', '42757'], ['1601', 'uniA706', '42758'], ['1602', 'uniA707', '42759'], ['1603', 'uniA708', '42760'], ['1604', 'uniA709', '42761'], ['1605', 'uniA70A', '42762'], ['1606', 'uniA70B', '42763'], ['1607', 'uniA70C', '42764'], ['1608', 'uniA70D', '42765'], ['1609', 'uniA70E', '42766'], ['1610', 'uniA70F', '42767'], ['1611', 'uniA710', '42768'], ['1612', 'uniA711', '42769'], ['1613', 'uniA712', '42770'], ['1614', 'uniA713', '42771'], ['1615', 'uniA714', '42772'], ['1616', 'uniA715', '42773'], ['1617', 'uniA716', '42774'], ['1618', 'uniA717', '42775'], ['1619', 'uniA718', '42776'], ['1620', 'uniA719', '42777'], ['1621', 'uniA71A', '42778'], ['1622', 'uniA71B', '42779'], ['1623', 'uniA71C', '42780'], ['1624', 'uniA71D', '42781'], ['1625', 'uniA71E', '42782'], ['1626', 'uniA71F', '42783'], ['1627', 'uniA720', '42784'], ['1628', 'uniA721', '42785'], ['1629', 'uniA722', '42786'], ['1630', 'uniA723', '42787'], ['1631', 'uniA724', '42788'], ['1632', 'uniA725', '42789'], ['1633', 'uniA726', '42790'], ['1634', 'uniA727', '42791'], ['1635', 'uniA728', '42792'], ['1636', 'uniA729', '42793'], ['1637', 'uniA72A', '42794'], ['1638', 'uniA72B', '42795'], ['1639', 'uniA72C', '42796'], ['1640', 'uniA72D', '42797'], ['1641', 'uniA72E', '42798'], ['1642', 'uniA72F', '42799'], ['1643', 'uniA730', '42800'], ['1644', 'uniA731', '42801'], ['1645', 'uniA732', '42802'], ['1646', 'uniA733', '42803'], ['1647', 'uniA734', '42804'], ['1648', 'uniA735', '42805'], ['1649', 'uniA736', '42806'], ['1650', 'uniA737', '42807'], ['1651', 'uniA738', '42808'], ['1652', 'uniA739', '42809'], ['1653', 'uniA73A', '42810'], ['1654', 'uniA73B', '42811'], ['1655', 'uniA73C', '42812'], ['1656', 'uniA73D', '42813'], ['1657', 'uniA73E', '42814'], ['1658', 'uniA73F', '42815'], ['1659', 'uniA740', '42816'], ['1660', 'uniA741', '42817'], ['1661', 'uniA742', '42818'], ['1662', 'uniA743', '42819'], ['1663', 'uniA744', '42820'], ['1664', 'uniA745', '42821'], ['1665', 'uniA746', '42822'], ['1666', 'uniA747', '42823'], ['1667', 'uniA748', '42824'], ['1668', 'uniA749', '42825'], ['1669', 'uniA74A', '42826'], ['1670', 'uniA74B', '42827'], ['1671', 'uniA74C', '42828'], ['1672', 'uniA74D', '42829'], ['1673', 'uniA74E', '42830'], ['1674', 'uniA74F', '42831'], ['1675', 'uniA750', '42832'], ['1676', 'uniA751', '42833'], ['1677', 'uniA752', '42834'], ['1678', 'uniA753', '42835'], ['1679', 'uniA754', '42836'], ['1680', 'uniA755', '42837'], ['1681', 'uniA756', '42838'], ['1682', 'uniA757', '42839'], ['1683', 'uniA758', '42840'], ['1684', 'uniA759', '42841'], ['1685', 'uniA75A', '42842'], ['1686', 'uniA75B', '42843'], ['1687', 'uniA75C', '42844'], ['1688', 'uniA75D', '42845'], ['1689', 'uniA75E', '42846'], ['1690', 'uniA75F', '42847'], ['1691', 'uniA760', '42848'], ['1692', 'uniA761', '42849'], ['1693', 'uniA762', '42850'], ['1694', 'uniA763', '42851'], ['1695', 'uniA764', '42852'], ['1696', 'uniA765', '42853'], ['1697', 'uniA766', '42854'], ['1698', 'uniA767', '42855'], ['1699', 'uniA768', '42856'], ['1700', 'uniA769', '42857'], ['1701', 'uniA76A', '42858'], ['1702', 'uniA76B', '42859'], ['1703', 'uniA76C', '42860'], ['1704', 'uniA76D', '42861'], ['1705', 'uniA76E', '42862'], ['1706', 'uniA76F', '42863'], ['1707', 'uniA770', '42864'], ['1708', 'uniA771', '42865'], ['1709', 'uniA772', '42866'], ['1710', 'uniA773', '42867'], ['1711', 'uniA774', '42868'], ['1712', 'uniA775', '42869'], ['1713', 'uniA776', '42870'], ['1714', 'uniA777', '42871'], ['1715', 'uniA778', '42872'], ['1716', 'uniA779', '42873'], ['1717', 'uniA77A', '42874'], ['1718', 'uniA77B', '42875'], ['1719', 'uniA77C', '42876'], ['1720', 'uniA77D', '42877'], ['1721', 'uniA77E', '42878'], ['1722', 'uniA77F', '42879'], ['1723', 'uniA780', '42880'], ['1724', 'uniA781', '42881'], ['1725', 'uniA782', '42882'], ['1726', 'uniA783', '42883'], ['1727', 'uniA784', '42884'], ['1728', 'uniA785', '42885'], ['1729', 'uniA786', '42886'], ['1730', 'uniA787', '42887'], ['1731', 'uniA788', '42888'], ['1732', 'uniA789', '42889'], ['1733', 'uniA78A', '42890'], ['1734', 'uniA78B', '42891'], ['1735', 'uniA78C', '42892'], ['1736', 'uniA78D', '42893'], ['1737', 'uniA78E', '42894'], ['1738', 'uniA790', '42896'], ['1739', 'uniA791', '42897'], ['1740', 'uniA792', '42898'], ['1741', 'uniA793', '42899'], ['1742', 'uniA794', '42900'], ['1743', 'uniA795', '42901'], ['1744', 'uniA796', '42902'], ['1745', 'uniA797', '42903'], ['1746', 'uniA798', '42904'], ['1747', 'uniA799', '42905'], ['1748', 'uniA79A', '42906'], ['1749', 'uniA79B', '42907'], ['1750', 'uniA79C', '42908'], ['1751', 'uniA79D', '42909'], ['1752', 'uniA79E', '42910'], ['1753', 'uniA79F', '42911'], ['1754', 'uniA7A0', '42912'], ['1755', 'uniA7A1', '42913'], ['1756', 'uniA7A2', '42914'], ['1757', 'uniA7A3', '42915'], ['1758', 'uniA7A4', '42916'], ['1759', 'uniA7A5', '42917'], ['1760', 'uniA7A6', '42918'], ['1761', 'uniA7A7', '42919'], ['1762', 'uniA7A8', '42920'], ['1763', 'uniA7A9', '42921'], ['1764', 'uniA7AA', '42922'], ['1765', 'uniA7AB', '42923'], ['1766', 'uniA7AC', '42924'], ['1767', 'uniA7AD', '42925'], ['1768', 'uniA7B0', '42928'], ['1769', 'uniA7B1', '42929'], ['1770', 'uniA7F7', '42999'], ['1771', 'uniA7F8', '43000'], ['1772', 'uniA7F9', '43001'], ['1773', 'uniA7FA', '43002'], ['1774', 'uniA7FB', '43003'], ['1775', 'uniA7FC', '43004'], ['1776', 'uniA7FD', '43005'], ['1777', 'uniA7FE', '43006'], ['1778', 'uniA7FF', '43007'], ['1779', 'uniA92E', '43310'], ['1780', 'uniAB30', '43824'], ['1781', 'uniAB31', '43825'], ['1782', 'uniAB32', '43826'], ['1783', 'uniAB33', '43827'], ['1784', 'uniAB34', '43828'], ['1785', 'uniAB35', '43829'], ['1786', 'uniAB36', '43830'], ['1787', 'uniAB37', '43831'], ['1788', 'uniAB38', '43832'], ['1789', 'uniAB39', '43833'], ['1790', 'uniAB3A', '43834'], ['1791', 'uniAB3B', '43835'], ['1792', 'uniAB3C', '43836'], ['1793', 'uniAB3D', '43837'], ['1794', 'uniAB3E', '43838'], ['1795', 'uniAB3F', '43839'], ['1796', 'uniAB40', '43840'], ['1797', 'uniAB41', '43841'], ['1798', 'uniAB42', '43842'], ['1799', 'uniAB43', '43843'], ['1800', 'uniAB44', '43844'], ['1801', 'uniAB45', '43845'], ['1802', 'uniAB46', '43846'], ['1803', 'uniAB47', '43847'], ['1804', 'uniAB48', '43848'], ['1805', 'uniAB49', '43849'], ['1806', 'uniAB4A', '43850'], ['1807', 'uniAB4B', '43851'], ['1808', 'uniAB4C', '43852'], ['1809', 'uniAB4D', '43853'], ['1810', 'uniAB4E', '43854'], ['1811', 'uniAB4F', '43855'], ['1812', 'uniAB50', '43856'], ['1813', 'uniAB51', '43857'], ['1814', 'uniAB52', '43858'], ['1815', 'uniAB53', '43859'], ['1816', 'uniAB54', '43860'], ['1817', 'uniAB55', '43861'], ['1818', 'uniAB56', '43862'], ['1819', 'uniAB57', '43863'], ['1820', 'uniAB58', '43864'], ['1821', 'uniAB59', '43865'], ['1822', 'uniAB5A', '43866'], ['1823', 'uniAB5B', '43867'], ['1824', 'uniAB5C', '43868'], ['1825', 'uniAB5D', '43869'], ['1826', 'uniAB5E', '43870'], ['1827', 'uniAB5F', '43871'], ['1828', 'uniAB64', '43876'], ['1829', 'uniAB65', '43877'], ['1830', 'colon.pnum', '60929'], ['1831', 'quotedblx', '60930'], ['1832', 'commaaccent', '63171'], ['1833', 'f_f', '64256'], ['1834', 'fi', '64257'], ['1835', 'f_l', '64258'], ['1836', 'f_f_i', '64259'], ['1837', 'f_f_l', '64260'], ['1838', 'longst', '64261'], ['1839', 'st', '64262'], ['1840', 'uniFE20', '65056'], ['1841', 'uniFE21', '65057'], ['1842', 'uniFE22', '65058'], ['1843', 'uniFE23', '65059'], ['1844', 'uniFE24', '65060'], ['1845', 'uniFE25', '65061'], ['1846', 'uniFE26', '65062'], ['1847', 'uniFE27', '65063'], ['1848', 'uniFE28', '65064'], ['1849', 'uniFE29', '65065'], ['1850', 'uniFE2A', '65066'], ['1851', 'uniFE2B', '65067'], ['1852', 'uniFE2C', '65068'], ['1853', 'uniFE2D', '65069'], ['1854', 'uniFEFF', '65279'], ['1855', 'uniFFFC', '65532'], ['1856', 'uniFFFD', '65533'], ['1857', 'uni1F16A', '127338'], ['1858', 'uni1F16B', '127339'], ['1859', 'dasiaoxia', 'None'], ['1860', 'uni02E5_uni02E7_uni02E8', 'None'], ['1861', 'two.sup', 'None'], ['1862', 'one.sup', 'None'], ['1863', 'zero.sup', 'None'], ['1864', 'nine.smcp', 'None'], ['1865', 'eight.smcp', 'None'], ['1866', 'seven.smcp', 'None'], ['1867', 'six.smcp', 'None'], ['1868', 'five.smcp', 'None'], ['1869', 'four.smcp', 'None'], ['1870', 'three.smcp', 'None'], ['1871', 'two.smcp', 'None'], ['1872', 'one.smcp', 'None'], ['1873', 'zero.smcp', 'None'], ['1874', 'Z.smcp', 'None'], ['1875', 'Y.smcp', 'None'], ['1876', 'X.smcp', 'None'], ['1877', 'W.smcp', 'None'], ['1878', 'V.smcp', 'None'], ['1879', 'U.smcp', 'None'], ['1880', 'T.smcp', 'None'], ['1881', 'S.smcp', 'None'], ['1882', 'R.smcp', 'None'], ['1883', 'Q.smcp', 'None'], ['1884', 'P.smcp', 'None'], ['1885', 'O.smcp', 'None'], ['1886', 'N.smcp', 'None'], ['1887', 'M.smcp', 'None'], ['1888', 'L.smcp', 'None'], ['1889', 'K.smcp', 'None'], ['1890', 'J.smcp', 'None'], ['1891', 'I.smcp', 'None'], ['1892', 'H.smcp', 'None'], ['1893', 'G.smcp', 'None'], ['1894', 'F.smcp', 'None'], ['1895', 'dollar.smcp', 'None'], ['1896', 'sterling.smcp', 'None'], ['1897', 'yen.smcp', 'None'], ['1898', 'Gamma.smcp', 'None'], ['1899', 'Delta.smcp', 'None'], ['1900', 'Theta.smcp', 'None'], ['1901', 'Lambda.smcp', 'None'], ['1902', 'Xi.smcp', 'None'], ['1903', 'Pi.smcp', 'None'], ['1904', 'Sigma.smcp', 'None'], ['1905', 'Phi.smcp', 'None'], ['1906', 'Psi.smcp', 'None'], ['1907', 'Omega.smcp', 'None'], ['1908', 'uni0402.smcp', 'None'], ['1909', 'uni0404.smcp', 'None'], ['1910', 'uni0409.smcp', 'None'], ['1911', 'uni040A.smcp', 'None'], ['1912', 'uni040B.smcp', 'None'], ['1913', 'uni040F.smcp', 'None'], ['1914', 'uni0411.smcp', 'None'], ['1915', 'uni0414.smcp', 'None'], ['1916', 'uni0416.smcp', 'None'], ['1917', 'uni0417.smcp', 'None'], ['1918', 'uni0418.smcp', 'None'], ['1919', 'uni041A.smcp', 'None'], ['1920', 'uni041B.smcp', 'None'], ['1921', 'uni0423.smcp', 'None'], ['1922', 'uni0426.smcp', 'None'], ['1923', 'uni0427.smcp', 'None'], ['1924', 'uni0428.smcp', 'None'], ['1925', 'uni0429.smcp', 'None'], ['1926', 'uni042A.smcp', 'None'], ['1927', 'uni042B.smcp', 'None'], ['1928', 'uni042C.smcp', 'None'], ['1929', 'uni042D.smcp', 'None'], ['1930', 'uni042E.smcp', 'None'], ['1931', 'uni042F.smcp', 'None'], ['1932', 'uni0492.smcp', 'None'], ['1933', 'uni0496.smcp', 'None'], ['1934', 'uni049A.smcp', 'None'], ['1935', 'uni049C.smcp', 'None'], ['1936', 'uni04A0.smcp', 'None'], ['1937', 'uni04A8.smcp', 'None'], ['1938', 'uni04B0.smcp', 'None'], ['1939', 'uni04B2.smcp', 'None'], ['1940', 'uni04B4.smcp', 'None'], ['1941', 'uni04B8.smcp', 'None'], ['1942', 'uni04BA.smcp', 'None'], ['1943', 'uni04BC.smcp', 'None'], ['1944', 'uni04D8.smcp', 'None'], ['1945', 'uni04E0.smcp', 'None'], ['1946', 'uni04E8.smcp', 'None'], ['1947', 'lira.smcp', 'None'], ['1948', 'Euro.smcp', 'None'], ['1949', 'uni2116.smcp', 'None'], ['1950', 'uni20B4.smcp', 'None'], ['1951', 'uni20BD.smcp', 'None'], ['1952', 'uni20B8.smcp', 'None'], ['1953', 'three.sup', 'None'], ['1954', 'four.sup', 'None'], ['1955', 'five.sup', 'None'], ['1956', 'six.sup', 'None'], ['1957', 'seven.sup', 'None'], ['1958', 'eight.sup', 'None'], ['1959', 'nine.sup', 'None'], ['1960', 'crossbar', 'None'], ['1961', 'ringacute', 'None'], ['1962', 'E.smcp', 'None'], ['1963', 'g.alt', 'None'], ['1964', 'alpha.alt', 'None'], ['1965', 'R.alt', 'None'], ['1966', 'K.alt', 'None'], ['1967', 'k.alt', 'None'], ['1968', 'K.alt2', 'None'], ['1969', 'k.alt2', 'None'], ['1970', 'D.smcp', 'None'], ['1971', 'C.smcp', 'None'], ['1972', 'B.smcp', 'None'], ['1973', 'A.smcp', 'None'], ['1974', 'commaaccentrotate', 'None'], ['1975', 'brevegravecomb', 'None'], ['1976', 'dieresismacroncomb', 'None'], ['1977', 'dieresisacutecomb', 'None'], ['1978', 'dieresiscaroncomb', 'None'], ['1979', 'dieresisgravecomb', 'None'], ['1980', 'dotmacroncomb', 'None'], ['1981', 'tildeacutecomb', 'None'], ['1982', 'macrongravecomb', 'None'], ['1983', 'macronacutecomb', 'None'], ['1984', 'macrondieresiscomb', 'None'], ['1985', 'acutedotcomb', 'None'], ['1986', 'carondotcomb', 'None'], ['1987', 'circumflexacutecomb', 'None'], ['1988', 'circumflexgravecomb', 'None'], ['1989', 'seven.alt', 'None'], ['1990', 'circumflexhookcomb', 'None'], ['1991', 'circumflextildecomb', 'None'], ['1992', 'tildemacroncomb', 'None'], ['1993', 'uni0490.smcp', 'None'], ['1994', 'breveacutecomb', 'None'], ['1995', 'brevehookcomb', 'None'], ['1996', 'tildedieresiscomb', 'None'], ['1997', 'zero.frac', 'None'], ['1998', 'four.frac', 'None'], ['1999', 'five.frac', 'None'], ['2000', 'six.frac', 'None'], ['2001', 'seven.frac', 'None'], ['2002', 'eight.frac', 'None'], ['2003', 'nine.frac', 'None'], ['2004', 'G.alt', 'None'], ['2005', 'C.ss06', 'None'], ['2006', 'G.ss06', 'None'], ['2007', 'D.ss06', 'None'], ['2008', 'O.ss06', 'None'], ['2009', 'Q.ss06', 'None'], ['2010', 'one.onum', 'None'], ['2011', 'two.onum', 'None'], ['2012', 'three.onum', 'None'], ['2013', 'four.onum', 'None'], ['2014', 'five.onum', 'None'], ['2015', 'seven.onum', 'None'], ['2016', 'brevetildecomb', 'None'], ['2017', 'cyrillictic', 'None'], ['2018', 'OE.smcp', 'None'], ['2019', 'nine.onum', 'None'], ['2020', 'N.unic', 'None'], ['2021', 'U.unic', 'None'], ['2022', 'A.unic', 'None'], ['2023', 'E.unic', 'None'], ['2024', 'M.unic', 'None'], ['2025', 'cyrillichookleft', 'None'], ['2026', 'cyrillichook', 'None'], ['2027', 'three.tnum', 'None'], ['2028', 'five.tnum', 'None'], ['2029', 'four.tnum', 'None'], ['2030', 'two.tnum', 'None'], ['2031', 'seven.tnum', 'None'], ['2032', 'zero.tnum', 'None'], ['2033', 'six.tnum', 'None'], ['2034', 'nine.tnum', 'None'], ['2035', 'eight.tnum', 'None'], ['2036', 'one.tnum', 'None'], ['2037', 'uni006A.ccmp', 'None'], ['2038', 'uni1D96.ccmp', 'None'], ['2039', 'uni0249.ccmp', 'None'], ['2040', 'uni0268.ccmp', 'None'], ['2041', 'uni0458.ccmp', 'None'], ['2042', 'uni029D.ccmp', 'None'], ['2043', 'uni2071.ccmp', 'None'], ['2044', 'uni0069.ccmp', 'None'], ['2045', 'uni1DA4.ccmp', 'None'], ['2046', 'uni012F.ccmp', 'None'], ['2047', 'uni0456.ccmp', 'None'], ['2048', 'uni1D62.ccmp', 'None'], ['2049', 'uni03F3.ccmp', 'None'], ['2050', 'uni1DA8.ccmp', 'None'], ['2051', 'uni02B2.ccmp', 'None'], ['2052', 'uni2C7C.ccmp', 'None'], ['2053', 'Germandbls.smcp', 'None'], ['2054', 'uni02E9_uni02E7_uni02E6', 'None'], ['2055', 'caronsubnosp', 'None'], ['2056', 'uni02E5_uni02E7_uni02E9', 'None'], ['2057', 'uni02E9_uni02E5_uni02E5', 'None'], ['2058', 'uni02E5_uni02E7_uni02E6', 'None'], ['2059', 'uni02E5_uni02E7_uni02E7', 'None'], ['2060', 'uni02E5_uni02E7_uni02E5', 'None'], ['2061', 'uni02E5_uni02E9_uni02E8', 'None'], ['2062', 'uni02E9_uni02E7_uni02E5', 'None'], ['2063', 'uni02E6_uni02E9_uni02E7', 'None'], ['2064', 'uni02E6_uni02E9_uni02E6', 'None'], ['2065', 'uni02E6_uni02E9_uni02E5', 'None'], ['2066', 'uni02E6_uni02E9_uni02E9', 'None'], ['2067', 'uni02E6_uni02E9_uni02E8', 'None'], ['2068', 'uni02E7_uni02E5_uni02E6', 'None'], ['2069', 'uni02E7_uni02E5_uni02E7', 'None'], ['2070', 'uni02E7_uni02E5_uni02E5', 'None'], ['2071', 'uni02E7_uni02E5_uni02E8', 'None'], ['2072', 'uni02E7_uni02E5_uni02E9', 'None'], ['2073', 'uni02E5_uni02E9_uni02E6', 'None'], ['2074', 'uni02E5_uni02E9_uni02E7', 'None'], ['2075', 'uni02E9_uni02E7_uni02E8', 'None'], ['2076', 'uni02E9_uni02E7_uni02E9', 'None'], ['2077', 'uni02E9_uni02E6_uni02E5', 'None'], ['2078', 'uni02E5_uni02E9_uni02E5', 'None'], ['2079', 'uni02E6_uni02E5_uni02E9', 'None'], ['2080', 'uni02E6_uni02E5_uni02E8', 'None'], ['2081', 'uni02E6_uni02E7_uni02E5', 'None'], ['2082', 'uni02E7_uni02E9_uni02E8', 'None'], ['2083', 'uni02E6_uni02E7_uni02E7', 'None'], ['2084', 'uni02E6_uni02E7_uni02E6', 'None'], ['2085', 'uni02E6_uni02E7_uni02E9', 'None'], ['2086', 'uni02E6_uni02E7_uni02E8', 'None'], ['2087', 'uni02E6_uni02E5_uni02E7', 'None'], ['2088', 'uni02E6_uni02E5_uni02E6', 'None'], ['2089', 'uni02E6_uni02E5_uni02E5', 'None'], ['2090', 'uni02E5_uni02E7', 'None'], ['2091', 'uni02E5_uni02E6', 'None'], ['2092', 'uni02E7_uni02E7_uni02E9', 'None'], ['2093', 'uni02E5_uni02E9', 'None'], ['2094', 'uni02E5_uni02E8', 'None'], ['2095', 'uni02E8_uni02E7_uni02E7', 'None'], ['2096', 'uni02E8_uni02E7_uni02E6', 'None'], ['2097', 'uni02E8_uni02E7_uni02E5', 'None'], ['2098', 'uni02E8_uni02E5_uni02E9', 'None'], ['2099', 'uni02E6_uni02E6_uni02E5', 'None'], ['2100', 'uni02E6_uni02E6_uni02E7', 'None'], ['2101', 'uni02E6_uni02E6_uni02E8', 'None'], ['2102', 'uni02E6_uni02E6_uni02E9', 'None'], ['2103', 'uni02E8_uni02E5_uni02E7', 'None'], ['2104', 'uni02E8_uni02E5_uni02E6', 'None'], ['2105', 'uni02E8_uni02E7_uni02E9', 'None'], ['2106', 'uni02E5_uni02E9_uni02E9', 'None'], ['2107', 'uni02E5_uni02E5_uni02E8', 'None'], ['2108', 'uni02E5_uni02E5_uni02E9', 'None'], ['2109', 'uni02E5_uni02E5_uni02E6', 'None'], ['2110', 'uni02E5_uni02E5_uni02E7', 'None'], ['2111', 'uni02E5_uni02E6_uni02E7', 'None'], ['2112', 'uni02E5_uni02E6_uni02E6', 'None'], ['2113', 'uni02E5_uni02E6_uni02E5', 'None'], ['2114', 'uni02E9_uni02E6_uni02E8', 'None'], ['2115', 'uni02E9_uni02E6_uni02E7', 'None'], ['2116', 'uni02E9_uni02E6_uni02E6', 'None'], ['2117', 'uni02E5_uni02E6_uni02E9', 'None'], ['2118', 'uni02E5_uni02E6_uni02E8', 'None'], ['2119', 'uni02E8_uni02E6', 'None'], ['2120', 'uni02E8_uni02E7', 'None'], ['2121', 'uni02E8_uni02E5', 'None'], ['2122', 'uni02E8_uni02E9', 'None'], ['2123', 'uni02E8_uni02E8_uni02E5', 'None'], ['2124', 'uni02E8_uni02E6_uni02E8', 'None'], ['2125', 'uni02E8_uni02E6_uni02E9', 'None'], ['2126', 'uni02E8_uni02E6_uni02E6', 'None'], ['2127', 'uni02E8_uni02E6_uni02E7', 'None'], ['2128', 'uni02E8_uni02E6_uni02E5', 'None'], ['2129', 'uni02E7_uni02E8_uni02E7', 'None'], ['2130', 'uni02E9_uni02E7_uni02E7', 'None'], ['2131', 'uni02E7_uni02E8_uni02E5', 'None'], ['2132', 'uni02E9_uni02E5_uni02E7', 'None'], ['2133', 'uni02E9_uni02E5_uni02E8', 'None'], ['2134', 'uni02E9_uni02E5_uni02E9', 'None'], ['2135', 'uni02E7_uni02E8_uni02E9', 'None'], ['2136', 'uni02E7_uni02E8_uni02E8', 'None'], ['2137', 'uni02E8_uni02E5_uni02E8', 'None'], ['2138', 'uni02E8_uni02E5_uni02E5', 'None'], ['2139', 'uni02E7_uni02E9', 'None'], ['2140', 'uni02E7_uni02E8', 'None'], ['2141', 'uni02E8_uni02E9_uni02E7', 'None'], ['2142', 'uni02E8_uni02E9_uni02E6', 'None'], ['2143', 'uni02E7_uni02E5', 'None'], ['2144', 'uni02E8_uni02E9_uni02E8', 'None'], ['2145', 'uni02E9_uni02E5_uni02E6', 'None'], ['2146', 'uni02E7_uni02E6', 'None'], ['2147', 'uni02E8_uni02E8_uni02E7', 'None'], ['2148', 'uni02E8_uni02E7_uni02E8', 'None'], ['2149', 'uni02E7_uni02E7_uni02E8', 'None'], ['2150', 'uni02E7_uni02E7_uni02E5', 'None'], ['2151', 'uni02E7_uni02E7_uni02E6', 'None'], ['2152', 'uni02E7_uni02E9_uni02E9', 'None'], ['2153', 'uni02E7_uni02E9_uni02E6', 'None'], ['2154', 'uni02E7_uni02E9_uni02E7', 'None'], ['2155', 'uni02E7_uni02E9_uni02E5', 'None'], ['2156', 'uni02E7_uni02E8_uni02E6', 'None'], ['2157', 'uni02E8_uni02E8_uni02E9', 'None'], ['2158', 'uni02E5_uni02E8_uni02E5', 'None'], ['2159', 'uni02E5_uni02E8_uni02E7', 'None'], ['2160', 'uni02E5_uni02E8_uni02E6', 'None'], ['2161', 'uni02E6_uni02E8_uni02E8', 'None'], ['2162', 'uni02E6_uni02E8_uni02E9', 'None'], ['2163', 'uni02E6_uni02E8_uni02E6', 'None'], ['2164', 'uni02E6_uni02E8_uni02E7', 'None'], ['2165', 'uni02E6_uni02E8_uni02E5', 'None'], ['2166', 'uni02E5_uni02E8_uni02E9', 'None'], ['2167', 'uni02E5_uni02E8_uni02E8', 'None'], ['2168', 'uni02E9_uni02E8', 'None'], ['2169', 'uni02E8_uni02E9_uni02E5', 'None'], ['2170', 'uni02E9_uni02E7', 'None'], ['2171', 'uni02E9_uni02E6', 'None'], ['2172', 'uni02E9_uni02E5', 'None'], ['2173', 'uni02E9_uni02E8_uni02E9', 'None'], ['2174', 'uni02E9_uni02E8_uni02E8', 'None'], ['2175', 'uni02E9_uni02E8_uni02E5', 'None'], ['2176', 'uni02E9_uni02E8_uni02E7', 'None'], ['2177', 'uni02E9_uni02E8_uni02E6', 'None'], ['2178', 'uni02E8_uni02E9_uni02E9', 'None'], ['2179', 'uni02E9_uni02E6_uni02E9', 'None'], ['2180', 'uni02E9_uni02E9_uni02E8', 'None'], ['2181', 'uni02E7_uni02E6_uni02E5', 'None'], ['2182', 'uni02E7_uni02E6_uni02E7', 'None'], ['2183', 'uni02E7_uni02E6_uni02E6', 'None'], ['2184', 'uni02E7_uni02E6_uni02E9', 'None'], ['2185', 'uni02E7_uni02E6_uni02E8', 'None'], ['2186', 'uni02E9_uni02E9_uni02E5', 'None'], ['2187', 'uni02E9_uni02E9_uni02E6', 'None'], ['2188', 'uni02E9_uni02E9_uni02E7', 'None'], ['2189', 'uni02E6_uni02E8', 'None'], ['2190', 'uni02E6_uni02E9', 'None'], ['2191', 'uni02E8_uni02E8_uni02E6', 'None'], ['2192', 'uni02E6_uni02E5', 'None'], ['2193', 'uni02E6_uni02E7', 'None'], ['2194', 'aturn_uni02DE', 'None'], ['2195', 'iota1_uni02DE', 'None'], ['2196', 'oopen_uni02DE', 'None'], ['2197', 'ascript_uni02DE', 'None'], ['2198', 'o_uni02DE', 'None'], ['2199', 'ascriptturn_uni02DE', 'None'], ['2200', 'epsilon1revclosed_uni02DE', 'None'], ['2201', 'a_uni02DE', 'None'], ['2202', 'tildecomb_uni1ABB', 'None'], ['2203', 'tildecomb_uni1ABC', 'None'], ['2204', 'macroncomb_uni1ABB', 'None'], ['2205', 'dieresisnosp_uni1ABB', 'None'], ['2206', 'uni030C_uni1ABB', 'None'], ['2207', 'iotasubnosp_uni1ABD', 'None'], ['2208', 'dotdblsubnosp_uni1ABD', 'None'], ['2209', 'dotbelow_uni1ABD', 'None'], ['2210', 'ringsubnosp_uni1ABD', 'None'], ['2211', 'linevertsubnosp_uni1ABD', 'None'], ['2212', 'breveinvsubnosp_uni1ABD', 'None'], ['2213', 'tildesubnosp_uni1ABD', 'None'], ['2214', 'uni1AB9_uni1ABD', 'None'], ['2215', 'uni1ABA_uni1ABD', 'None'], ['2216', 'uni1AB8_uni1ABD', 'None'], ['2217', 'zero.onum', 'None'], ['2218', 'uni1ABE.w1', 'None'], ['2219', 'uni1ABE.w2', 'None'], ['2220', 'uni1ABE.w3', 'None'], ['2221', 'uni1ABC.w1', 'None'], ['2222', 'uni1ABC.w2', 'None'], ['2223', 'uni1ABC.w3', 'None'], ['2224', 'seven.pnum', 'None'], ['2225', 'b.ss06', 'None'], ['2226', 'c.ss06', 'None'], ['2227', 'd.ss06', 'None'], ['2228', 'g.ss06', 'None'], ['2229', 'o.ss06', 'None'], ['2230', 'p.ss06', 'None'], ['2231', 'q.ss06', 'None'], ['2232', 'c.ss07', 'None'], ['2233', 'e.ss07', 'None'], ['2234', 'g.ss07', 'None'], ['2235', 'six.alt', 'None'], ['2236', 'nine.alt', 'None'], ['2237', 'D.cn', 'None'], ['2238', 'Q.cn', 'None'], ['2239', 'a.cn', 'None'], ['2240', 'chi.alt', 'None'], ['2241', 'delta.alt', 'None'], ['2242', 'largerighthook', 'None'], ['2243', 'one.pnum', 'None'], ['2244', 'lmidtilde_uni1ABE', 'None'], ['2245', 'dcroat_uni1ABE', 'None'], ['2246', 'eng_uni1ABE', 'None'], ['2247', 'gbar_uni1ABE', 'None'], ['2248', 'bbar_uni1ABE', 'None'], ['2249', 'rrthook_uni1ABE', 'None'], ['2250', 'ampersand.smcp', 'None'], ['2251', 'Lslash.smcp', 'None'], ['2252', 'AE.smcp', 'None'], ['2253', 'Thorn.smcp', 'None'], ['2254', 'Oslash.smcp', 'None'], ['2255', 'Hbar.smcp', 'None'], ['2256', 'Eng.smcp', 'None'], ['2257', 'acutedotcomb.lc', 'None'], ['2258', 'tildedieresiscomb.lc', 'None'], ['2259', 'dieresisacutecomb.lc', 'None'], ['2260', 'carondotcomb.lc', 'None'], ['2261', 'dotmacroncomb.lc', 'None'], ['2262', 'macrongravecomb.lc', 'None'], ['2263', 'dieresismacroncomb.lc', 'None'], ['2264', 'dieresisgravecomb.lc', 'None'], ['2265', 'macronacutecomb.lc', 'None'], ['2266', 'tildemacroncomb.lc', 'None'], ['2267', 'macrondieresiscomb.lc', 'None'], ['2268', 'tildeacutecomb.lc', 'None'], ['2269', 'dieresiscaroncomb.lc', 'None'], ['2270', 'periodcentered.tnum', 'None'], ['2271', 'caronnosp', 'None'], ['2272', 'commaaboverightcomb', 'None'], ['2273', 'cyrillicbreve', 'None'], ['2274', 'nbspace', '160'], ['2275', 'uni00AD', '173'], ['2276', 'Dcroat', '272'], ['2277', 'Eth', '208'], ['2278', 'hbar', '295'], ['2279', 'Tbar', '358'], ['2280', 'tbar', '359'], ['2281', 'Agrave', '192'], ['2282', 'Aacute', '193'], ['2283', 'Acircumflex', '194'], ['2284', 'Atilde', '195'], ['2285', 'Adieresis', '196'], ['2286', 'Aring', '197'], ['2287', 'Aringacute', '506'], ['2288', 'Ccedilla', '199'], ['2289', 'Egrave', '200'], ['2290', 'Eacute', '201'], ['2291', 'Ecircumflex', '202'], ['2292', 'Edieresis', '203'], ['2293', 'Igrave', '204'], ['2294', 'Iacute', '205'], ['2295', 'Icircumflex', '206'], ['2296', 'Idieresis', '207'], ['2297', 'Ntilde', '209'], ['2298', 'Ograve', '210'], ['2299', 'Oacute', '211'], ['2300', 'Ocircumflex', '212'], ['2301', 'Otilde', '213'], ['2302', 'Odieresis', '214'], ['2303', 'Ugrave', '217'], ['2304', 'Uacute', '218'], ['2305', 'Ucircumflex', '219'], ['2306', 'Udieresis', '220'], ['2307', 'Yacute', '221'], ['2308', 'agrave', '224'], ['2309', 'aacute', '225'], ['2310', 'acircumflex', '226'], ['2311', 'atilde', '227'], ['2312', 'adieresis', '228'], ['2313', 'aring', '229'], ['2314', 'aringacute', '507'], ['2315', 'ccedilla', '231'], ['2316', 'egrave', '232'], ['2317', 'eacute', '233'], ['2318', 'ecircumflex', '234'], ['2319', 'edieresis', '235'], ['2320', 'igrave', '236'], ['2321', 'iacute', '237'], ['2322', 'icircumflex', '238'], ['2323', 'idieresis', '239'], ['2324', 'ntilde', '241'], ['2325', 'ograve', '242'], ['2326', 'oacute', '243'], ['2327', 'ocircumflex', '244'], ['2328', 'otilde', '245'], ['2329', 'odieresis', '246'], ['2330', 'ugrave', '249'], ['2331', 'uacute', '250'], ['2332', 'ucircumflex', '251'], ['2333', 'udieresis', '252'], ['2334', 'yacute', '253'], ['2335', 'ydieresis', '255'], ['2336', 'Amacron', '256'], ['2337', 'amacron', '257'], ['2338', 'Abreve', '258'], ['2339', 'abreve', '259'], ['2340', 'Aogonek', '260'], ['2341', 'aogonek', '261'], ['2342', 'Cacute', '262'], ['2343', 'cacute', '263'], ['2344', 'Ccircumflex', '264'], ['2345', 'ccircumflex', '265'], ['2346', 'uni010A', '266'], ['2347', 'uni010B', '267'], ['2348', 'Ccaron', '268'], ['2349', 'ccaron', '269'], ['2350', 'Dcaron', '270'], ['2351', 'dcaron', '271'], ['2352', 'Emacron', '274'], ['2353', 'emacron', '275'], ['2354', 'Ebreve', '276'], ['2355', 'ebreve', '277'], ['2356', 'Edotaccent', '278'], ['2357', 'edotaccent', '279'], ['2358', 'Eogonek', '280'], ['2359', 'eogonek', '281'], ['2360', 'Ecaron', '282'], ['2361', 'ecaron', '283'], ['2362', 'Gcircumflex', '284'], ['2363', 'gcircumflex', '285'], ['2364', 'Gbreve', '286'], ['2365', 'gbreve', '287'], ['2366', 'uni0120', '288'], ['2367', 'uni0121', '289'], ['2368', 'Gcommaaccent', '290'], ['2369', 'gcommaaccent', '291'], ['2370', 'Hcircumflex', '292'], ['2371', 'hcircumflex', '293'], ['2372', 'Itilde', '296'], ['2373', 'itilde', '297'], ['2374', 'Imacron', '298'], ['2375', 'imacron', '299'], ['2376', 'Ibreve', '300'], ['2377', 'ibreve', '301'], ['2378', 'Iogonek', '302'], ['2379', 'iogonek', '303'], ['2380', 'Idotaccent', '304'], ['2381', 'IJ', '306'], ['2382', 'ij', '307'], ['2383', 'Jcircumflex', '308'], ['2384', 'jcircumflex', '309'], ['2385', 'Kcommaaccent', '310'], ['2386', 'kcommaaccent', '311'], ['2387', 'Lacute', '313'], ['2388', 'lacute', '314'], ['2389', 'Lcommaaccent', '315'], ['2390', 'lcommaaccent', '316'], ['2391', 'Lcaron', '317'], ['2392', 'lcaron', '318'], ['2393', 'Ldot', '319'], ['2394', 'ldot', '320'], ['2395', 'Nacute', '323'], ['2396', 'nacute', '324'], ['2397', 'Ncommaaccent', '325'], ['2398', 'ncommaaccent', '326'], ['2399', 'Ncaron', '327'], ['2400', 'ncaron', '328'], ['2401', 'napostrophe', '329'], ['2402', 'Omacron', '332'], ['2403', 'omacron', '333'], ['2404', 'Obreve', '334'], ['2405', 'obreve', '335'], ['2406', 'Ohungarumlaut', '336'], ['2407', 'ohungarumlaut', '337'], ['2408', 'Racute', '340'], ['2409', 'racute', '341'], ['2410', 'Rcommaaccent', '342'], ['2411', 'rcommaaccent', '343'], ['2412', 'Rcaron', '344'], ['2413', 'rcaron', '345'], ['2414', 'Sacute', '346'], ['2415', 'sacute', '347'], ['2416', 'Scircumflex', '348'], ['2417', 'scircumflex', '349'], ['2418', 'Scedilla', '350'], ['2419', 'scedilla', '351'], ['2420', 'uni0218', '536'], ['2421', 'uni0219', '537'], ['2422', 'Scaron', '352'], ['2423', 'scaron', '353'], ['2424', 'uni021A', '538'], ['2425', 'uni021B', '539'], ['2426', 'uni0162', '354'], ['2427', 'uni0163', '355'], ['2428', 'Tcaron', '356'], ['2429', 'tcaron', '357'], ['2430', 'Utilde', '360'], ['2431', 'utilde', '361'], ['2432', 'Umacron', '362'], ['2433', 'umacron', '363'], ['2434', 'Ubreve', '364'], ['2435', 'ubreve', '365'], ['2436', 'Uring', '366'], ['2437', 'uring', '367'], ['2438', 'Uhungarumlaut', '368'], ['2439', 'uhungarumlaut', '369'], ['2440', 'Uogonek', '370'], ['2441', 'uogonek', '371'], ['2442', 'Wcircumflex', '372'], ['2443', 'wcircumflex', '373'], ['2444', 'Ycircumflex', '374'], ['2445', 'ycircumflex', '375'], ['2446', 'Ydieresis', '376'], ['2447', 'Zacute', '377'], ['2448', 'zacute', '378'], ['2449', 'Zdotaccent', '379'], ['2450', 'zdotaccent', '380'], ['2451', 'Zcaron', '381'], ['2452', 'zcaron', '382'], ['2453', 'AEacute', '508'], ['2454', 'aeacute', '509'], ['2455', 'Oslashacute', '510'], ['2456', 'oslashacute', '511'], ['2457', 'Dcroat.smcp', 'None'], ['2458', 'Eth.smcp', 'None'], ['2459', 'Tbar.smcp', 'None'], ['2460', 'Agrave.smcp', 'None'], ['2461', 'Aacute.smcp', 'None'], ['2462', 'Acircumflex.smcp', 'None'], ['2463', 'Atilde.smcp', 'None'], ['2464', 'Adieresis.smcp', 'None'], ['2465', 'Aring.smcp', 'None'], ['2466', 'Aringacute.smcp', 'None'], ['2467', 'Ccedilla.smcp', 'None'], ['2468', 'Egrave.smcp', 'None'], ['2469', 'Eacute.smcp', 'None'], ['2470', 'Ecircumflex.smcp', 'None'], ['2471', 'Edieresis.smcp', 'None'], ['2472', 'Igrave.smcp', 'None'], ['2473', 'Iacute.smcp', 'None'], ['2474', 'Icircumflex.smcp', 'None'], ['2475', 'Idieresis.smcp', 'None'], ['2476', 'Ntilde.smcp', 'None'], ['2477', 'Ograve.smcp', 'None'], ['2478', 'Oacute.smcp', 'None'], ['2479', 'Ocircumflex.smcp', 'None'], ['2480', 'Otilde.smcp', 'None'], ['2481', 'Odieresis.smcp', 'None'], ['2482', 'Ugrave.smcp', 'None'], ['2483', 'Uacute.smcp', 'None'], ['2484', 'Ucircumflex.smcp', 'None'], ['2485', 'Udieresis.smcp', 'None'], ['2486', 'Yacute.smcp', 'None'], ['2487', 'Amacron.smcp', 'None'], ['2488', 'Abreve.smcp', 'None'], ['2489', 'Aogonek.smcp', 'None'], ['2490', 'Cacute.smcp', 'None'], ['2491', 'Ccircumflex.smcp', 'None'], ['2492', 'uni010A.smcp', 'None'], ['2493', 'Ccaron.smcp', 'None'], ['2494', 'Dcaron.smcp', 'None'], ['2495', 'Emacron.smcp', 'None'], ['2496', 'Ebreve.smcp', 'None'], ['2497', 'Edotaccent.smcp', 'None'], ['2498', 'Eogonek.smcp', 'None'], ['2499', 'Ecaron.smcp', 'None'], ['2500', 'Gcircumflex.smcp', 'None'], ['2501', 'Gbreve.smcp', 'None'], ['2502', 'uni0120.smcp', 'None'], ['2503', 'Gcommaaccent.smcp', 'None'], ['2504', 'Hcircumflex.smcp', 'None'], ['2505', 'Itilde.smcp', 'None'], ['2506', 'Imacron.smcp', 'None'], ['2507', 'Ibreve.smcp', 'None'], ['2508', 'Iogonek.smcp', 'None'], ['2509', 'Idotaccent.smcp', 'None'], ['2510', 'Jcircumflex.smcp', 'None'], ['2511', 'Kcommaaccent.smcp', 'None'], ['2512', 'Lacute.smcp', 'None'], ['2513', 'Lcommaaccent.smcp', 'None'], ['2514', 'Lcaron.smcp', 'None'], ['2515', 'Ldot.smcp', 'None'], ['2516', 'Nacute.smcp', 'None'], ['2517', 'Ncommaaccent.smcp', 'None'], ['2518', 'Ncaron.smcp', 'None'], ['2519', 'Omacron.smcp', 'None'], ['2520', 'Obreve.smcp', 'None'], ['2521', 'Ohungarumlaut.smcp', 'None'], ['2522', 'Oogonek.smcp', 'None'], ['2523', 'Racute.smcp', 'None'], ['2524', 'Rcommaaccent.smcp', 'None'], ['2525', 'Rcaron.smcp', 'None'], ['2526', 'Sacute.smcp', 'None'], ['2527', 'Scircumflex.smcp', 'None'], ['2528', 'Scedilla.smcp', 'None'], ['2529', 'Scaron.smcp', 'None'], ['2530', 'Tcommaaccent.smcp', 'None'], ['2531', 'Tcaron.smcp', 'None'], ['2532', 'uni0162.smcp', 'None'], ['2533', 'Utilde.smcp', 'None'], ['2534', 'Umacron.smcp', 'None'], ['2535', 'Ubreve.smcp', 'None'], ['2536', 'Uring.smcp', 'None'], ['2537', 'Uhungarumlaut.smcp', 'None'], ['2538', 'Uogonek.smcp', 'None'], ['2539', 'Wcircumflex.smcp', 'None'], ['2540', 'Ycircumflex.smcp', 'None'], ['2541', 'Ydieresis.smcp', 'None'], ['2542', 'Zacute.smcp', 'None'], ['2543', 'Zdotaccent.smcp', 'None'], ['2544', 'Zcaron.smcp', 'None'], ['2545', 'Alphatonos', '902'], ['2546', 'Epsilontonos', '904'], ['2547', 'Etatonos', '905'], ['2548', 'Iotatonos', '906'], ['2549', 'Omicrontonos', '908'], ['2550', 'Upsilontonos', '910'], ['2551', 'Omegatonos', '911'], ['2552', 'iotadieresistonos', '912'], ['2553', 'Alpha', '913'], ['2554', 'Beta', '914'], ['2555', 'Epsilon', '917'], ['2556', 'Zeta', '918'], ['2557', 'Eta', '919'], ['2558', 'Iota', '921'], ['2559', 'Kappa', '922'], ['2560', 'Mu', '924'], ['2561', 'Nu', '925'], ['2562', 'Omicron', '927'], ['2563', 'Rho', '929'], ['2564', 'Tau', '932'], ['2565', 'Upsilon', '933'], ['2566', 'Chi', '935'], ['2567', 'Iotadieresis', '938'], ['2568', 'Upsilondieresis', '939'], ['2569', 'alphatonos', '940'], ['2570', 'epsilontonos', '941'], ['2571', 'etatonos', '942'], ['2572', 'iotatonos', '943'], ['2573', 'upsilondieresistonos', '944'], ['2574', 'kappa', '954'], ['2575', 'omicron', '959'], ['2576', 'uni03BC', '956'], ['2577', 'nu', '957'], ['2578', 'chi', '967'], ['2579', 'iotadieresis', '970'], ['2580', 'upsilondieresis', '971'], ['2581', 'omicrontonos', '972'], ['2582', 'upsilontonos', '973'], ['2583', 'omegatonos', '974'], ['2584', 'uni0401', '1025'], ['2585', 'uni0403', '1027'], ['2586', 'uni0405', '1029'], ['2587', 'uni0406', '1030'], ['2588', 'uni0407', '1031'], ['2589', 'uni0408', '1032'], ['2590', 'uni041A', '1050'], ['2591', 'uni040C', '1036'], ['2592', 'uni040E', '1038'], ['2593', 'uni0410', '1040'], ['2594', 'uni0412', '1042'], ['2595', 'uni0413', '1043'], ['2596', 'uni0415', '1045'], ['2597', 'uni0419', '1049'], ['2598', 'uni041C', '1052'], ['2599', 'uni041D', '1053'], ['2600', 'uni041E', '1054'], ['2601', 'uni041F', '1055'], ['2602', 'uni0420', '1056'], ['2603', 'uni0421', '1057'], ['2604', 'uni0422', '1058'], ['2605', 'uni0425', '1061'], ['2606', 'uni0430', '1072'], ['2607', 'uni0435', '1077'], ['2608', 'uni0439', '1081'], ['2609', 'uni043E', '1086'], ['2610', 'uni0440', '1088'], ['2611', 'uni0441', '1089'], ['2612', 'uni0443', '1091'], ['2613', 'uni0445', '1093'], ['2614', 'uni0451', '1105'], ['2615', 'uni0453', '1107'], ['2616', 'uni0455', '1109'], ['2617', 'uni0456', '1110'], ['2618', 'uni0457', '1111'], ['2619', 'uni0458', '1112'], ['2620', 'uni045C', '1116'], ['2621', 'uni045E', '1118'], ['2622', 'Wgrave', '7808'], ['2623', 'wgrave', '7809'], ['2624', 'Wacute', '7810'], ['2625', 'wacute', '7811'], ['2626', 'Wdieresis', '7812'], ['2627', 'wdieresis', '7813'], ['2628', 'Ygrave', '7922'], ['2629', 'ygrave', '7923'], ['2630', 'minute', '8242'], ['2631', 'second', '8243'], ['2632', 'exclamdbl', '8252'], ['2633', 'uni01F0', '496'], ['2634', 'uni02BC', '700'], ['2635', 'uni1E3E', '7742'], ['2636', 'uni1E3F', '7743'], ['2637', 'uni1E00', '7680'], ['2638', 'uni1E01', '7681'], ['2639', 'uni0400', '1024'], ['2640', 'uni040D', '1037'], ['2641', 'uni0450', '1104'], ['2642', 'uni045D', '1117'], ['2643', 'uni0470', '1136'], ['2644', 'uni0471', '1137'], ['2645', 'uni0476', '1142'], ['2646', 'uni0477', '1143'], ['2647', 'uni0479', '1145'], ['2648', 'uni0478', '1144'], ['2649', 'uni0498', '1176'], ['2650', 'uni0499', '1177'], ['2651', 'uni04AA', '1194'], ['2652', 'uni04AB', '1195'], ['2653', 'uni04AE', '1198'], ['2654', 'uni04AF', '1199'], ['2655', 'uni04C0', '1216'], ['2656', 'uni04C1', '1217'], ['2657', 'uni04C2', '1218'], ['2658', 'uni04CF', '1231'], ['2659', 'uni04D0', '1232'], ['2660', 'uni04D1', '1233'], ['2661', 'uni04D2', '1234'], ['2662', 'uni04D3', '1235'], ['2663', 'uni04D4', '1236'], ['2664', 'uni04D5', '1237'], ['2665', 'uni04D6', '1238'], ['2666', 'uni04D7', '1239'], ['2667', 'uni04DA', '1242'], ['2668', 'uni04D9', '1241'], ['2669', 'uni04DB', '1243'], ['2670', 'uni04DC', '1244'], ['2671', 'uni04DD', '1245'], ['2672', 'uni04DE', '1246'], ['2673', 'uni04DF', '1247'], ['2674', 'uni04E2', '1250'], ['2675', 'uni04E3', '1251'], ['2676', 'uni04E4', '1252'], ['2677', 'uni04E5', '1253'], ['2678', 'uni04E6', '1254'], ['2679', 'uni04E7', '1255'], ['2680', 'uni04E8', '1256'], ['2681', 'uni04E9', '1257'], ['2682', 'Obar', '415'], ['2683', 'uni04EA', '1258'], ['2684', 'uni04EB', '1259'], ['2685', 'uni04EC', '1260'], ['2686', 'uni04ED', '1261'], ['2687', 'uni04EE', '1262'], ['2688', 'uni04EF', '1263'], ['2689', 'uni04F0', '1264'], ['2690', 'uni04F1', '1265'], ['2691', 'uni04F2', '1266'], ['2692', 'uni04F3', '1267'], ['2693', 'uni04F4', '1268'], ['2694', 'uni04F5', '1269'], ['2695', 'uni04F8', '1272'], ['2696', 'uni04F9', '1273'], ['2697', 'uni0501', '1281'], ['2698', 'uni1EA0', '7840'], ['2699', 'uni1EA1', '7841'], ['2700', 'uni1EA2', '7842'], ['2701', 'uni1EA3', '7843'], ['2702', 'uni1EA4', '7844'], ['2703', 'uni1EA5', '7845'], ['2704', 'uni1EA6', '7846'], ['2705', 'uni1EA7', '7847'], ['2706', 'uni1EA8', '7848'], ['2707', 'uni1EA9', '7849'], ['2708', 'uni1EAA', '7850'], ['2709', 'uni1EAB', '7851'], ['2710', 'uni1EAC', '7852'], ['2711', 'uni1EAD', '7853'], ['2712', 'uni1EAE', '7854'], ['2713', 'uni1EAF', '7855'], ['2714', 'uni1EB0', '7856'], ['2715', 'uni1EB1', '7857'], ['2716', 'uni1EB2', '7858'], ['2717', 'uni1EB3', '7859'], ['2718', 'uni1EB4', '7860'], ['2719', 'uni1EB5', '7861'], ['2720', 'uni1EB6', '7862'], ['2721', 'uni1EB7', '7863'], ['2722', 'uni1EB8', '7864'], ['2723', 'uni1EB9', '7865'], ['2724', 'uni1EBA', '7866'], ['2725', 'uni1EBB', '7867'], ['2726', 'uni1EBC', '7868'], ['2727', 'uni1EBD', '7869'], ['2728', 'uni1EBE', '7870'], ['2729', 'uni1EBF', '7871'], ['2730', 'uni1EC0', '7872'], ['2731', 'uni1EC1', '7873'], ['2732', 'uni1EC2', '7874'], ['2733', 'uni1EC3', '7875'], ['2734', 'uni1EC4', '7876'], ['2735', 'uni1EC5', '7877'], ['2736', 'uni1EC6', '7878'], ['2737', 'uni1EC7', '7879'], ['2738', 'uni1EC8', '7880'], ['2739', 'uni1EC9', '7881'], ['2740', 'uni1ECA', '7882'], ['2741', 'uni1ECB', '7883'], ['2742', 'uni1ECC', '7884'], ['2743', 'uni1ECD', '7885'], ['2744', 'uni1ECE', '7886'], ['2745', 'uni1ECF', '7887'], ['2746', 'uni1ED0', '7888'], ['2747', 'uni1ED1', '7889'], ['2748', 'uni1ED2', '7890'], ['2749', 'uni1ED3', '7891'], ['2750', 'uni1ED4', '7892'], ['2751', 'uni1ED5', '7893'], ['2752', 'uni1ED6', '7894'], ['2753', 'uni1ED7', '7895'], ['2754', 'uni1ED8', '7896'], ['2755', 'uni1ED9', '7897'], ['2756', 'uni1EDA', '7898'], ['2757', 'uni1EDB', '7899'], ['2758', 'uni1EDC', '7900'], ['2759', 'uni1EDD', '7901'], ['2760', 'uni1EDE', '7902'], ['2761', 'uni1EDF', '7903'], ['2762', 'uni1EE0', '7904'], ['2763', 'uni1EE1', '7905'], ['2764', 'uni1EE2', '7906'], ['2765', 'uni1EE3', '7907'], ['2766', 'uni1EE4', '7908'], ['2767', 'uni1EE5', '7909'], ['2768', 'uni1EE6', '7910'], ['2769', 'uni1EE7', '7911'], ['2770', 'uni1EE8', '7912'], ['2771', 'uni1EE9', '7913'], ['2772', 'uni1EEA', '7914'], ['2773', 'uni1EEB', '7915'], ['2774', 'uni1EEC', '7916'], ['2775', 'uni1EED', '7917'], ['2776', 'uni1EEE', '7918'], ['2777', 'uni1EEF', '7919'], ['2778', 'uni1EF0', '7920'], ['2779', 'uni1EF1', '7921'], ['2780', 'uni1EF4', '7924'], ['2781', 'uni1EF5', '7925'], ['2782', 'uni1EF6', '7926'], ['2783', 'uni1EF7', '7927'], ['2784', 'uni1EF8', '7928'], ['2785', 'uni1EF9', '7929'], ['2786', 'uni20AB', '8363'], ['2787', 'uni04AC', '1196'], ['2788', 'uni04AD', '1197'], ['2789', 'uni04CB', '1227'], ['2790', 'uni04CC', '1228'], ['2791', 'uni04F6', '1270'], ['2792', 'uni04F7', '1271'], ['2793', 'uni04BE', '1214'], ['2794', 'uni04BF', '1215'], ['2795', 'uni04BB', '1211'], ['2796', 'uni048C', '1164'], ['2797', 'uni0462', '1122'], ['2798', 'uni0492', '1170'], ['2799', 'uni0493', '1171'], ['2800', 'uni049E', '1182'], ['2801', 'uni049F', '1183'], ['2802', 'uni04B0', '1200'], ['2803', 'uni04B1', '1201'], ['2804', 'uni04FE', '1278'], ['2805', 'uni04FF', '1279'], ['2806', 'uni0511', '1297'], ['2807', 'franc', '8355'], ['2808', 'uni2015', '8213'], ['2809', 'two.pnum', 'None'], ['2810', 'three.pnum', 'None'], ['2811', 'four.pnum', 'None'], ['2812', 'five.pnum', 'None'], ['2813', 'six.pnum', 'None'], ['2814', 'eight.pnum', 'None'], ['2815', 'nine.pnum', 'None'], ['2816', 'zero.pnum', 'None'], ['2817', 'uni037A', '890'], ['2818', 'Iota1', '406'], ['2819', 'uni019E', '414'], ['2820', 'LJ', '455'], ['2821', 'Lj', '456'], ['2822', 'lj', '457'], ['2823', 'NJ', '458'], ['2824', 'Nj', '459'], ['2825', 'nj', '460'], ['2826', 'Acaron', '461'], ['2827', 'acaron', '462'], ['2828', 'Icaron', '463'], ['2829', 'icaron', '464'], ['2830', 'Ocaron', '465'], ['2831', 'ocaron', '466'], ['2832', 'Ucaron', '467'], ['2833', 'ucaron', '468'], ['2834', 'uni01D5', '469'], ['2835', 'uni01D6', '470'], ['2836', 'uni01D7', '471'], ['2837', 'uni01D8', '472'], ['2838', 'uni01D9', '473'], ['2839', 'uni01DA', '474'], ['2840', 'uni01DB', '475'], ['2841', 'uni01DC', '476'], ['2842', 'eturn', '477'], ['2843', 'uni01DE', '478'], ['2844', 'uni01DF', '479'], ['2845', 'uni01E0', '480'], ['2846', 'uni01E1', '481'], ['2847', 'AEmacron', '482'], ['2848', 'aemacron', '483'], ['2849', 'Gcaron', '486'], ['2850', 'gcaron', '487'], ['2851', 'Kcaron', '488'], ['2852', 'kcaron', '489'], ['2853', 'Oogonek', '490'], ['2854', 'oogonek', '491'], ['2855', 'uni01EC', '492'], ['2856', 'uni01ED', '493'], ['2857', 'uni01F1', '497'], ['2858', 'uni01F2', '498'], ['2859', 'uni01F3', '499'], ['2860', 'Gacute', '500'], ['2861', 'gacute', '501'], ['2862', 'uni01F8', '504'], ['2863', 'uni01F9', '505'], ['2864', 'uni0200', '512'], ['2865', 'uni0201', '513'], ['2866', 'uni0202', '514'], ['2867', 'uni0203', '515'], ['2868', 'uni0204', '516'], ['2869', 'uni0205', '517'], ['2870', 'uni0206', '518'], ['2871', 'uni0207', '519'], ['2872', 'uni0208', '520'], ['2873', 'uni0209', '521'], ['2874', 'uni020A', '522'], ['2875', 'uni020B', '523'], ['2876', 'uni020C', '524'], ['2877', 'uni020D', '525'], ['2878', 'uni020E', '526'], ['2879', 'uni020F', '527'], ['2880', 'uni0210', '528'], ['2881', 'uni0211', '529'], ['2882', 'uni0212', '530'], ['2883', 'uni0213', '531'], ['2884', 'uni0214', '532'], ['2885', 'uni0215', '533'], ['2886', 'uni0216', '534'], ['2887', 'uni0217', '535'], ['2888', 'uni021E', '542'], ['2889', 'uni021F', '543'], ['2890', 'uni0226', '550'], ['2891', 'uni0227', '551'], ['2892', 'uni0228', '552'], ['2893', 'uni0229', '553'], ['2894', 'uni022A', '554'], ['2895', 'uni022B', '555'], ['2896', 'uni022C', '556'], ['2897', 'uni022D', '557'], ['2898', 'uni022E', '558'], ['2899', 'uni022F', '559'], ['2900', 'uni0230', '560'], ['2901', 'uni0231', '561'], ['2902', 'uni0232', '562'], ['2903', 'uni0233', '563'], ['2904', 'obar', '629'], ['2905', 'uni0299', '665'], ['2906', 'uni029C', '668'], ['2907', 'uni037F', '895'], ['2908', 'uni03D3', '979'], ['2909', 'uni03D4', '980'], ['2910', 'uni03F2', '1010'], ['2911', 'uni03F3', '1011'], ['2912', 'uni03F4', '1012'], ['2913', 'uni03F7', '1015'], ['2914', 'uni03F8', '1016'], ['2915', 'uni03F9', '1017'], ['2916', 'uni03FA', '1018'], ['2917', 'uni051A', '1306'], ['2918', 'uni051B', '1307'], ['2919', 'uni051C', '1308'], ['2920', 'uni051D', '1309'], ['2921', 'uni1E02', '7682'], ['2922', 'uni1E03', '7683'], ['2923', 'uni1E04', '7684'], ['2924', 'uni1E05', '7685'], ['2925', 'uni1E06', '7686'], ['2926', 'uni1E07', '7687'], ['2927', 'uni1E08', '7688'], ['2928', 'uni1E09', '7689'], ['2929', 'uni1E0A', '7690'], ['2930', 'uni1E0B', '7691'], ['2931', 'uni1E0C', '7692'], ['2932', 'uni1E0D', '7693'], ['2933', 'uni1E0E', '7694'], ['2934', 'uni1E0F', '7695'], ['2935', 'uni1E10', '7696'], ['2936', 'uni1E11', '7697'], ['2937', 'uni1E12', '7698'], ['2938', 'uni1E13', '7699'], ['2939', 'uni1E14', '7700'], ['2940', 'uni1E15', '7701'], ['2941', 'uni1E16', '7702'], ['2942', 'uni1E17', '7703'], ['2943', 'uni1E18', '7704'], ['2944', 'uni1E19', '7705'], ['2945', 'uni1E1A', '7706'], ['2946', 'uni1E1B', '7707'], ['2947', 'uni1E1C', '7708'], ['2948', 'uni1E1D', '7709'], ['2949', 'uni1E1E', '7710'], ['2950', 'uni1E1F', '7711'], ['2951', 'uni1E20', '7712'], ['2952', 'uni1E21', '7713'], ['2953', 'uni1E22', '7714'], ['2954', 'uni1E23', '7715'], ['2955', 'uni1E24', '7716'], ['2956', 'uni1E25', '7717'], ['2957', 'uni1E26', '7718'], ['2958', 'uni1E27', '7719'], ['2959', 'uni1E2A', '7722'], ['2960', 'uni1E2B', '7723'], ['2961', 'uni1E30', '7728'], ['2962', 'uni1E31', '7729'], ['2963', 'uni1E32', '7730'], ['2964', 'uni1E33', '7731'], ['2965', 'uni1E34', '7732'], ['2966', 'uni1E35', '7733'], ['2967', 'uni1E36', '7734'], ['2968', 'uni1E37', '7735'], ['2969', 'uni1E38', '7736'], ['2970', 'uni1E39', '7737'], ['2971', 'uni1E3A', '7738'], ['2972', 'uni1E3B', '7739'], ['2973', 'uni1E3C', '7740'], ['2974', 'uni1E3D', '7741'], ['2975', 'uni1E40', '7744'], ['2976', 'uni1E41', '7745'], ['2977', 'uni1E42', '7746'], ['2978', 'uni1E43', '7747'], ['2979', 'uni1E44', '7748'], ['2980', 'uni1E45', '7749'], ['2981', 'uni1E46', '7750'], ['2982', 'uni1E47', '7751'], ['2983', 'uni1E48', '7752'], ['2984', 'uni1E49', '7753'], ['2985', 'uni1E4A', '7754'], ['2986', 'uni1E4B', '7755'], ['2987', 'uni1E4C', '7756'], ['2988', 'uni1E4D', '7757'], ['2989', 'uni1E4E', '7758'], ['2990', 'uni1E4F', '7759'], ['2991', 'uni1E50', '7760'], ['2992', 'uni1E51', '7761'], ['2993', 'uni1E52', '7762'], ['2994', 'uni1E53', '7763'], ['2995', 'uni1E54', '7764'], ['2996', 'uni1E55', '7765'], ['2997', 'uni1E56', '7766'], ['2998', 'uni1E57', '7767'], ['2999', 'uni1E58', '7768'], ['3000', 'uni1E59', '7769'], ['3001', 'uni1E5A', '7770'], ['3002', 'uni1E5B', '7771'], ['3003', 'uni1E5C', '7772'], ['3004', 'uni1E5D', '7773'], ['3005', 'uni1E5E', '7774'], ['3006', 'uni1E5F', '7775'], ['3007', 'uni1E60', '7776'], ['3008', 'uni1E61', '7777'], ['3009', 'uni1E62', '7778'], ['3010', 'uni1E63', '7779'], ['3011', 'uni1E64', '7780'], ['3012', 'uni1E65', '7781'], ['3013', 'uni1E66', '7782'], ['3014', 'uni1E67', '7783'], ['3015', 'uni1E68', '7784'], ['3016', 'uni1E69', '7785'], ['3017', 'uni1E6A', '7786'], ['3018', 'uni1E6B', '7787'], ['3019', 'uni1E6C', '7788'], ['3020', 'uni1E6D', '7789'], ['3021', 'uni1E6E', '7790'], ['3022', 'uni1E6F', '7791'], ['3023', 'uni1E70', '7792'], ['3024', 'uni1E71', '7793'], ['3025', 'uni1E72', '7794'], ['3026', 'uni1E73', '7795'], ['3027', 'uni1E74', '7796'], ['3028', 'uni1E75', '7797'], ['3029', 'uni1E76', '7798'], ['3030', 'uni1E77', '7799'], ['3031', 'uni1E78', '7800'], ['3032', 'uni1E79', '7801'], ['3033', 'uni1E7A', '7802'], ['3034', 'uni1E7B', '7803'], ['3035', 'uni1E7C', '7804'], ['3036', 'uni1E7D', '7805'], ['3037', 'uni1E7E', '7806'], ['3038', 'uni1E7F', '7807'], ['3039', 'uni1E86', '7814'], ['3040', 'uni1E87', '7815'], ['3041', 'uni1E88', '7816'], ['3042', 'uni1E89', '7817'], ['3043', 'uni1E8A', '7818'], ['3044', 'uni1E8B', '7819'], ['3045', 'uni1E8C', '7820'], ['3046', 'uni1E8D', '7821'], ['3047', 'uni1E8E', '7822'], ['3048', 'uni1E8F', '7823'], ['3049', 'uni1E90', '7824'], ['3050', 'uni1E91', '7825'], ['3051', 'uni1E92', '7826'], ['3052', 'uni1E93', '7827'], ['3053', 'uni1E94', '7828'], ['3054', 'uni1E95', '7829'], ['3055', 'uni1E96', '7830'], ['3056', 'uni1E97', '7831'], ['3057', 'uni1E98', '7832'], ['3058', 'uni1E99', '7833'], ['3059', 'uni1E9A', '7834'], ['3060', 'uni1F00', '7936'], ['3061', 'uni1F01', '7937'], ['3062', 'uni1F02', '7938'], ['3063', 'uni1F03', '7939'], ['3064', 'uni1F04', '7940'], ['3065', 'uni1F05', '7941'], ['3066', 'uni1F06', '7942'], ['3067', 'uni1F07', '7943'], ['3068', 'uni1F08', '7944'], ['3069', 'uni1F09', '7945'], ['3070', 'uni1F0A', '7946'], ['3071', 'uni1F0B', '7947'], ['3072', 'uni1F0C', '7948'], ['3073', 'uni1F0D', '7949'], ['3074', 'uni1F0E', '7950'], ['3075', 'uni1F0F', '7951'], ['3076', 'uni1F10', '7952'], ['3077', 'uni1F11', '7953'], ['3078', 'uni1F12', '7954'], ['3079', 'uni1F13', '7955'], ['3080', 'uni1F14', '7956'], ['3081', 'uni1F15', '7957'], ['3082', 'uni1F18', '7960'], ['3083', 'uni1F19', '7961'], ['3084', 'uni1F1A', '7962'], ['3085', 'uni1F1B', '7963'], ['3086', 'uni1F1C', '7964'], ['3087', 'uni1F1D', '7965'], ['3088', 'uni1F20', '7968'], ['3089', 'uni1F21', '7969'], ['3090', 'uni1F22', '7970'], ['3091', 'uni1F23', '7971'], ['3092', 'uni1F24', '7972'], ['3093', 'uni1F25', '7973'], ['3094', 'uni1F26', '7974'], ['3095', 'uni1F27', '7975'], ['3096', 'uni1F28', '7976'], ['3097', 'uni1F29', '7977'], ['3098', 'uni1F2A', '7978'], ['3099', 'uni1F2B', '7979'], ['3100', 'uni1F2C', '7980'], ['3101', 'uni1F2D', '7981'], ['3102', 'uni1F2E', '7982'], ['3103', 'uni1F2F', '7983'], ['3104', 'uni1F30', '7984'], ['3105', 'uni1F31', '7985'], ['3106', 'uni1F32', '7986'], ['3107', 'uni1F33', '7987'], ['3108', 'uni1F34', '7988'], ['3109', 'uni1F35', '7989'], ['3110', 'uni1F36', '7990'], ['3111', 'uni1F37', '7991'], ['3112', 'uni1F38', '7992'], ['3113', 'uni1F39', '7993'], ['3114', 'uni1F3A', '7994'], ['3115', 'uni1F3B', '7995'], ['3116', 'uni1F3C', '7996'], ['3117', 'uni1F3D', '7997'], ['3118', 'uni1F3E', '7998'], ['3119', 'uni1F3F', '7999'], ['3120', 'uni1F40', '8000'], ['3121', 'uni1F41', '8001'], ['3122', 'uni1F42', '8002'], ['3123', 'uni1F43', '8003'], ['3124', 'uni1F44', '8004'], ['3125', 'uni1F45', '8005'], ['3126', 'uni1F48', '8008'], ['3127', 'uni1F49', '8009'], ['3128', 'uni1F4A', '8010'], ['3129', 'uni1F4B', '8011'], ['3130', 'uni1F4C', '8012'], ['3131', 'uni1F4D', '8013'], ['3132', 'uni1F50', '8016'], ['3133', 'uni1F51', '8017'], ['3134', 'uni1F52', '8018'], ['3135', 'uni1F53', '8019'], ['3136', 'uni1F54', '8020'], ['3137', 'uni1F55', '8021'], ['3138', 'uni1F56', '8022'], ['3139', 'uni1F57', '8023'], ['3140', 'uni1F59', '8025'], ['3141', 'uni1F5B', '8027'], ['3142', 'uni1F5D', '8029'], ['3143', 'uni1F5F', '8031'], ['3144', 'uni1F60', '8032'], ['3145', 'uni1F61', '8033'], ['3146', 'uni1F62', '8034'], ['3147', 'uni1F63', '8035'], ['3148', 'uni1F64', '8036'], ['3149', 'uni1F65', '8037'], ['3150', 'uni1F66', '8038'], ['3151', 'uni1F67', '8039'], ['3152', 'uni1F68', '8040'], ['3153', 'uni1F69', '8041'], ['3154', 'uni1F6A', '8042'], ['3155', 'uni1F6B', '8043'], ['3156', 'uni1F6C', '8044'], ['3157', 'uni1F6D', '8045'], ['3158', 'uni1F6E', '8046'], ['3159', 'uni1F6F', '8047'], ['3160', 'uni1F70', '8048'], ['3161', 'uni1F71', '8049'], ['3162', 'uni1F72', '8050'], ['3163', 'uni1F73', '8051'], ['3164', 'uni1F74', '8052'], ['3165', 'uni1F75', '8053'], ['3166', 'uni1F76', '8054'], ['3167', 'uni1F77', '8055'], ['3168', 'uni1F78', '8056'], ['3169', 'uni1F79', '8057'], ['3170', 'uni1F7A', '8058'], ['3171', 'uni1F7B', '8059'], ['3172', 'uni1F7C', '8060'], ['3173', 'uni1F7D', '8061'], ['3174', 'uni1F80', '8064'], ['3175', 'uni1F81', '8065'], ['3176', 'uni1F82', '8066'], ['3177', 'uni1F83', '8067'], ['3178', 'uni1F84', '8068'], ['3179', 'uni1F85', '8069'], ['3180', 'uni1F86', '8070'], ['3181', 'uni1F87', '8071'], ['3182', 'uni1F88', '8072'], ['3183', 'uni1F89', '8073'], ['3184', 'uni1F8A', '8074'], ['3185', 'uni1F8B', '8075'], ['3186', 'uni1F8C', '8076'], ['3187', 'uni1F8D', '8077'], ['3188', 'uni1F8E', '8078'], ['3189', 'uni1F8F', '8079'], ['3190', 'uni1F90', '8080'], ['3191', 'uni1F91', '8081'], ['3192', 'uni1F92', '8082'], ['3193', 'uni1F93', '8083'], ['3194', 'uni1F94', '8084'], ['3195', 'uni1F95', '8085'], ['3196', 'uni1F96', '8086'], ['3197', 'uni1F97', '8087'], ['3198', 'uni1F98', '8088'], ['3199', 'uni1F99', '8089'], ['3200', 'uni1F9A', '8090'], ['3201', 'uni1F9B', '8091'], ['3202', 'uni1F9C', '8092'], ['3203', 'uni1F9D', '8093'], ['3204', 'uni1F9E', '8094'], ['3205', 'uni1F9F', '8095'], ['3206', 'uni1FA0', '8096'], ['3207', 'uni1FA1', '8097'], ['3208', 'uni1FA2', '8098'], ['3209', 'uni1FA3', '8099'], ['3210', 'uni1FA4', '8100'], ['3211', 'uni1FA5', '8101'], ['3212', 'uni1FA6', '8102'], ['3213', 'uni1FA7', '8103'], ['3214', 'uni1FA8', '8104'], ['3215', 'uni1FA9', '8105'], ['3216', 'uni1FAA', '8106'], ['3217', 'uni1FAB', '8107'], ['3218', 'uni1FAC', '8108'], ['3219', 'uni1FAD', '8109'], ['3220', 'uni1FAE', '8110'], ['3221', 'uni1FAF', '8111'], ['3222', 'uni1FB0', '8112'], ['3223', 'uni1FB1', '8113'], ['3224', 'uni1FB2', '8114'], ['3225', 'uni1FB3', '8115'], ['3226', 'uni1FB4', '8116'], ['3227', 'uni1FB6', '8118'], ['3228', 'uni1FB7', '8119'], ['3229', 'uni1FB8', '8120'], ['3230', 'uni1FB9', '8121'], ['3231', 'uni1FBA', '8122'], ['3232', 'uni1FBB', '8123'], ['3233', 'uni1FBC', '8124'], ['3234', 'uni1FC2', '8130'], ['3235', 'uni1FC3', '8131'], ['3236', 'uni1FC4', '8132'], ['3237', 'uni1FC6', '8134'], ['3238', 'uni1FC7', '8135'], ['3239', 'uni1FC8', '8136'], ['3240', 'uni1FC9', '8137'], ['3241', 'uni1FCA', '8138'], ['3242', 'uni1FCB', '8139'], ['3243', 'uni1FCC', '8140'], ['3244', 'uni1FD0', '8144'], ['3245', 'uni1FD1', '8145'], ['3246', 'uni1FD2', '8146'], ['3247', 'uni1FD3', '8147'], ['3248', 'uni1FD6', '8150'], ['3249', 'uni1FD7', '8151'], ['3250', 'uni1FD8', '8152'], ['3251', 'uni1FD9', '8153'], ['3252', 'uni1FDA', '8154'], ['3253', 'uni1FDB', '8155'], ['3254', 'uni1FE0', '8160'], ['3255', 'uni1FE1', '8161'], ['3256', 'uni1FE2', '8162'], ['3257', 'uni1FE3', '8163'], ['3258', 'uni1FE4', '8164'], ['3259', 'uni1FE5', '8165'], ['3260', 'uni1FE6', '8166'], ['3261', 'uni1FE7', '8167'], ['3262', 'uni1FE8', '8168'], ['3263', 'uni1FE9', '8169'], ['3264', 'uni1FEA', '8170'], ['3265', 'uni1FEB', '8171'], ['3266', 'uni1FEC', '8172'], ['3267', 'uni1FF2', '8178'], ['3268', 'uni1FF3', '8179'], ['3269', 'uni1FF4', '8180'], ['3270', 'uni1FF6', '8182'], ['3271', 'uni1FF7', '8183'], ['3272', 'uni1FF8', '8184'], ['3273', 'uni1FF9', '8185'], ['3274', 'uni1FFA', '8186'], ['3275', 'uni1FFB', '8187'], ['3276', 'uni1FFC', '8188'], ['3277', 'uni202F', '8239'], ['3278', 'uni2047', '8263'], ['3279', 'uni2048', '8264'], ['3280', 'uni2049', '8265'], ['3281', 'uni205F', '8287'], ['3282', 'uniA78F', '42895'], ['3283', 'Alphatonos.smcp', 'None'], ['3284', 'Epsilontonos.smcp', 'None'], ['3285', 'Etatonos.smcp', 'None'], ['3286', 'Iotatonos.smcp', 'None'], ['3287', 'Omicrontonos.smcp', 'None'], ['3288', 'Upsilontonos.smcp', 'None'], ['3289', 'Omegatonos.smcp', 'None'], ['3290', 'Alpha.smcp', 'None'], ['3291', 'Beta.smcp', 'None'], ['3292', 'Epsilon.smcp', 'None'], ['3293', 'Zeta.smcp', 'None'], ['3294', 'Eta.smcp', 'None'], ['3295', 'Iota.smcp', 'None'], ['3296', 'Kappa.smcp', 'None'], ['3297', 'Mu.smcp', 'None'], ['3298', 'Nu.smcp', 'None'], ['3299', 'Omicron.smcp', 'None'], ['3300', 'Rho.smcp', 'None'], ['3301', 'Tau.smcp', 'None'], ['3302', 'Upsilon.smcp', 'None'], ['3303', 'Chi.smcp', 'None'], ['3304', 'Iotadieresis.smcp', 'None'], ['3305', 'Upsilondieresis.smcp', 'None'], ['3306', 'uni0401.smcp', 'None'], ['3307', 'uni0403.smcp', 'None'], ['3308', 'uni0405.smcp', 'None'], ['3309', 'uni0406.smcp', 'None'], ['3310', 'uni0407.smcp', 'None'], ['3311', 'uni0408.smcp', 'None'], ['3312', 'uni040C.smcp', 'None'], ['3313', 'uni040E.smcp', 'None'], ['3314', 'uni0410.smcp', 'None'], ['3315', 'uni0412.smcp', 'None'], ['3316', 'uni0413.smcp', 'None'], ['3317', 'uni0415.smcp', 'None'], ['3318', 'uni0419.smcp', 'None'], ['3319', 'uni041C.smcp', 'None'], ['3320', 'uni041D.smcp', 'None'], ['3321', 'uni041E.smcp', 'None'], ['3322', 'uni041F.smcp', 'None'], ['3323', 'uni0420.smcp', 'None'], ['3324', 'uni0421.smcp', 'None'], ['3325', 'uni0422.smcp', 'None'], ['3326', 'uni0425.smcp', 'None'], ['3327', 'uni0498.smcp', 'None'], ['3328', 'uni04A2.smcp', 'None'], ['3329', 'uni04AA.smcp', 'None'], ['3330', 'uni04AE.smcp', 'None'], ['3331', 'uni04BE.smcp', 'None'], ['3332', 'uni04E2.smcp', 'None'], ['3333', 'uni04EE.smcp', 'None'], ['3334', 'uni0424.smcp', 'None'], ['3335', 'uni037F.smcp', 'None'], ['3336', 'IJ.smcp', 'None'], ['3337', 'AEacute.smcp', 'None'], ['3338', 'Oslashacute.smcp', 'None'], ['3339', 'Scommaaccent.smcp', 'None'], ['3340', 'Wgrave.smcp', 'None'], ['3341', 'Wacute.smcp', 'None'], ['3342', 'Wdieresis.smcp', 'None'], ['3343', 'Ygrave.smcp', 'None'], ['3344', 'Aogonek.NAV', 'None'], ['3345', 'aogonek.NAV', 'None'], ['3346', 'Eogonek.NAV', 'None'], ['3347', 'eogonek.NAV', 'None'], ['3348', 'Oogonek.NAV', 'None'], ['3349', 'oogonek.NAV', 'None'], ['3350', 'Aogonek.smcp.NAV', 'None'], ['3351', 'Eogonek.smcp.NAV', 'None'], ['3352', 'Oogonek.smcp.NAV', 'None'], ['3353', 'Agrave.unic', 'None'], ['3354', 'Aacute.unic', 'None'], ['3355', 'Acircumflex.unic', 'None'], ['3356', 'Atilde.unic', 'None'], ['3357', 'Adieresis.unic', 'None'], ['3358', 'Aring.unic', 'None'], ['3359', 'Amacron.unic', 'None'], ['3360', 'Abreve.unic', 'None'], ['3361', 'Aogonek.unic', 'None'], ['3362', 'Aringacute.unic', 'None'], ['3363', 'Egrave.unic', 'None'], ['3364', 'Eacute.unic', 'None'], ['3365', 'Ecircumflex.unic', 'None'], ['3366', 'Edieresis.unic', 'None'], ['3367', 'Emacron.unic', 'None'], ['3368', 'Ebreve.unic', 'None'], ['3369', 'Edotaccent.unic', 'None'], ['3370', 'Eogonek.unic', 'None'], ['3371', 'Ecaron.unic', 'None'], ['3372', 'Ntilde.unic', 'None'], ['3373', 'Nacute.unic', 'None'], ['3374', 'Ncommaaccent.unic', 'None'], ['3375', 'Ncaron.unic', 'None'], ['3376', 'Ugrave.unic', 'None'], ['3377', 'Uacute.unic', 'None'], ['3378', 'Udieresis.unic', 'None'], ['3379', 'Utilde.unic', 'None'], ['3380', 'Umacron.unic', 'None'], ['3381', 'Ubreve.unic', 'None'], ['3382', 'Uring.unic', 'None'], ['3383', 'Uhungarumlaut.unic', 'None'], ['3384', 'Uogonek.unic', 'None'], ['3385', 'uni1E2D.ccmp', 'None'], ['3386', 'uni1ECB.ccmp', 'None']]


targetGlyphOrder =   [['0', '.notdef', 'None'], ['1', '.null', '0'], ['2', 'uni0002', '2'], ['3', 'uni0009', '9'], ['4', 'CR', '13'], ['5', 'space', '32'], ['6', 'exclam', '33'], ['7', 'quotedbl', '34'], ['8', 'numbersign', '35'], ['9', 'dollar', '36'], ['10', 'percent', '37'], ['11', 'ampersand', '38'], ['12', 'quotesingle', '39'], ['13', 'parenleft', '40'], ['14', 'parenright', '41'], ['15', 'asterisk', '42'], ['16', 'plus', '43'], ['17', 'comma', '44'], ['18', 'hyphen', '45'], ['19', 'period', '46'], ['20', 'slash', '47'], ['21', 'zero', '48'], ['22', 'one', '49'], ['23', 'two', '50'], ['24', 'three', '51'], ['25', 'four', '52'], ['26', 'five', '53'], ['27', 'six', '54'], ['28', 'seven', '55'], ['29', 'eight', '56'], ['30', 'nine', '57'], ['31', 'colon', '58'], ['32', 'semicolon', '59'], ['33', 'less', '60'], ['34', 'equal', '61'], ['35', 'greater', '62'], ['36', 'question', '63'], ['37', 'at', '64'], ['38', 'A', '65'], ['39', 'B', '66'], ['40', 'C', '67'], ['41', 'D', '68'], ['42', 'E', '69'], ['43', 'F', '70'], ['44', 'G', '71'], ['45', 'H', '72'], ['46', 'I', '73'], ['47', 'J', '74'], ['48', 'K', '75'], ['49', 'L', '76'], ['50', 'M', '77'], ['51', 'N', '78'], ['52', 'O', '79'], ['53', 'P', '80'], ['54', 'Q', '81'], ['55', 'R', '82'], ['56', 'S', '83'], ['57', 'T', '84'], ['58', 'U', '85'], ['59', 'V', '86'], ['60', 'W', '87'], ['61', 'X', '88'], ['62', 'Y', '89'], ['63', 'Z', '90'], ['64', 'bracketleft', '91'], ['65', 'backslash', '92'], ['66', 'bracketright', '93'], ['67', 'asciicircum', '94'], ['68', 'underscore', '95'], ['69', 'grave', '96'], ['70', 'a', '97'], ['71', 'b', '98'], ['72', 'c', '99'], ['73', 'd', '100'], ['74', 'e', '101'], ['75', 'f', '102'], ['76', 'g', '103'], ['77', 'h', '104'], ['78', 'i', '105'], ['79', 'j', '106'], ['80', 'k', '107'], ['81', 'l', '108'], ['82', 'm', '109'], ['83', 'n', '110'], ['84', 'o', '111'], ['85', 'p', '112'], ['86', 'q', '113'], ['87', 'r', '114'], ['88', 's', '115'], ['89', 't', '116'], ['90', 'u', '117'], ['91', 'v', '118'], ['92', 'w', '119'], ['93', 'x', '120'], ['94', 'y', '121'], ['95', 'z', '122'], ['96', 'braceleft', '123'], ['97', 'bar', '124'], ['98', 'braceright', '125'], ['99', 'asciitilde', '126'], ['100', 'exclamdown', '161'], ['101', 'cent', '162'], ['102', 'sterling', '163'], ['103', 'currency', '164'], ['104', 'yen', '165'], ['105', 'brokenbar', '166'], ['106', 'section', '167'], ['107', 'dieresis', '168'], ['108', 'copyright', '169'], ['109', 'ordfeminine', '170'], ['110', 'guillemotleft', '171'], ['111', 'logicalnot', '172'], ['112', 'registered', '174'], ['113', 'macron', '175'], ['114', 'degree', '176'], ['115', 'plusminus', '177'], ['116', 'twosuperior', '178'], ['117', 'threesuperior', '179'], ['118', 'acute', '180'], ['119', 'mu', '181'], ['120', 'paragraph', '182'], ['121', 'periodcentered', '183'], ['122', 'cedilla', '184'], ['123', 'onesuperior', '185'], ['124', 'ordmasculine', '186'], ['125', 'guillemotright', '187'], ['126', 'onequarter', '188'], ['127', 'onehalf', '189'], ['128', 'threequarters', '190'], ['129', 'questiondown', '191'], ['130', 'AE', '198'], ['131', 'multiply', '215'], ['132', 'Oslash', '216'], ['133', 'Thorn', '222'], ['134', 'germandbls', '223'], ['135', 'ae', '230'], ['136', 'eth', '240'], ['137', 'divide', '247'], ['138', 'oslash', '248'], ['139', 'thorn', '254'], ['140', 'dcroat', '273'], ['141', 'Hbar', '294'], ['142', 'dotlessi', '305'], ['143', 'kgreenlandic', '312'], ['144', 'Lslash', '321'], ['145', 'lslash', '322'], ['146', 'Eng', '330'], ['147', 'eng', '331'], ['148', 'OE', '338'], ['149', 'oe', '339'], ['150', 'longs', '383'], ['151', 'bbar', '384'], ['152', 'Bhook', '385'], ['153', 'Btopbar', '386'], ['154', 'btopbar', '387'], ['155', 'Tonesix', '388'], ['156', 'tonesix', '389'], ['157', 'Oopen', '390'], ['158', 'Chook', '391'], ['159', 'chook', '392'], ['160', 'Dbar1', '393'], ['161', 'Dhook', '394'], ['162', 'Dtopbar', '395'], ['163', 'dtopbar', '396'], ['164', 'deltaturn', '397'], ['165', 'Eturn', '398'], ['166', 'Schwa', '399'], ['167', 'Epsilon1', '400'], ['168', 'Fhook', '401'], ['169', 'florin', '402'], ['170', 'Ghook', '403'], ['171', 'Gamma1', '404'], ['172', 'hv', '405'], ['173', 'Ibar', '407'], ['174', 'Khook', '408'], ['175', 'khook', '409'], ['176', 'lbar', '410'], ['177', 'lambdabar', '411'], ['178', 'mcapturn', '412'], ['179', 'Nhook', '413'], ['180', 'Ohorn', '416'], ['181', 'ohorn', '417'], ['182', 'OI', '418'], ['183', 'oi', '419'], ['184', 'Phook', '420'], ['185', 'phook', '421'], ['186', 'YR', '422'], ['187', 'Tonetwo', '423'], ['188', 'tonetwo', '424'], ['189', 'Esh', '425'], ['190', 'eshlooprev', '426'], ['191', 'tpalatalhook', '427'], ['192', 'Thook', '428'], ['193', 'thook', '429'], ['194', 'Trthook', '430'], ['195', 'Uhorn', '431'], ['196', 'uhorn', '432'], ['197', 'Upsilon2', '433'], ['198', 'Vcursive', '434'], ['199', 'Yhook', '435'], ['200', 'yhook', '436'], ['201', 'Zbar', '437'], ['202', 'zbar', '438'], ['203', 'uni01B7', '439'], ['204', 'uni01B8', '440'], ['205', 'uni01B9', '441'], ['206', 'uni01BA', '442'], ['207', 'uni01BB', '443'], ['208', 'Tonefive', '444'], ['209', 'tonefive', '445'], ['210', 'glottalstopbarinv', '446'], ['211', 'wynn', '447'], ['212', 'pipe', '448'], ['213', 'pipedbl', '449'], ['214', 'pipedblbar', '450'], ['215', 'exclam1', '451'], ['216', 'uni01C4', '452'], ['217', 'uni01C5', '453'], ['218', 'uni01C6', '454'], ['219', 'Gbar', '484'], ['220', 'gbar', '485'], ['221', 'uni01EE', '494'], ['222', 'uni01EF', '495'], ['223', 'uni01F6', '502'], ['224', 'uni01F7', '503'], ['225', 'uni021C', '540'], ['226', 'uni021D', '541'], ['227', 'uni0220', '544'], ['228', 'uni0221', '545'], ['229', 'uni0222', '546'], ['230', 'uni0223', '547'], ['231', 'uni0224', '548'], ['232', 'uni0225', '549'], ['233', 'uni0234', '564'], ['234', 'uni0235', '565'], ['235', 'uni0236', '566'], ['236', 'uni0237', '567'], ['237', 'uni0238', '568'], ['238', 'uni0239', '569'], ['239', 'uni023A', '570'], ['240', 'uni023B', '571'], ['241', 'uni023C', '572'], ['242', 'uni023D', '573'], ['243', 'uni023E', '574'], ['244', 'uni023F', '575'], ['245', 'uni0240', '576'], ['246', 'uni0241', '577'], ['247', 'uni0242', '578'], ['248', 'uni0243', '579'], ['249', 'uni0244', '580'], ['250', 'uni0245', '581'], ['251', 'uni0246', '582'], ['252', 'uni0247', '583'], ['253', 'uni0248', '584'], ['254', 'uni0249', '585'], ['255', 'uni024A', '586'], ['256', 'uni024B', '587'], ['257', 'uni024C', '588'], ['258', 'uni024D', '589'], ['259', 'uni024E', '590'], ['260', 'uni024F', '591'], ['261', 'aturn', '592'], ['262', 'ascript', '593'], ['263', 'ascriptturn', '594'], ['264', 'bhook', '595'], ['265', 'oopen', '596'], ['266', 'ccurl', '597'], ['267', 'drthook', '598'], ['268', 'dhook', '599'], ['269', 'erev', '600'], ['270', 'schwa', '601'], ['271', 'schwahook', '602'], ['272', 'epsilon1', '603'], ['273', 'epsilon1rev', '604'], ['274', 'epsilon1revhook', '605'], ['275', 'epsilon1revclosed', '606'], ['276', 'jdotlessbar', '607'], ['277', 'ghook', '608'], ['278', 'gcursive', '609'], ['279', 'Gsmallcap', '610'], ['280', 'gamma1', '611'], ['281', 'babygamma', '612'], ['282', 'hturn', '613'], ['283', 'hhook', '614'], ['284', 'henghook', '615'], ['285', 'ibar', '616'], ['286', 'iota1', '617'], ['287', 'Ismallcap', '618'], ['288', 'lmidtilde', '619'], ['289', 'lbelt', '620'], ['290', 'lrthook', '621'], ['291', 'lyogh', '622'], ['292', 'mturn', '623'], ['293', 'mturndescend', '624'], ['294', 'mhook', '625'], ['295', 'nlfthook', '626'], ['296', 'nrthook', '627'], ['297', 'Nsmallcap', '628'], ['298', 'OEsmallcap', '630'], ['299', 'omegaclosed', '631'], ['300', 'philatin', '632'], ['301', 'rturn', '633'], ['302', 'rturnascend', '634'], ['303', 'rturnrthook', '635'], ['304', 'rdescend', '636'], ['305', 'rrthook', '637'], ['306', 'rfishhook', '638'], ['307', 'rfishhookrev', '639'], ['308', 'Rsmallcap', '640'], ['309', 'Rsmallcapinv', '641'], ['310', 'srthook', '642'], ['311', 'esh', '643'], ['312', 'jhookdblbar', '644'], ['313', 'eshshortrev', '645'], ['314', 'eshcurl', '646'], ['315', 'tturn', '647'], ['316', 'trthook', '648'], ['317', 'ubar', '649'], ['318', 'upsilonlatin', '650'], ['319', 'vscript', '651'], ['320', 'vturn', '652'], ['321', 'wturn', '653'], ['322', 'yturn', '654'], ['323', 'Ysmallcap', '655'], ['324', 'zrthook', '656'], ['325', 'zcurl', '657'], ['326', 'uni0292', '658'], ['327', 'uni0293', '659'], ['328', 'glottalstop', '660'], ['329', 'glottalstoprevinv', '661'], ['330', 'glottalstopinv', '662'], ['331', 'cstretch', '663'], ['332', 'bullseye', '664'], ['333', 'epsilonclosed', '666'], ['334', 'Gsmallcaphook', '667'], ['335', 'jcrosstail', '669'], ['336', 'kturn', '670'], ['337', 'Lsmallcap', '671'], ['338', 'qhook', '672'], ['339', 'glottalstopbar', '673'], ['340', 'glottalstopbarrev', '674'], ['341', 'dz', '675'], ['342', 'dyogh', '676'], ['343', 'dzcurl', '677'], ['344', 'ts', '678'], ['345', 'tesh', '679'], ['346', 'tccurl', '680'], ['347', 'uni02A9', '681'], ['348', 'finalkaf', '682'], ['349', 'uni02AB', '683'], ['350', 'uni02AC', '684'], ['351', 'finalmem', '685'], ['352', 'uni02AE', '686'], ['353', 'finalnun', '687'], ['354', 'hsuper', '688'], ['355', 'hhooksuper', '689'], ['356', 'jsuper', '690'], ['357', 'rsuper', '691'], ['358', 'rturnsuper', '692'], ['359', 'finaltsadi', '693'], ['360', 'Rturnsuper', '694'], ['361', 'wsuper', '695'], ['362', 'ysuper', '696'], ['363', 'uni02B9', '697'], ['364', 'uni02BA', '698'], ['365', 'uni02BB', '699'], ['366', 'uni02BD', '701'], ['367', 'uni02BE', '702'], ['368', 'uni02BF', '703'], ['369', 'uni02C0', '704'], ['370', 'uni02C1', '705'], ['371', 'uni02C2', '706'], ['372', 'uni02C3', '707'], ['373', 'uni02C4', '708'], ['374', 'uni02C5', '709'], ['375', 'circumflex', '710'], ['376', 'caron', '711'], ['377', 'linevert', '712'], ['378', 'uni02C9', '713'], ['379', 'uni02CA', '714'], ['380', 'uni02CB', '715'], ['381', 'uni02CC', '716'], ['382', 'macronsub', '717'], ['383', 'uni02CE', '718'], ['384', 'uni02CF', '719'], ['385', 'uni02D0', '720'], ['386', 'uni02D1', '721'], ['387', 'uni02D2', '722'], ['388', 'uni02D3', '723'], ['389', 'uni02D4', '724'], ['390', 'uni02D5', '725'], ['391', 'uni02D6', '726'], ['392', 'uni02D7', '727'], ['393', 'breve', '728'], ['394', 'dotaccent', '729'], ['395', 'ring', '730'], ['396', 'ogonek', '731'], ['397', 'tilde', '732'], ['398', 'hungarumlaut', '733'], ['399', 'uni02DE', '734'], ['400', 'qofdagesh', '735'], ['401', 'gammasuper', '736'], ['402', 'shindagesh', '737'], ['403', 'tavdages', '738'], ['404', 'xsuper', '739'], ['405', 'uni02E4', '740'], ['406', 'uni02E5', '741'], ['407', 'uni02E6', '742'], ['408', 'uni02E7', '743'], ['409', 'uni02E8', '744'], ['410', 'uni02E9', '745'], ['411', 'uni02EA', '746'], ['412', 'uni02EB', '747'], ['413', 'uni02EC', '748'], ['414', 'uni02ED', '749'], ['415', 'dblapostrophe', '750'], ['416', 'uni02EF', '751'], ['417', 'uni02F0', '752'], ['418', 'uni02F1', '753'], ['419', 'uni02F2', '754'], ['420', 'uni02F3', '755'], ['421', 'uni02F4', '756'], ['422', 'uni02F5', '757'], ['423', 'uni02F6', '758'], ['424', 'uni02F7', '759'], ['425', 'uni02F8', '760'], ['426', 'uni02F9', '761'], ['427', 'uni02FA', '762'], ['428', 'uni02FB', '763'], ['429', 'uni02FC', '764'], ['430', 'uni02FD', '765'], ['431', 'uni02FE', '766'], ['432', 'uni02FF', '767'], ['433', 'gravecomb', '768'], ['434', 'acutecomb', '769'], ['435', 'circumflexnosp', '770'], ['436', 'tildecomb', '771'], ['437', 'macroncomb', '772'], ['438', 'overscorenosp', '773'], ['439', 'brevenosp', '774'], ['440', 'dotnosp', '775'], ['441', 'dieresisnosp', '776'], ['442', 'hook', '777'], ['443', 'ringnosp', '778'], ['444', 'acutedblnosp', '779'], ['445', 'uni030C', '780'], ['446', 'linevertnosp', '781'], ['447', 'linevertdblnosp', '782'], ['448', 'uni030F', '783'], ['449', 'candrabindunosp', '784'], ['450', 'breveinvnosp', '785'], ['451', 'commaturnsupnosp', '786'], ['452', 'uni0313', '787'], ['453', 'commasuprevnosp', '788'], ['454', 'uni0315', '789'], ['455', 'gravesubnosp', '790'], ['456', 'acutesubnosp', '791'], ['457', 'tackleftsubnosp', '792'], ['458', 'tackrightsubnosp', '793'], ['459', 'anglesupnosp', '794'], ['460', 'hornnosp', '795'], ['461', 'ringlefthalfsubnosp', '796'], ['462', 'tackupsubnosp', '797'], ['463', 'tackdownsubnosp', '798'], ['464', 'plussubnosp', '799'], ['465', 'minussubnosp', '800'], ['466', 'hooksubpalatnosp', '801'], ['467', 'hooksubretronosp', '802'], ['468', 'dotbelow', '803'], ['469', 'dotdblsubnosp', '804'], ['470', 'ringsubnosp', '805'], ['471', 'uni0326', '806'], ['472', 'cedillanosp', '807'], ['473', 'ogoneknosp', '808'], ['474', 'linevertsubnosp', '809'], ['475', 'bridgesubnosp', '810'], ['476', 'archdblsubnosp', '811'], ['477', 'uni032C', '812'], ['478', 'circumflexsubnosp', '813'], ['479', 'brevesubnosp', '814'], ['480', 'breveinvsubnosp', '815'], ['481', 'tildesubnosp', '816'], ['482', 'macronsubnosp', '817'], ['483', 'underscorenosp', '818'], ['484', 'underscoredblnosp', '819'], ['485', 'tildemidnosp', '820'], ['486', 'barmidshortnosp', '821'], ['487', 'barmidlongnosp', '822'], ['488', 'slashshortnosp', '823'], ['489', 'slashlongnosp', '824'], ['490', 'ringrighthalfsubnosp', '825'], ['491', 'bridgeinvsubnosp', '826'], ['492', 'squaresubnosp', '827'], ['493', 'seagullsubnosp', '828'], ['494', 'xsupnosp', '829'], ['495', 'tildevertsupnosp', '830'], ['496', 'overscoredblnosp', '831'], ['497', 'graveleftnosp', '832'], ['498', 'acuterightnosp', '833'], ['499', 'uni0342', '834'], ['500', 'uni0343', '835'], ['501', 'diaeresistonosnosp', '836'], ['502', 'iotasubnosp', '837'], ['503', 'uni0346', '838'], ['504', 'uni0347', '839'], ['505', 'uni0348', '840'], ['506', 'uni0349', '841'], ['507', 'uni034A', '842'], ['508', 'uni034B', '843'], ['509', 'uni034C', '844'], ['510', 'uni034D', '845'], ['511', 'uni034E', '846'], ['512', 'uni034F', '847'], ['513', 'uni0350', '848'], ['514', 'uni0351', '849'], ['515', 'uni0352', '850'], ['516', 'uni0353', '851'], ['517', 'uni0354', '852'], ['518', 'uni0355', '853'], ['519', 'uni0356', '854'], ['520', 'uni0357', '855'], ['521', 'uni0358', '856'], ['522', 'uni0359', '857'], ['523', 'uni035A', '858'], ['524', 'uni035B', '859'], ['525', 'uni035C', '860'], ['526', 'uni035D', '861'], ['527', 'uni035E', '862'], ['528', 'uni035F', '863'], ['529', 'uni0360', '864'], ['530', 'uni0361', '865'], ['531', 'uni0362', '866'], ['532', 'uni0363', '867'], ['533', 'uni0364', '868'], ['534', 'uni0365', '869'], ['535', 'uni0366', '870'], ['536', 'uni0367', '871'], ['537', 'uni0368', '872'], ['538', 'uni0369', '873'], ['539', 'uni036A', '874'], ['540', 'uni036B', '875'], ['541', 'uni036C', '876'], ['542', 'uni036D', '877'], ['543', 'uni036E', '878'], ['544', 'uni036F', '879'], ['545', 'uni0370', '880'], ['546', 'uni0371', '881'], ['547', 'uni0372', '882'], ['548', 'uni0373', '883'], ['549', 'numeralgreek', '884'], ['550', 'numeralgreeksub', '885'], ['551', 'uni0376', '886'], ['552', 'uni0377', '887'], ['553', 'uni037B', '891'], ['554', 'uni037C', '892'], ['555', 'uni037D', '893'], ['556', 'questiongreek', '894'], ['557', 'tonos', '900'], ['558', 'dieresistonos', '901'], ['559', 'anoteleia', '903'], ['560', 'Gamma', '915'], ['561', 'Delta', '916'], ['562', 'Theta', '920'], ['563', 'Lambda', '923'], ['564', 'Xi', '926'], ['565', 'Pi', '928'], ['566', 'Sigma', '931'], ['567', 'Phi', '934'], ['568', 'Psi', '936'], ['569', 'Omega', '937'], ['570', 'alpha', '945'], ['571', 'beta', '946'], ['572', 'gamma', '947'], ['573', 'delta', '948'], ['574', 'epsilon', '949'], ['575', 'zeta', '950'], ['576', 'eta', '951'], ['577', 'theta', '952'], ['578', 'iota', '953'], ['579', 'lambda', '955'], ['580', 'xi', '958'], ['581', 'pi', '960'], ['582', 'rho', '961'], ['583', 'sigma1', '962'], ['584', 'sigma', '963'], ['585', 'tau', '964'], ['586', 'upsilon', '965'], ['587', 'phi', '966'], ['588', 'psi', '968'], ['589', 'omega', '969'], ['590', 'uni03CF', '975'], ['591', 'beta1', '976'], ['592', 'uni03D1', '977'], ['593', 'uni03D2', '978'], ['594', 'phi1', '981'], ['595', 'uni03D6', '982'], ['596', 'uni03D7', '983'], ['597', 'uni03D8', '984'], ['598', 'uni03D9', '985'], ['599', 'Stigma', '986'], ['600', 'stigma', '987'], ['601', 'Digamma', '988'], ['602', 'digamma', '989'], ['603', 'Koppa', '990'], ['604', 'koppa', '991'], ['605', 'Sampi', '992'], ['606', 'sampi', '993'], ['607', 'kappa1', '1008'], ['608', 'rho1', '1009'], ['609', 'uni03F5', '1013'], ['610', 'uni03F6', '1014'], ['611', 'uni03FB', '1019'], ['612', 'uni03FC', '1020'], ['613', 'uni03FD', '1021'], ['614', 'uni03FE', '1022'], ['615', 'uni03FF', '1023'], ['616', 'uni0402', '1026'], ['617', 'uni0404', '1028'], ['618', 'uni0409', '1033'], ['619', 'uni040A', '1034'], ['620', 'uni040B', '1035'], ['621', 'uni040F', '1039'], ['622', 'uni0411', '1041'], ['623', 'uni0414', '1044'], ['624', 'uni0416', '1046'], ['625', 'uni0417', '1047'], ['626', 'uni0418', '1048'], ['627', 'uni041B', '1051'], ['628', 'uni0423', '1059'], ['629', 'uni0424', '1060'], ['630', 'uni0426', '1062'], ['631', 'uni0427', '1063'], ['632', 'uni0428', '1064'], ['633', 'uni0429', '1065'], ['634', 'uni042A', '1066'], ['635', 'uni042B', '1067'], ['636', 'uni042C', '1068'], ['637', 'uni042D', '1069'], ['638', 'uni042E', '1070'], ['639', 'uni042F', '1071'], ['640', 'uni0431', '1073'], ['641', 'uni0432', '1074'], ['642', 'uni0433', '1075'], ['643', 'uni0434', '1076'], ['644', 'uni0436', '1078'], ['645', 'uni0437', '1079'], ['646', 'uni0438', '1080'], ['647', 'uni043A', '1082'], ['648', 'uni043B', '1083'], ['649', 'uni043C', '1084'], ['650', 'uni043D', '1085'], ['651', 'uni043F', '1087'], ['652', 'uni0442', '1090'], ['653', 'uni0444', '1092'], ['654', 'uni0446', '1094'], ['655', 'uni0447', '1095'], ['656', 'uni0448', '1096'], ['657', 'uni0449', '1097'], ['658', 'uni044A', '1098'], ['659', 'uni044B', '1099'], ['660', 'uni044C', '1100'], ['661', 'uni044D', '1101'], ['662', 'uni044E', '1102'], ['663', 'uni044F', '1103'], ['664', 'uni0452', '1106'], ['665', 'uni0454', '1108'], ['666', 'uni0459', '1113'], ['667', 'uni045A', '1114'], ['668', 'uni045B', '1115'], ['669', 'uni045F', '1119'], ['670', 'uni0460', '1120'], ['671', 'uni0461', '1121'], ['672', 'uni0463', '1123'], ['673', 'uni0464', '1124'], ['674', 'uni0465', '1125'], ['675', 'uni0466', '1126'], ['676', 'uni0467', '1127'], ['677', 'uni0468', '1128'], ['678', 'uni0469', '1129'], ['679', 'uni046A', '1130'], ['680', 'uni046B', '1131'], ['681', 'uni046C', '1132'], ['682', 'uni046D', '1133'], ['683', 'uni046E', '1134'], ['684', 'uni046F', '1135'], ['685', 'uni0472', '1138'], ['686', 'uni0473', '1139'], ['687', 'uni0474', '1140'], ['688', 'uni0475', '1141'], ['689', 'uni047A', '1146'], ['690', 'uni047B', '1147'], ['691', 'uni047C', '1148'], ['692', 'uni047D', '1149'], ['693', 'uni047E', '1150'], ['694', 'uni047F', '1151'], ['695', 'uni0480', '1152'], ['696', 'uni0481', '1153'], ['697', 'uni0482', '1154'], ['698', 'uni0483', '1155'], ['699', 'uni0484', '1156'], ['700', 'uni0485', '1157'], ['701', 'uni0486', '1158'], ['702', 'uni0487', '1159'], ['703', 'uni0488', '1160'], ['704', 'uni0489', '1161'], ['705', 'uni048A', '1162'], ['706', 'uni048B', '1163'], ['707', 'uni048D', '1165'], ['708', 'uni048E', '1166'], ['709', 'uni048F', '1167'], ['710', 'uni0490', '1168'], ['711', 'uni0491', '1169'], ['712', 'uni0494', '1172'], ['713', 'uni0495', '1173'], ['714', 'uni0496', '1174'], ['715', 'uni0497', '1175'], ['716', 'uni049A', '1178'], ['717', 'uni049B', '1179'], ['718', 'uni049C', '1180'], ['719', 'uni049D', '1181'], ['720', 'uni04A0', '1184'], ['721', 'uni04A1', '1185'], ['722', 'uni04A2', '1186'], ['723', 'uni04A3', '1187'], ['724', 'uni04A4', '1188'], ['725', 'uni04A5', '1189'], ['726', 'uni04A6', '1190'], ['727', 'uni04A7', '1191'], ['728', 'uni04A8', '1192'], ['729', 'uni04A9', '1193'], ['730', 'uni04B2', '1202'], ['731', 'uni04B3', '1203'], ['732', 'uni04B4', '1204'], ['733', 'uni04B5', '1205'], ['734', 'uni04B6', '1206'], ['735', 'uni04B7', '1207'], ['736', 'uni04B8', '1208'], ['737', 'uni04B9', '1209'], ['738', 'uni04BA', '1210'], ['739', 'uni04BC', '1212'], ['740', 'uni04BD', '1213'], ['741', 'uni04C3', '1219'], ['742', 'uni04C4', '1220'], ['743', 'uni04C5', '1221'], ['744', 'uni04C6', '1222'], ['745', 'uni04C7', '1223'], ['746', 'uni04C8', '1224'], ['747', 'uni04C9', '1225'], ['748', 'uni04CA', '1226'], ['749', 'uni04CD', '1229'], ['750', 'uni04CE', '1230'], ['751', 'uni04D8', '1240'], ['752', 'uni04E0', '1248'], ['753', 'uni04E1', '1249'], ['754', 'uni04FA', '1274'], ['755', 'uni04FB', '1275'], ['756', 'uni04FC', '1276'], ['757', 'uni04FD', '1277'], ['758', 'uni0500', '1280'], ['759', 'uni0502', '1282'], ['760', 'uni0503', '1283'], ['761', 'uni0504', '1284'], ['762', 'uni0505', '1285'], ['763', 'uni0506', '1286'], ['764', 'uni0507', '1287'], ['765', 'uni0508', '1288'], ['766', 'uni0509', '1289'], ['767', 'uni050A', '1290'], ['768', 'uni050B', '1291'], ['769', 'uni050C', '1292'], ['770', 'uni050D', '1293'], ['771', 'uni050E', '1294'], ['772', 'uni050F', '1295'], ['773', 'uni0510', '1296'], ['774', 'uni0512', '1298'], ['775', 'uni0513', '1299'], ['776', 'uni0514', '1300'], ['777', 'uni0515', '1301'], ['778', 'uni0516', '1302'], ['779', 'uni0517', '1303'], ['780', 'uni0518', '1304'], ['781', 'uni0519', '1305'], ['782', 'uni051E', '1310'], ['783', 'uni051F', '1311'], ['784', 'uni0520', '1312'], ['785', 'uni0521', '1313'], ['786', 'uni0522', '1314'], ['787', 'uni0523', '1315'], ['788', 'uni0524', '1316'], ['789', 'uni0525', '1317'], ['790', 'uni0526', '1318'], ['791', 'uni0527', '1319'], ['792', 'uni0528', '1320'], ['793', 'uni0529', '1321'], ['794', 'uni052A', '1322'], ['795', 'uni052B', '1323'], ['796', 'uni052C', '1324'], ['797', 'uni052D', '1325'], ['798', 'uni052E', '1326'], ['799', 'uni052F', '1327'], ['800', 'uni1AB0', '6832'], ['801', 'uni1AB1', '6833'], ['802', 'uni1AB2', '6834'], ['803', 'uni1AB3', '6835'], ['804', 'uni1AB4', '6836'], ['805', 'uni1AB5', '6837'], ['806', 'uni1AB6', '6838'], ['807', 'uni1AB7', '6839'], ['808', 'uni1AB8', '6840'], ['809', 'uni1AB9', '6841'], ['810', 'uni1ABA', '6842'], ['811', 'uni1ABB', '6843'], ['812', 'uni1ABC', '6844'], ['813', 'uni1ABD', '6845'], ['814', 'uni1ABE', '6846'], ['815', 'uni1D00', '7424'], ['816', 'uni1D01', '7425'], ['817', 'uni1D02', '7426'], ['818', 'uni1D03', '7427'], ['819', 'uni1D04', '7428'], ['820', 'uni1D05', '7429'], ['821', 'uni1D06', '7430'], ['822', 'uni1D07', '7431'], ['823', 'uni1D08', '7432'], ['824', 'uni1D09', '7433'], ['825', 'uni1D0A', '7434'], ['826', 'uni1D0B', '7435'], ['827', 'uni1D0C', '7436'], ['828', 'uni1D0D', '7437'], ['829', 'uni1D0E', '7438'], ['830', 'uni1D0F', '7439'], ['831', 'uni1D10', '7440'], ['832', 'uni1D11', '7441'], ['833', 'uni1D12', '7442'], ['834', 'uni1D13', '7443'], ['835', 'uni1D14', '7444'], ['836', 'uni1D15', '7445'], ['837', 'uni1D16', '7446'], ['838', 'uni1D17', '7447'], ['839', 'uni1D18', '7448'], ['840', 'uni1D19', '7449'], ['841', 'uni1D1A', '7450'], ['842', 'uni1D1B', '7451'], ['843', 'uni1D1C', '7452'], ['844', 'uni1D1D', '7453'], ['845', 'uni1D1E', '7454'], ['846', 'uni1D1F', '7455'], ['847', 'uni1D20', '7456'], ['848', 'uni1D21', '7457'], ['849', 'uni1D22', '7458'], ['850', 'uni1D23', '7459'], ['851', 'uni1D24', '7460'], ['852', 'uni1D25', '7461'], ['853', 'uni1D26', '7462'], ['854', 'uni1D27', '7463'], ['855', 'uni1D28', '7464'], ['856', 'uni1D29', '7465'], ['857', 'uni1D2A', '7466'], ['858', 'uni1D2B', '7467'], ['859', 'uni1D2C', '7468'], ['860', 'uni1D2D', '7469'], ['861', 'uni1D2E', '7470'], ['862', 'uni1D2F', '7471'], ['863', 'uni1D30', '7472'], ['864', 'uni1D31', '7473'], ['865', 'uni1D32', '7474'], ['866', 'uni1D33', '7475'], ['867', 'uni1D34', '7476'], ['868', 'uni1D35', '7477'], ['869', 'uni1D36', '7478'], ['870', 'uni1D37', '7479'], ['871', 'uni1D38', '7480'], ['872', 'uni1D39', '7481'], ['873', 'uni1D3A', '7482'], ['874', 'uni1D3B', '7483'], ['875', 'uni1D3C', '7484'], ['876', 'uni1D3D', '7485'], ['877', 'uni1D3E', '7486'], ['878', 'uni1D3F', '7487'], ['879', 'uni1D40', '7488'], ['880', 'uni1D41', '7489'], ['881', 'uni1D42', '7490'], ['882', 'uni1D43', '7491'], ['883', 'uni1D44', '7492'], ['884', 'uni1D45', '7493'], ['885', 'uni1D46', '7494'], ['886', 'uni1D47', '7495'], ['887', 'uni1D48', '7496'], ['888', 'uni1D49', '7497'], ['889', 'uni1D4A', '7498'], ['890', 'uni1D4B', '7499'], ['891', 'uni1D4C', '7500'], ['892', 'uni1D4D', '7501'], ['893', 'uni1D4E', '7502'], ['894', 'uni1D4F', '7503'], ['895', 'uni1D50', '7504'], ['896', 'uni1D51', '7505'], ['897', 'uni1D52', '7506'], ['898', 'uni1D53', '7507'], ['899', 'uni1D54', '7508'], ['900', 'uni1D55', '7509'], ['901', 'uni1D56', '7510'], ['902', 'uni1D57', '7511'], ['903', 'uni1D58', '7512'], ['904', 'uni1D59', '7513'], ['905', 'uni1D5A', '7514'], ['906', 'uni1D5B', '7515'], ['907', 'uni1D5C', '7516'], ['908', 'uni1D5D', '7517'], ['909', 'uni1D5E', '7518'], ['910', 'uni1D5F', '7519'], ['911', 'uni1D60', '7520'], ['912', 'uni1D61', '7521'], ['913', 'uni1D62', '7522'], ['914', 'uni1D63', '7523'], ['915', 'uni1D64', '7524'], ['916', 'uni1D65', '7525'], ['917', 'uni1D66', '7526'], ['918', 'uni1D67', '7527'], ['919', 'uni1D68', '7528'], ['920', 'uni1D69', '7529'], ['921', 'uni1D6A', '7530'], ['922', 'uni1D6B', '7531'], ['923', 'uni1D6C', '7532'], ['924', 'uni1D6D', '7533'], ['925', 'uni1D6E', '7534'], ['926', 'uni1D6F', '7535'], ['927', 'uni1D70', '7536'], ['928', 'uni1D71', '7537'], ['929', 'uni1D72', '7538'], ['930', 'uni1D73', '7539'], ['931', 'uni1D74', '7540'], ['932', 'uni1D75', '7541'], ['933', 'uni1D76', '7542'], ['934', 'uni1D77', '7543'], ['935', 'uni1D78', '7544'], ['936', 'uni1D79', '7545'], ['937', 'uni1D7A', '7546'], ['938', 'uni1D7B', '7547'], ['939', 'uni1D7C', '7548'], ['940', 'uni1D7D', '7549'], ['941', 'uni1D7E', '7550'], ['942', 'uni1D7F', '7551'], ['943', 'uni1D80', '7552'], ['944', 'uni1D81', '7553'], ['945', 'uni1D82', '7554'], ['946', 'uni1D83', '7555'], ['947', 'uni1D84', '7556'], ['948', 'uni1D85', '7557'], ['949', 'uni1D86', '7558'], ['950', 'uni1D87', '7559'], ['951', 'uni1D88', '7560'], ['952', 'uni1D89', '7561'], ['953', 'uni1D8A', '7562'], ['954', 'uni1D8B', '7563'], ['955', 'uni1D8C', '7564'], ['956', 'uni1D8D', '7565'], ['957', 'uni1D8E', '7566'], ['958', 'uni1D8F', '7567'], ['959', 'uni1D90', '7568'], ['960', 'uni1D91', '7569'], ['961', 'uni1D92', '7570'], ['962', 'uni1D93', '7571'], ['963', 'uni1D94', '7572'], ['964', 'uni1D95', '7573'], ['965', 'uni1D96', '7574'], ['966', 'uni1D97', '7575'], ['967', 'uni1D98', '7576'], ['968', 'uni1D99', '7577'], ['969', 'uni1D9A', '7578'], ['970', 'uni1D9B', '7579'], ['971', 'uni1D9C', '7580'], ['972', 'uni1D9D', '7581'], ['973', 'uni1D9E', '7582'], ['974', 'uni1D9F', '7583'], ['975', 'uni1DA0', '7584'], ['976', 'uni1DA1', '7585'], ['977', 'uni1DA2', '7586'], ['978', 'uni1DA3', '7587'], ['979', 'uni1DA4', '7588'], ['980', 'uni1DA5', '7589'], ['981', 'uni1DA6', '7590'], ['982', 'uni1DA7', '7591'], ['983', 'uni1DA8', '7592'], ['984', 'uni1DA9', '7593'], ['985', 'uni1DAA', '7594'], ['986', 'uni1DAB', '7595'], ['987', 'uni1DAC', '7596'], ['988', 'uni1DAD', '7597'], ['989', 'uni1DAE', '7598'], ['990', 'uni1DAF', '7599'], ['991', 'uni1DB0', '7600'], ['992', 'uni1DB1', '7601'], ['993', 'uni1DB2', '7602'], ['994', 'uni1DB3', '7603'], ['995', 'uni1DB4', '7604'], ['996', 'uni1DB5', '7605'], ['997', 'uni1DB6', '7606'], ['998', 'uni1DB7', '7607'], ['999', 'uni1DB8', '7608'], ['1000', 'uni1DB9', '7609'], ['1001', 'uni1DBA', '7610'], ['1002', 'uni1DBB', '7611'], ['1003', 'uni1DBC', '7612'], ['1004', 'uni1DBD', '7613'], ['1005', 'uni1DBE', '7614'], ['1006', 'uni1DBF', '7615'], ['1007', 'uni1DC0', '7616'], ['1008', 'uni1DC1', '7617'], ['1009', 'uni1DC2', '7618'], ['1010', 'uni1DC3', '7619'], ['1011', 'uni1DC4', '7620'], ['1012', 'uni1DC5', '7621'], ['1013', 'uni1DC6', '7622'], ['1014', 'uni1DC7', '7623'], ['1015', 'uni1DC8', '7624'], ['1016', 'uni1DC9', '7625'], ['1017', 'uni1DCA', '7626'], ['1018', 'uni1DCB', '7627'], ['1019', 'uni1DCC', '7628'], ['1020', 'uni1DCD', '7629'], ['1021', 'uni1DCE', '7630'], ['1022', 'uni1DCF', '7631'], ['1023', 'uni1DD0', '7632'], ['1024', 'uni1DD1', '7633'], ['1025', 'uni1DD2', '7634'], ['1026', 'uni1DD3', '7635'], ['1027', 'uni1DD4', '7636'], ['1028', 'uni1DD5', '7637'], ['1029', 'uni1DD6', '7638'], ['1030', 'uni1DD7', '7639'], ['1031', 'uni1DD8', '7640'], ['1032', 'uni1DD9', '7641'], ['1033', 'uni1DDA', '7642'], ['1034', 'uni1DDB', '7643'], ['1035', 'uni1DDC', '7644'], ['1036', 'uni1DDD', '7645'], ['1037', 'uni1DDE', '7646'], ['1038', 'uni1DDF', '7647'], ['1039', 'uni1DE0', '7648'], ['1040', 'uni1DE1', '7649'], ['1041', 'uni1DE2', '7650'], ['1042', 'uni1DE3', '7651'], ['1043', 'uni1DE4', '7652'], ['1044', 'uni1DE5', '7653'], ['1045', 'uni1DE6', '7654'], ['1046', 'uni1DE7', '7655'], ['1047', 'uni1DE8', '7656'], ['1048', 'uni1DE9', '7657'], ['1049', 'uni1DEA', '7658'], ['1050', 'uni1DEB', '7659'], ['1051', 'uni1DEC', '7660'], ['1052', 'uni1DED', '7661'], ['1053', 'uni1DEE', '7662'], ['1054', 'uni1DEF', '7663'], ['1055', 'uni1DF0', '7664'], ['1056', 'uni1DF1', '7665'], ['1057', 'uni1DF2', '7666'], ['1058', 'uni1DF3', '7667'], ['1059', 'uni1DF4', '7668'], ['1060', 'uni1DF5', '7669'], ['1061', 'uni1DFC', '7676'], ['1062', 'uni1DFD', '7677'], ['1063', 'uni1DFE', '7678'], ['1064', 'uni1DFF', '7679'], ['1065', 'uni1E28', '7720'], ['1066', 'uni1E29', '7721'], ['1067', 'uni1E2C', '7724'], ['1068', 'uni1E2D', '7725'], ['1069', 'uni1E2E', '7726'], ['1070', 'uni1E2F', '7727'], ['1071', 'uni1E9B', '7835'], ['1072', 'uni1E9C', '7836'], ['1073', 'uni1E9D', '7837'], ['1074', 'Germandbls', '7838'], ['1075', 'uni1E9F', '7839'], ['1076', 'uni1EFA', '7930'], ['1077', 'uni1EFB', '7931'], ['1078', 'uni1EFC', '7932'], ['1079', 'uni1EFD', '7933'], ['1080', 'uni1EFE', '7934'], ['1081', 'uni1EFF', '7935'], ['1082', 'uni1FBD', '8125'], ['1083', 'uni1FBE', '8126'], ['1084', 'uni1FBF', '8127'], ['1085', 'uni1FC0', '8128'], ['1086', 'uni1FC1', '8129'], ['1087', 'uni1FCD', '8141'], ['1088', 'uni1FCE', '8142'], ['1089', 'uni1FCF', '8143'], ['1090', 'uni1FDD', '8157'], ['1091', 'uni1FDE', '8158'], ['1092', 'uni1FDF', '8159'], ['1093', 'uni1FED', '8173'], ['1094', 'uni1FEE', '8174'], ['1095', 'uni1FEF', '8175'], ['1096', 'uni1FFD', '8189'], ['1097', 'uni1FFE', '8190'], ['1098', 'uni2000', '8192'], ['1099', 'uni2001', '8193'], ['1100', 'uni2002', '8194'], ['1101', 'uni2003', '8195'], ['1102', 'uni2004', '8196'], ['1103', 'uni2005', '8197'], ['1104', 'uni2006', '8198'], ['1105', 'uni2007', '8199'], ['1106', 'uni2008', '8200'], ['1107', 'uni2009', '8201'], ['1108', 'uni2009.fra', 'None'], ['1109', 'uni200A', '8202'], ['1110', 'uni200B', '8203'], ['1111', 'afii61664', '8204'], ['1112', 'afii57598', '8205'], ['1113', 'afii57596', '8206'], ['1114', 'afii300', '8207'], ['1115', 'hyphen__', '8208'], ['1116', 'hyphennobreak', '8209'], ['1117', 'figuredash', '8210'], ['1118', 'endash', '8211'], ['1119', 'emdash', '8212'], ['1120', 'verticalbardbl', '8214'], ['1121', 'underscoredbl', '8215'], ['1122', 'quoteleft', '8216'], ['1123', 'quoteright', '8217'], ['1124', 'quotesinglbase', '8218'], ['1125', 'quotereversed', '8219'], ['1126', 'quotedblleft', '8220'], ['1127', 'quotedblright', '8221'], ['1128', 'quotedblbase', '8222'], ['1129', 'quotedblreversed', '8223'], ['1130', 'dagger', '8224'], ['1131', 'daggerdbl', '8225'], ['1132', 'bullet', '8226'], ['1133', 'trianglebullet', '8227'], ['1134', 'onedotleader', '8228'], ['1135', 'uni2025', '8229'], ['1136', 'ellipsis', '8230'], ['1137', 'hyphendot', '8231'], ['1138', 'perthousand', '8240'], ['1139', 'pertenthousand', '8241'], ['1140', 'primetripl1', '8244'], ['1141', 'primerev1', '8245'], ['1142', 'reverseddblprime', '8246'], ['1143', 'primetriplerev1', '8247'], ['1144', 'caret', '8248'], ['1145', 'guilsinglleft', '8249'], ['1146', 'guilsinglright', '8250'], ['1147', 'referencemark', '8251'], ['1148', 'interrobang', '8253'], ['1149', 'overline', '8254'], ['1150', 'undertie', '8255'], ['1151', 'charactertie', '8256'], ['1152', 'caretinsertionpoint', '8257'], ['1153', 'asterism', '8258'], ['1154', 'hyphenbullet', '8259'], ['1155', 'fraction', '8260'], ['1156', 'uni2045', '8261'], ['1157', 'uni2046', '8262'], ['1158', 'uni204A', '8266'], ['1159', 'uni204B', '8267'], ['1160', 'uni204C', '8268'], ['1161', 'uni204D', '8269'], ['1162', 'uni204E', '8270'], ['1163', 'uni204F', '8271'], ['1164', 'uni2050', '8272'], ['1165', 'uni2051', '8273'], ['1166', 'uni2052', '8274'], ['1167', 'uni2053', '8275'], ['1168', 'uni2054', '8276'], ['1169', 'uni2055', '8277'], ['1170', 'uni2056', '8278'], ['1171', 'uni2057', '8279'], ['1172', 'uni2058', '8280'], ['1173', 'uni2059', '8281'], ['1174', 'uni205A', '8282'], ['1175', 'uni205B', '8283'], ['1176', 'uni205C', '8284'], ['1177', 'uni205D', '8285'], ['1178', 'uni205E', '8286'], ['1179', 'zerosuperior', '8304'], ['1180', 'uni2071', '8305'], ['1181', 'uni2074', '8308'], ['1182', 'fivesuperior', '8309'], ['1183', 'sixsuperior', '8310'], ['1184', 'sevensuperior', '8311'], ['1185', 'eightsuperior', '8312'], ['1186', 'ninesuperior', '8313'], ['1187', 'plussuperior', '8314'], ['1188', 'minussuperior', '8315'], ['1189', 'equalsuperior', '8316'], ['1190', 'parenleftsuperior', '8317'], ['1191', 'parenrightsuperior', '8318'], ['1192', 'nsuperior', '8319'], ['1193', 'zerosub', '8320'], ['1194', 'oneinferior', '8321'], ['1195', 'twosub', '8322'], ['1196', 'threesub', '8323'], ['1197', 'foursub', '8324'], ['1198', 'fivesub', '8325'], ['1199', 'sixinferior', '8326'], ['1200', 'sevensub', '8327'], ['1201', 'eightsub', '8328'], ['1202', 'nineinferior', '8329'], ['1203', 'plussub', '8330'], ['1204', 'minussub', '8331'], ['1205', 'equalsub', '8332'], ['1206', 'parenleftinferior', '8333'], ['1207', 'parenrightsub', '8334'], ['1208', 'uni2090', '8336'], ['1209', 'uni2091', '8337'], ['1210', 'uni2092', '8338'], ['1211', 'uni2093', '8339'], ['1212', 'uni2094', '8340'], ['1213', 'uni2095', '8341'], ['1214', 'uni2096', '8342'], ['1215', 'uni2097', '8343'], ['1216', 'uni2098', '8344'], ['1217', 'uni2099', '8345'], ['1218', 'uni209A', '8346'], ['1219', 'uni209B', '8347'], ['1220', 'uni209C', '8348'], ['1221', 'eurocurrency', '8352'], ['1222', 'coloncurrency', '8353'], ['1223', 'cruzeiro', '8354'], ['1224', 'lira', '8356'], ['1225', 'mill', '8357'], ['1226', 'naira', '8358'], ['1227', 'peseta', '8359'], ['1228', 'rupee', '8360'], ['1229', 'won', '8361'], ['1230', 'afii57636', '8362'], ['1231', 'Euro', '8364'], ['1232', 'uni20AD', '8365'], ['1233', 'uni20AE', '8366'], ['1234', 'uni20AF', '8367'], ['1235', 'uni20B0', '8368'], ['1236', 'uni20B1', '8369'], ['1237', 'uni20B2', '8370'], ['1238', 'uni20B3', '8371'], ['1239', 'uni20B4', '8372'], ['1240', 'uni20B5', '8373'], ['1241', 'uni20B6', '8374'], ['1242', 'uni20B7', '8375'], ['1243', 'uni20B8', '8376'], ['1244', 'uni20B9', '8377'], ['1245', 'uni20BA', '8378'], ['1246', 'uni20BB', '8379'], ['1247', 'uni20BC', '8380'], ['1248', 'uni20BD', '8381'], ['1249', 'uni20BE', '8382'], ['1250', 'uni20DB', '8411'], ['1251', 'uni20DC', '8412'], ['1252', 'uni20E3', '8419'], ['1253', 'uni20E8', '8424'], ['1254', 'uni20F0', '8432'], ['1255', 'accountof', '8448'], ['1256', 'addresssubject', '8449'], ['1257', 'degreecentigrade', '8451'], ['1258', 'uni2105', '8453'], ['1259', 'cadauna', '8454'], ['1260', 'degreefarenheit', '8457'], ['1261', 'uni2113', '8467'], ['1262', 'uni2116', '8470'], ['1263', 'published', '8471'], ['1264', 'Rx', '8478'], ['1265', 'response', '8479'], ['1266', 'servicemark', '8480'], ['1267', 'tel', '8481'], ['1268', 'trademark', '8482'], ['1269', 'versicle', '8483'], ['1270', 'ounce', '8485'], ['1271', 'degreekelvin', '8490'], ['1272', 'angstrom', '8491'], ['1273', 'estimated', '8494'], ['1274', 'Fturn', '8498'], ['1275', 'uni213B', '8507'], ['1276', 'uni214D', '8525'], ['1277', 'uni214F', '8527'], ['1278', 'uni2150', '8528'], ['1279', 'uni2151', '8529'], ['1280', 'uni2152', '8530'], ['1281', 'onethird', '8531'], ['1282', 'twothirds', '8532'], ['1283', 'uni2155', '8533'], ['1284', 'uni2156', '8534'], ['1285', 'uni2157', '8535'], ['1286', 'uni2158', '8536'], ['1287', 'uni2159', '8537'], ['1288', 'uni215A', '8538'], ['1289', 'oneeighth', '8539'], ['1290', 'threeeighths', '8540'], ['1291', 'fiveeighths', '8541'], ['1292', 'seveneighths', '8542'], ['1293', 'uni215F', '8543'], ['1294', 'romanone', '8544'], ['1295', 'romantwo', '8545'], ['1296', 'romanthree', '8546'], ['1297', 'romanfour', '8547'], ['1298', 'romanfive', '8548'], ['1299', 'romansix', '8549'], ['1300', 'romanseven', '8550'], ['1301', 'romaneight', '8551'], ['1302', 'romannine', '8552'], ['1303', 'romanten', '8553'], ['1304', 'romaneleven', '8554'], ['1305', 'romantwelve', '8555'], ['1306', 'romanfifty', '8556'], ['1307', 'romanhundred', '8557'], ['1308', 'romanfivehundred', '8558'], ['1309', 'romanthousand', '8559'], ['1310', 'uni2170', '8560'], ['1311', 'uni2171', '8561'], ['1312', 'uni2172', '8562'], ['1313', 'uni2173', '8563'], ['1314', 'uni2174', '8564'], ['1315', 'uni2175', '8565'], ['1316', 'uni2176', '8566'], ['1317', 'uni2177', '8567'], ['1318', 'uni2178', '8568'], ['1319', 'uni2179', '8569'], ['1320', 'uni217A', '8570'], ['1321', 'uni217B', '8571'], ['1322', 'uni217C', '8572'], ['1323', 'uni217D', '8573'], ['1324', 'uni217E', '8574'], ['1325', 'uni217F', '8575'], ['1326', 'uni2180', '8576'], ['1327', 'uni2181', '8577'], ['1328', 'uni2182', '8578'], ['1329', 'uni2183', '8579'], ['1330', 'uni2184', '8580'], ['1331', 'uni2185', '8581'], ['1332', 'uni2186', '8582'], ['1333', 'uni2187', '8583'], ['1334', 'uni2188', '8584'], ['1335', 'uni2189', '8585'], ['1336', 'arrowup', '8593'], ['1337', 'arrowdown', '8595'], ['1338', 'partialdiff', '8706'], ['1339', 'product', '8719'], ['1340', 'summation', '8721'], ['1341', 'minus', '8722'], ['1342', 'radical', '8730'], ['1343', 'infinity', '8734'], ['1344', 'integral', '8747'], ['1345', 'approxequal', '8776'], ['1346', 'notequal', '8800'], ['1347', 'lessequal', '8804'], ['1348', 'greaterequal', '8805'], ['1349', 'spaceopenbox', '9251'], ['1350', 'lozenge', '9674'], ['1351', 'uni27E6', '10214'], ['1352', 'uni27E7', '10215'], ['1353', 'uni27E8', '10216'], ['1354', 'uni27E9', '10217'], ['1355', 'uni27EA', '10218'], ['1356', 'uni27EB', '10219'], ['1357', 'uni27EC', '10220'], ['1358', 'uni27ED', '10221'], ['1359', 'uni27EE', '10222'], ['1360', 'uni27EF', '10223'], ['1361', 'uni2B4E', '11086'], ['1362', 'uni2B4F', '11087'], ['1363', 'uni2B5A', '11098'], ['1364', 'uni2B5B', '11099'], ['1365', 'uni2B5C', '11100'], ['1366', 'uni2B5D', '11101'], ['1367', 'uni2B5E', '11102'], ['1368', 'uni2B5F', '11103'], ['1369', 'uni2C60', '11360'], ['1370', 'uni2C61', '11361'], ['1371', 'uni2C62', '11362'], ['1372', 'uni2C63', '11363'], ['1373', 'uni2C64', '11364'], ['1374', 'uni2C65', '11365'], ['1375', 'uni2C66', '11366'], ['1376', 'uni2C67', '11367'], ['1377', 'uni2C68', '11368'], ['1378', 'uni2C69', '11369'], ['1379', 'uni2C6A', '11370'], ['1380', 'uni2C6B', '11371'], ['1381', 'uni2C6C', '11372'], ['1382', 'uni2C6D', '11373'], ['1383', 'uni2C6E', '11374'], ['1384', 'uni2C6F', '11375'], ['1385', 'uni2C70', '11376'], ['1386', 'uni2C71', '11377'], ['1387', 'uni2C72', '11378'], ['1388', 'uni2C73', '11379'], ['1389', 'uni2C74', '11380'], ['1390', 'uni2C75', '11381'], ['1391', 'uni2C76', '11382'], ['1392', 'uni2C77', '11383'], ['1393', 'uni2C78', '11384'], ['1394', 'uni2C79', '11385'], ['1395', 'uni2C7A', '11386'], ['1396', 'uni2C7B', '11387'], ['1397', 'uni2C7C', '11388'], ['1398', 'uni2C7D', '11389'], ['1399', 'uni2C7E', '11390'], ['1400', 'uni2C7F', '11391'], ['1401', 'uni2DE0', '11744'], ['1402', 'uni2DE1', '11745'], ['1403', 'uni2DE2', '11746'], ['1404', 'uni2DE3', '11747'], ['1405', 'uni2DE4', '11748'], ['1406', 'uni2DE5', '11749'], ['1407', 'uni2DE6', '11750'], ['1408', 'uni2DE7', '11751'], ['1409', 'uni2DE8', '11752'], ['1410', 'uni2DE9', '11753'], ['1411', 'uni2DEA', '11754'], ['1412', 'uni2DEB', '11755'], ['1413', 'uni2DEC', '11756'], ['1414', 'uni2DED', '11757'], ['1415', 'uni2DEE', '11758'], ['1416', 'uni2DEF', '11759'], ['1417', 'uni2DF0', '11760'], ['1418', 'uni2DF1', '11761'], ['1419', 'uni2DF2', '11762'], ['1420', 'uni2DF3', '11763'], ['1421', 'uni2DF4', '11764'], ['1422', 'uni2DF5', '11765'], ['1423', 'uni2DF6', '11766'], ['1424', 'uni2DF7', '11767'], ['1425', 'uni2DF8', '11768'], ['1426', 'uni2DF9', '11769'], ['1427', 'uni2DFA', '11770'], ['1428', 'uni2DFB', '11771'], ['1429', 'uni2DFC', '11772'], ['1430', 'uni2DFD', '11773'], ['1431', 'uni2DFE', '11774'], ['1432', 'uni2DFF', '11775'], ['1433', 'uni2E00', '11776'], ['1434', 'uni2E01', '11777'], ['1435', 'uni2E02', '11778'], ['1436', 'uni2E03', '11779'], ['1437', 'uni2E04', '11780'], ['1438', 'uni2E05', '11781'], ['1439', 'uni2E06', '11782'], ['1440', 'uni2E07', '11783'], ['1441', 'uni2E08', '11784'], ['1442', 'uni2E09', '11785'], ['1443', 'uni2E0A', '11786'], ['1444', 'uni2E0B', '11787'], ['1445', 'uni2E0C', '11788'], ['1446', 'uni2E0D', '11789'], ['1447', 'uni2E0E', '11790'], ['1448', 'uni2E0F', '11791'], ['1449', 'uni2E10', '11792'], ['1450', 'uni2E11', '11793'], ['1451', 'uni2E12', '11794'], ['1452', 'uni2E13', '11795'], ['1453', 'uni2E14', '11796'], ['1454', 'uni2E15', '11797'], ['1455', 'uni2E16', '11798'], ['1456', 'uni2E17', '11799'], ['1457', 'uni2E18', '11800'], ['1458', 'uni2E19', '11801'], ['1459', 'uni2E1A', '11802'], ['1460', 'uni2E1B', '11803'], ['1461', 'uni2E1C', '11804'], ['1462', 'uni2E1D', '11805'], ['1463', 'uni2E1E', '11806'], ['1464', 'uni2E1F', '11807'], ['1465', 'uni2E20', '11808'], ['1466', 'uni2E21', '11809'], ['1467', 'uni2E22', '11810'], ['1468', 'uni2E23', '11811'], ['1469', 'uni2E24', '11812'], ['1470', 'uni2E25', '11813'], ['1471', 'uni2E26', '11814'], ['1472', 'uni2E27', '11815'], ['1473', 'uni2E28', '11816'], ['1474', 'uni2E29', '11817'], ['1475', 'uni2E2A', '11818'], ['1476', 'uni2E2B', '11819'], ['1477', 'uni2E2C', '11820'], ['1478', 'uni2E2D', '11821'], ['1479', 'uni2E2E', '11822'], ['1480', 'uni2E2F', '11823'], ['1481', 'uni2E30', '11824'], ['1482', 'uni2E31', '11825'], ['1483', 'uni2E32', '11826'], ['1484', 'uni2E33', '11827'], ['1485', 'uni2E34', '11828'], ['1486', 'uni2E35', '11829'], ['1487', 'uni2E36', '11830'], ['1488', 'uni2E37', '11831'], ['1489', 'uni2E38', '11832'], ['1490', 'uni2E39', '11833'], ['1491', 'uni2E3A', '11834'], ['1492', 'uni2E3B', '11835'], ['1493', 'uni2E3C', '11836'], ['1494', 'uni2E3D', '11837'], ['1495', 'uni2E3E', '11838'], ['1496', 'uni2E3F', '11839'], ['1497', 'uni2E40', '11840'], ['1498', 'uni2E41', '11841'], ['1499', 'uni2E42', '11842'], ['1500', 'uniA640', '42560'], ['1501', 'uniA641', '42561'], ['1502', 'uniA642', '42562'], ['1503', 'uniA643', '42563'], ['1504', 'uniA644', '42564'], ['1505', 'uniA645', '42565'], ['1506', 'uniA646', '42566'], ['1507', 'uniA647', '42567'], ['1508', 'uniA648', '42568'], ['1509', 'uniA649', '42569'], ['1510', 'uniA64A', '42570'], ['1511', 'uniA64B', '42571'], ['1512', 'uniA64C', '42572'], ['1513', 'uniA64D', '42573'], ['1514', 'uniA64E', '42574'], ['1515', 'uniA64F', '42575'], ['1516', 'uniA650', '42576'], ['1517', 'uniA651', '42577'], ['1518', 'uniA652', '42578'], ['1519', 'uniA653', '42579'], ['1520', 'uniA654', '42580'], ['1521', 'uniA655', '42581'], ['1522', 'uniA656', '42582'], ['1523', 'uniA657', '42583'], ['1524', 'uniA658', '42584'], ['1525', 'uniA659', '42585'], ['1526', 'uniA65A', '42586'], ['1527', 'uniA65B', '42587'], ['1528', 'uniA65C', '42588'], ['1529', 'uniA65D', '42589'], ['1530', 'uniA65E', '42590'], ['1531', 'uniA65F', '42591'], ['1532', 'uniA660', '42592'], ['1533', 'uniA661', '42593'], ['1534', 'uniA662', '42594'], ['1535', 'uniA663', '42595'], ['1536', 'uniA664', '42596'], ['1537', 'uniA665', '42597'], ['1538', 'uniA666', '42598'], ['1539', 'uniA667', '42599'], ['1540', 'uniA668', '42600'], ['1541', 'uniA669', '42601'], ['1542', 'uniA66A', '42602'], ['1543', 'uniA66B', '42603'], ['1544', 'uniA66C', '42604'], ['1545', 'uniA66D', '42605'], ['1546', 'uniA66E', '42606'], ['1547', 'uniA66F', '42607'], ['1548', 'uniA670', '42608'], ['1549', 'uniA671', '42609'], ['1550', 'uniA672', '42610'], ['1551', 'uniA673', '42611'], ['1552', 'uniA674', '42612'], ['1553', 'uniA675', '42613'], ['1554', 'uniA676', '42614'], ['1555', 'uniA677', '42615'], ['1556', 'uniA678', '42616'], ['1557', 'uniA679', '42617'], ['1558', 'uniA67A', '42618'], ['1559', 'uniA67B', '42619'], ['1560', 'uniA67C', '42620'], ['1561', 'uniA67D', '42621'], ['1562', 'uniA67E', '42622'], ['1563', 'uniA67F', '42623'], ['1564', 'uniA680', '42624'], ['1565', 'uniA681', '42625'], ['1566', 'uniA682', '42626'], ['1567', 'uniA683', '42627'], ['1568', 'uniA684', '42628'], ['1569', 'uniA685', '42629'], ['1570', 'uniA686', '42630'], ['1571', 'uniA687', '42631'], ['1572', 'uniA688', '42632'], ['1573', 'uniA689', '42633'], ['1574', 'uniA68A', '42634'], ['1575', 'uniA68B', '42635'], ['1576', 'uniA68C', '42636'], ['1577', 'uniA68D', '42637'], ['1578', 'uniA68E', '42638'], ['1579', 'uniA68F', '42639'], ['1580', 'uniA690', '42640'], ['1581', 'uniA691', '42641'], ['1582', 'uniA692', '42642'], ['1583', 'uniA693', '42643'], ['1584', 'uniA694', '42644'], ['1585', 'uniA695', '42645'], ['1586', 'uniA696', '42646'], ['1587', 'uniA697', '42647'], ['1588', 'uniA698', '42648'], ['1589', 'uniA699', '42649'], ['1590', 'uniA69A', '42650'], ['1591', 'uniA69B', '42651'], ['1592', 'uniA69C', '42652'], ['1593', 'uniA69D', '42653'], ['1594', 'uniA69F', '42655'], ['1595', 'uniA700', '42752'], ['1596', 'uniA701', '42753'], ['1597', 'uniA702', '42754'], ['1598', 'uniA703', '42755'], ['1599', 'uniA704', '42756'], ['1600', 'uniA705', '42757'], ['1601', 'uniA706', '42758'], ['1602', 'uniA707', '42759'], ['1603', 'uniA708', '42760'], ['1604', 'uniA709', '42761'], ['1605', 'uniA70A', '42762'], ['1606', 'uniA70B', '42763'], ['1607', 'uniA70C', '42764'], ['1608', 'uniA70D', '42765'], ['1609', 'uniA70E', '42766'], ['1610', 'uniA70F', '42767'], ['1611', 'uniA710', '42768'], ['1612', 'uniA711', '42769'], ['1613', 'uniA712', '42770'], ['1614', 'uniA713', '42771'], ['1615', 'uniA714', '42772'], ['1616', 'uniA715', '42773'], ['1617', 'uniA716', '42774'], ['1618', 'uniA717', '42775'], ['1619', 'uniA718', '42776'], ['1620', 'uniA719', '42777'], ['1621', 'uniA71A', '42778'], ['1622', 'uniA71B', '42779'], ['1623', 'uniA71C', '42780'], ['1624', 'uniA71D', '42781'], ['1625', 'uniA71E', '42782'], ['1626', 'uniA71F', '42783'], ['1627', 'uniA720', '42784'], ['1628', 'uniA721', '42785'], ['1629', 'uniA722', '42786'], ['1630', 'uniA723', '42787'], ['1631', 'uniA724', '42788'], ['1632', 'uniA725', '42789'], ['1633', 'uniA726', '42790'], ['1634', 'uniA727', '42791'], ['1635', 'uniA728', '42792'], ['1636', 'uniA729', '42793'], ['1637', 'uniA72A', '42794'], ['1638', 'uniA72B', '42795'], ['1639', 'uniA72C', '42796'], ['1640', 'uniA72D', '42797'], ['1641', 'uniA72E', '42798'], ['1642', 'uniA72F', '42799'], ['1643', 'uniA730', '42800'], ['1644', 'uniA731', '42801'], ['1645', 'uniA732', '42802'], ['1646', 'uniA733', '42803'], ['1647', 'uniA734', '42804'], ['1648', 'uniA735', '42805'], ['1649', 'uniA736', '42806'], ['1650', 'uniA737', '42807'], ['1651', 'uniA738', '42808'], ['1652', 'uniA739', '42809'], ['1653', 'uniA73A', '42810'], ['1654', 'uniA73B', '42811'], ['1655', 'uniA73C', '42812'], ['1656', 'uniA73D', '42813'], ['1657', 'uniA73E', '42814'], ['1658', 'uniA73F', '42815'], ['1659', 'uniA740', '42816'], ['1660', 'uniA741', '42817'], ['1661', 'uniA742', '42818'], ['1662', 'uniA743', '42819'], ['1663', 'uniA744', '42820'], ['1664', 'uniA745', '42821'], ['1665', 'uniA746', '42822'], ['1666', 'uniA747', '42823'], ['1667', 'uniA748', '42824'], ['1668', 'uniA749', '42825'], ['1669', 'uniA74A', '42826'], ['1670', 'uniA74B', '42827'], ['1671', 'uniA74C', '42828'], ['1672', 'uniA74D', '42829'], ['1673', 'uniA74E', '42830'], ['1674', 'uniA74F', '42831'], ['1675', 'uniA750', '42832'], ['1676', 'uniA751', '42833'], ['1677', 'uniA752', '42834'], ['1678', 'uniA753', '42835'], ['1679', 'uniA754', '42836'], ['1680', 'uniA755', '42837'], ['1681', 'uniA756', '42838'], ['1682', 'uniA757', '42839'], ['1683', 'uniA758', '42840'], ['1684', 'uniA759', '42841'], ['1685', 'uniA75A', '42842'], ['1686', 'uniA75B', '42843'], ['1687', 'uniA75C', '42844'], ['1688', 'uniA75D', '42845'], ['1689', 'uniA75E', '42846'], ['1690', 'uniA75F', '42847'], ['1691', 'uniA760', '42848'], ['1692', 'uniA761', '42849'], ['1693', 'uniA762', '42850'], ['1694', 'uniA763', '42851'], ['1695', 'uniA764', '42852'], ['1696', 'uniA765', '42853'], ['1697', 'uniA766', '42854'], ['1698', 'uniA767', '42855'], ['1699', 'uniA768', '42856'], ['1700', 'uniA769', '42857'], ['1701', 'uniA76A', '42858'], ['1702', 'uniA76B', '42859'], ['1703', 'uniA76C', '42860'], ['1704', 'uniA76D', '42861'], ['1705', 'uniA76E', '42862'], ['1706', 'uniA76F', '42863'], ['1707', 'uniA770', '42864'], ['1708', 'uniA771', '42865'], ['1709', 'uniA772', '42866'], ['1710', 'uniA773', '42867'], ['1711', 'uniA774', '42868'], ['1712', 'uniA775', '42869'], ['1713', 'uniA776', '42870'], ['1714', 'uniA777', '42871'], ['1715', 'uniA778', '42872'], ['1716', 'uniA779', '42873'], ['1717', 'uniA77A', '42874'], ['1718', 'uniA77B', '42875'], ['1719', 'uniA77C', '42876'], ['1720', 'uniA77D', '42877'], ['1721', 'uniA77E', '42878'], ['1722', 'uniA77F', '42879'], ['1723', 'uniA780', '42880'], ['1724', 'uniA781', '42881'], ['1725', 'uniA782', '42882'], ['1726', 'uniA783', '42883'], ['1727', 'uniA784', '42884'], ['1728', 'uniA785', '42885'], ['1729', 'uniA786', '42886'], ['1730', 'uniA787', '42887'], ['1731', 'uniA788', '42888'], ['1732', 'uniA789', '42889'], ['1733', 'uniA78A', '42890'], ['1734', 'uniA78B', '42891'], ['1735', 'uniA78C', '42892'], ['1736', 'uniA78D', '42893'], ['1737', 'uniA78E', '42894'], ['1738', 'uniA790', '42896'], ['1739', 'uniA791', '42897'], ['1740', 'uniA792', '42898'], ['1741', 'uniA793', '42899'], ['1742', 'uniA794', '42900'], ['1743', 'uniA795', '42901'], ['1744', 'uniA796', '42902'], ['1745', 'uniA797', '42903'], ['1746', 'uniA798', '42904'], ['1747', 'uniA799', '42905'], ['1748', 'uniA79A', '42906'], ['1749', 'uniA79B', '42907'], ['1750', 'uniA79C', '42908'], ['1751', 'uniA79D', '42909'], ['1752', 'uniA79E', '42910'], ['1753', 'uniA79F', '42911'], ['1754', 'uniA7A0', '42912'], ['1755', 'uniA7A1', '42913'], ['1756', 'uniA7A2', '42914'], ['1757', 'uniA7A3', '42915'], ['1758', 'uniA7A4', '42916'], ['1759', 'uniA7A5', '42917'], ['1760', 'uniA7A6', '42918'], ['1761', 'uniA7A7', '42919'], ['1762', 'uniA7A8', '42920'], ['1763', 'uniA7A9', '42921'], ['1764', 'uniA7AA', '42922'], ['1765', 'uniA7AB', '42923'], ['1766', 'uniA7AC', '42924'], ['1767', 'uniA7AD', '42925'], ['1768', 'uniA7B0', '42928'], ['1769', 'uniA7B1', '42929'], ['1770', 'uniA7F7', '42999'], ['1771', 'uniA7F8', '43000'], ['1772', 'uniA7F9', '43001'], ['1773', 'uniA7FA', '43002'], ['1774', 'uniA7FB', '43003'], ['1775', 'uniA7FC', '43004'], ['1776', 'uniA7FD', '43005'], ['1777', 'uniA7FE', '43006'], ['1778', 'uniA7FF', '43007'], ['1779', 'uniA92E', '43310'], ['1780', 'uniAB30', '43824'], ['1781', 'uniAB31', '43825'], ['1782', 'uniAB32', '43826'], ['1783', 'uniAB33', '43827'], ['1784', 'uniAB34', '43828'], ['1785', 'uniAB35', '43829'], ['1786', 'uniAB36', '43830'], ['1787', 'uniAB37', '43831'], ['1788', 'uniAB38', '43832'], ['1789', 'uniAB39', '43833'], ['1790', 'uniAB3A', '43834'], ['1791', 'uniAB3B', '43835'], ['1792', 'uniAB3C', '43836'], ['1793', 'uniAB3D', '43837'], ['1794', 'uniAB3E', '43838'], ['1795', 'uniAB3F', '43839'], ['1796', 'uniAB40', '43840'], ['1797', 'uniAB41', '43841'], ['1798', 'uniAB42', '43842'], ['1799', 'uniAB43', '43843'], ['1800', 'uniAB44', '43844'], ['1801', 'uniAB45', '43845'], ['1802', 'uniAB46', '43846'], ['1803', 'uniAB47', '43847'], ['1804', 'uniAB48', '43848'], ['1805', 'uniAB49', '43849'], ['1806', 'uniAB4A', '43850'], ['1807', 'uniAB4B', '43851'], ['1808', 'uniAB4C', '43852'], ['1809', 'uniAB4D', '43853'], ['1810', 'uniAB4E', '43854'], ['1811', 'uniAB4F', '43855'], ['1812', 'uniAB50', '43856'], ['1813', 'uniAB51', '43857'], ['1814', 'uniAB52', '43858'], ['1815', 'uniAB53', '43859'], ['1816', 'uniAB54', '43860'], ['1817', 'uniAB55', '43861'], ['1818', 'uniAB56', '43862'], ['1819', 'uniAB57', '43863'], ['1820', 'uniAB58', '43864'], ['1821', 'uniAB59', '43865'], ['1822', 'uniAB5A', '43866'], ['1823', 'uniAB5B', '43867'], ['1824', 'uniAB5C', '43868'], ['1825', 'uniAB5D', '43869'], ['1826', 'uniAB5E', '43870'], ['1827', 'uniAB5F', '43871'], ['1828', 'uniAB64', '43876'], ['1829', 'uniAB65', '43877'], ['1830', 'colon.pnum', '60929'], ['1831', 'quotedblx', '60930'], ['1832', 'commaaccent', '63171'], ['1833', 'f_f', '64256'], ['1834', 'fi', '64257'], ['1835', 'f_l', '64258'], ['1836', 'f_f_i', '64259'], ['1837', 'f_f_l', '64260'], ['1838', 'longst', '64261'], ['1839', 'st', '64262'], ['1840', 'uniFE20', '65056'], ['1841', 'uniFE21', '65057'], ['1842', 'uniFE22', '65058'], ['1843', 'uniFE23', '65059'], ['1844', 'uniFE24', '65060'], ['1845', 'uniFE25', '65061'], ['1846', 'uniFE26', '65062'], ['1847', 'uniFE27', '65063'], ['1848', 'uniFE28', '65064'], ['1849', 'uniFE29', '65065'], ['1850', 'uniFE2A', '65066'], ['1851', 'uniFE2B', '65067'], ['1852', 'uniFE2C', '65068'], ['1853', 'uniFE2D', '65069'], ['1854', 'uniFEFF', '65279'], ['1855', 'uniFFFC', '65532'], ['1856', 'uniFFFD', '65533'], ['1857', 'uni1F16A', '127338'], ['1858', 'uni1F16B', '127339'], ['1859', 'dasiaoxia', 'None'], ['1860', 'uni02E5_uni02E7_uni02E8', 'None'], ['1861', 'two.sup', 'None'], ['1862', 'one.sup', 'None'], ['1863', 'zero.sup', 'None'], ['1864', 'nine.smcp', 'None'], ['1865', 'eight.smcp', 'None'], ['1866', 'seven.smcp', 'None'], ['1867', 'six.smcp', 'None'], ['1868', 'five.smcp', 'None'], ['1869', 'four.smcp', 'None'], ['1870', 'three.smcp', 'None'], ['1871', 'two.smcp', 'None'], ['1872', 'one.smcp', 'None'], ['1873', 'zero.smcp', 'None'], ['1874', 'Z.smcp', 'None'], ['1875', 'Y.smcp', 'None'], ['1876', 'X.smcp', 'None'], ['1877', 'W.smcp', 'None'], ['1878', 'V.smcp', 'None'], ['1879', 'U.smcp', 'None'], ['1880', 'T.smcp', 'None'], ['1881', 'S.smcp', 'None'], ['1882', 'R.smcp', 'None'], ['1883', 'Q.smcp', 'None'], ['1884', 'P.smcp', 'None'], ['1885', 'O.smcp', 'None'], ['1886', 'N.smcp', 'None'], ['1887', 'M.smcp', 'None'], ['1888', 'L.smcp', 'None'], ['1889', 'K.smcp', 'None'], ['1890', 'J.smcp', 'None'], ['1891', 'I.smcp', 'None'], ['1892', 'H.smcp', 'None'], ['1893', 'G.smcp', 'None'], ['1894', 'F.smcp', 'None'], ['1895', 'dollar.smcp', 'None'], ['1896', 'sterling.smcp', 'None'], ['1897', 'yen.smcp', 'None'], ['1898', 'Gamma.smcp', 'None'], ['1899', 'Delta.smcp', 'None'], ['1900', 'Theta.smcp', 'None'], ['1901', 'Lambda.smcp', 'None'], ['1902', 'Xi.smcp', 'None'], ['1903', 'Pi.smcp', 'None'], ['1904', 'Sigma.smcp', 'None'], ['1905', 'Phi.smcp', 'None'], ['1906', 'Psi.smcp', 'None'], ['1907', 'Omega.smcp', 'None'], ['1908', 'uni0402.smcp', 'None'], ['1909', 'uni0404.smcp', 'None'], ['1910', 'uni0409.smcp', 'None'], ['1911', 'uni040A.smcp', 'None'], ['1912', 'uni040B.smcp', 'None'], ['1913', 'uni040F.smcp', 'None'], ['1914', 'uni0411.smcp', 'None'], ['1915', 'uni0414.smcp', 'None'], ['1916', 'uni0416.smcp', 'None'], ['1917', 'uni0417.smcp', 'None'], ['1918', 'uni0418.smcp', 'None'], ['1919', 'uni041A.smcp', 'None'], ['1920', 'uni041B.smcp', 'None'], ['1921', 'uni0423.smcp', 'None'], ['1922', 'uni0426.smcp', 'None'], ['1923', 'uni0427.smcp', 'None'], ['1924', 'uni0428.smcp', 'None'], ['1925', 'uni0429.smcp', 'None'], ['1926', 'uni042A.smcp', 'None'], ['1927', 'uni042B.smcp', 'None'], ['1928', 'uni042C.smcp', 'None'], ['1929', 'uni042D.smcp', 'None'], ['1930', 'uni042E.smcp', 'None'], ['1931', 'uni042F.smcp', 'None'], ['1932', 'uni0492.smcp', 'None'], ['1933', 'uni0496.smcp', 'None'], ['1934', 'uni049A.smcp', 'None'], ['1935', 'uni049C.smcp', 'None'], ['1936', 'uni04A0.smcp', 'None'], ['1937', 'uni04A8.smcp', 'None'], ['1938', 'uni04B0.smcp', 'None'], ['1939', 'uni04B2.smcp', 'None'], ['1940', 'uni04B4.smcp', 'None'], ['1941', 'uni04B8.smcp', 'None'], ['1942', 'uni04BA.smcp', 'None'], ['1943', 'uni04BC.smcp', 'None'], ['1944', 'uni04D8.smcp', 'None'], ['1945', 'uni04E0.smcp', 'None'], ['1946', 'uni04E8.smcp', 'None'], ['1947', 'lira.smcp', 'None'], ['1948', 'Euro.smcp', 'None'], ['1949', 'uni2116.smcp', 'None'], ['1950', 'uni20B4.smcp', 'None'], ['1951', 'uni20BD.smcp', 'None'], ['1952', 'uni20B8.smcp', 'None'], ['1953', 'three.sup', 'None'], ['1954', 'four.sup', 'None'], ['1955', 'five.sup', 'None'], ['1956', 'six.sup', 'None'], ['1957', 'seven.sup', 'None'], ['1958', 'eight.sup', 'None'], ['1959', 'nine.sup', 'None'], ['1960', 'crossbar', 'None'], ['1961', 'ringacute', 'None'], ['1962', 'E.smcp', 'None'], ['1963', 'g.alt', 'None'], ['1964', 'alpha.alt', 'None'], ['1965', 'R.alt', 'None'], ['1966', 'K.alt', 'None'], ['1967', 'k.alt', 'None'], ['1968', 'K.alt2', 'None'], ['1969', 'k.alt2', 'None'], ['1970', 'D.smcp', 'None'], ['1971', 'C.smcp', 'None'], ['1972', 'B.smcp', 'None'], ['1973', 'A.smcp', 'None'], ['1974', 'commaaccentrotate', 'None'], ['1975', 'brevegravecomb', 'None'], ['1976', 'dieresismacroncomb', 'None'], ['1977', 'dieresisacutecomb', 'None'], ['1978', 'dieresiscaroncomb', 'None'], ['1979', 'dieresisgravecomb', 'None'], ['1980', 'dotmacroncomb', 'None'], ['1981', 'tildeacutecomb', 'None'], ['1982', 'macrongravecomb', 'None'], ['1983', 'macronacutecomb', 'None'], ['1984', 'macrondieresiscomb', 'None'], ['1985', 'acutedotcomb', 'None'], ['1986', 'carondotcomb', 'None'], ['1987', 'circumflexacutecomb', 'None'], ['1988', 'circumflexgravecomb', 'None'], ['1989', 'seven.alt', 'None'], ['1990', 'circumflexhookcomb', 'None'], ['1991', 'circumflextildecomb', 'None'], ['1992', 'tildemacroncomb', 'None'], ['1993', 'uni0490.smcp', 'None'], ['1994', 'breveacutecomb', 'None'], ['1995', 'brevehookcomb', 'None'], ['1996', 'tildedieresiscomb', 'None'], ['1997', 'zero.frac', 'None'], ['1998', 'four.frac', 'None'], ['1999', 'five.frac', 'None'], ['2000', 'six.frac', 'None'], ['2001', 'seven.frac', 'None'], ['2002', 'eight.frac', 'None'], ['2003', 'nine.frac', 'None'], ['2004', 'G.alt', 'None'], ['2005', 'C.ss06', 'None'], ['2006', 'G.ss06', 'None'], ['2007', 'D.ss06', 'None'], ['2008', 'O.ss06', 'None'], ['2009', 'Q.ss06', 'None'], ['2010', 'one.onum', 'None'], ['2011', 'two.onum', 'None'], ['2012', 'three.onum', 'None'], ['2013', 'four.onum', 'None'], ['2014', 'five.onum', 'None'], ['2015', 'seven.onum', 'None'], ['2016', 'brevetildecomb', 'None'], ['2017', 'cyrillictic', 'None'], ['2018', 'OE.smcp', 'None'], ['2019', 'nine.onum', 'None'], ['2020', 'N.unic', 'None'], ['2021', 'U.unic', 'None'], ['2022', 'A.unic', 'None'], ['2023', 'E.unic', 'None'], ['2024', 'M.unic', 'None'], ['2025', 'cyrillichookleft', 'None'], ['2026', 'cyrillichook', 'None'], ['2027', 'three.tnum', 'None'], ['2028', 'five.tnum', 'None'], ['2029', 'four.tnum', 'None'], ['2030', 'two.tnum', 'None'], ['2031', 'seven.tnum', 'None'], ['2032', 'zero.tnum', 'None'], ['2033', 'six.tnum', 'None'], ['2034', 'nine.tnum', 'None'], ['2035', 'eight.tnum', 'None'], ['2036', 'one.tnum', 'None'], ['2037', 'uni006A.ccmp', 'None'], ['2038', 'uni1D96.ccmp', 'None'], ['2039', 'uni0249.ccmp', 'None'], ['2040', 'uni0268.ccmp', 'None'], ['2041', 'uni0458.ccmp', 'None'], ['2042', 'uni029D.ccmp', 'None'], ['2043', 'uni2071.ccmp', 'None'], ['2044', 'uni0069.ccmp', 'None'], ['2045', 'uni1DA4.ccmp', 'None'], ['2046', 'uni012F.ccmp', 'None'], ['2047', 'uni0456.ccmp', 'None'], ['2048', 'uni1D62.ccmp', 'None'], ['2049', 'uni03F3.ccmp', 'None'], ['2050', 'uni1DA8.ccmp', 'None'], ['2051', 'uni02B2.ccmp', 'None'], ['2052', 'uni2C7C.ccmp', 'None'], ['2053', 'Germandbls.smcp', 'None'], ['2054', 'uni02E9_uni02E7_uni02E6', 'None'], ['2055', 'caronsubnosp', 'None'], ['2056', 'uni02E5_uni02E7_uni02E9', 'None'], ['2057', 'uni02E9_uni02E5_uni02E5', 'None'], ['2058', 'uni02E5_uni02E7_uni02E6', 'None'], ['2059', 'uni02E5_uni02E7_uni02E7', 'None'], ['2060', 'uni02E5_uni02E7_uni02E5', 'None'], ['2061', 'uni02E5_uni02E9_uni02E8', 'None'], ['2062', 'uni02E9_uni02E7_uni02E5', 'None'], ['2063', 'uni02E6_uni02E9_uni02E7', 'None'], ['2064', 'uni02E6_uni02E9_uni02E6', 'None'], ['2065', 'uni02E6_uni02E9_uni02E5', 'None'], ['2066', 'uni02E6_uni02E9_uni02E9', 'None'], ['2067', 'uni02E6_uni02E9_uni02E8', 'None'], ['2068', 'uni02E7_uni02E5_uni02E6', 'None'], ['2069', 'uni02E7_uni02E5_uni02E7', 'None'], ['2070', 'uni02E7_uni02E5_uni02E5', 'None'], ['2071', 'uni02E7_uni02E5_uni02E8', 'None'], ['2072', 'uni02E7_uni02E5_uni02E9', 'None'], ['2073', 'uni02E5_uni02E9_uni02E6', 'None'], ['2074', 'uni02E5_uni02E9_uni02E7', 'None'], ['2075', 'uni02E9_uni02E7_uni02E8', 'None'], ['2076', 'uni02E9_uni02E7_uni02E9', 'None'], ['2077', 'uni02E9_uni02E6_uni02E5', 'None'], ['2078', 'uni02E5_uni02E9_uni02E5', 'None'], ['2079', 'uni02E6_uni02E5_uni02E9', 'None'], ['2080', 'uni02E6_uni02E5_uni02E8', 'None'], ['2081', 'uni02E6_uni02E7_uni02E5', 'None'], ['2082', 'uni02E7_uni02E9_uni02E8', 'None'], ['2083', 'uni02E6_uni02E7_uni02E7', 'None'], ['2084', 'uni02E6_uni02E7_uni02E6', 'None'], ['2085', 'uni02E6_uni02E7_uni02E9', 'None'], ['2086', 'uni02E6_uni02E7_uni02E8', 'None'], ['2087', 'uni02E6_uni02E5_uni02E7', 'None'], ['2088', 'uni02E6_uni02E5_uni02E6', 'None'], ['2089', 'uni02E6_uni02E5_uni02E5', 'None'], ['2090', 'uni02E5_uni02E7', 'None'], ['2091', 'uni02E5_uni02E6', 'None'], ['2092', 'uni02E7_uni02E7_uni02E9', 'None'], ['2093', 'uni02E5_uni02E9', 'None'], ['2094', 'uni02E5_uni02E8', 'None'], ['2095', 'uni02E8_uni02E7_uni02E7', 'None'], ['2096', 'uni02E8_uni02E7_uni02E6', 'None'], ['2097', 'uni02E8_uni02E7_uni02E5', 'None'], ['2098', 'uni02E8_uni02E5_uni02E9', 'None'], ['2099', 'uni02E6_uni02E6_uni02E5', 'None'], ['2100', 'uni02E6_uni02E6_uni02E7', 'None'], ['2101', 'uni02E6_uni02E6_uni02E8', 'None'], ['2102', 'uni02E6_uni02E6_uni02E9', 'None'], ['2103', 'uni02E8_uni02E5_uni02E7', 'None'], ['2104', 'uni02E8_uni02E5_uni02E6', 'None'], ['2105', 'uni02E8_uni02E7_uni02E9', 'None'], ['2106', 'uni02E5_uni02E9_uni02E9', 'None'], ['2107', 'uni02E5_uni02E5_uni02E8', 'None'], ['2108', 'uni02E5_uni02E5_uni02E9', 'None'], ['2109', 'uni02E5_uni02E5_uni02E6', 'None'], ['2110', 'uni02E5_uni02E5_uni02E7', 'None'], ['2111', 'uni02E5_uni02E6_uni02E7', 'None'], ['2112', 'uni02E5_uni02E6_uni02E6', 'None'], ['2113', 'uni02E5_uni02E6_uni02E5', 'None'], ['2114', 'uni02E9_uni02E6_uni02E8', 'None'], ['2115', 'uni02E9_uni02E6_uni02E7', 'None'], ['2116', 'uni02E9_uni02E6_uni02E6', 'None'], ['2117', 'uni02E5_uni02E6_uni02E9', 'None'], ['2118', 'uni02E5_uni02E6_uni02E8', 'None'], ['2119', 'uni02E8_uni02E6', 'None'], ['2120', 'uni02E8_uni02E7', 'None'], ['2121', 'uni02E8_uni02E5', 'None'], ['2122', 'uni02E8_uni02E9', 'None'], ['2123', 'uni02E8_uni02E8_uni02E5', 'None'], ['2124', 'uni02E8_uni02E6_uni02E8', 'None'], ['2125', 'uni02E8_uni02E6_uni02E9', 'None'], ['2126', 'uni02E8_uni02E6_uni02E6', 'None'], ['2127', 'uni02E8_uni02E6_uni02E7', 'None'], ['2128', 'uni02E8_uni02E6_uni02E5', 'None'], ['2129', 'uni02E7_uni02E8_uni02E7', 'None'], ['2130', 'uni02E9_uni02E7_uni02E7', 'None'], ['2131', 'uni02E7_uni02E8_uni02E5', 'None'], ['2132', 'uni02E9_uni02E5_uni02E7', 'None'], ['2133', 'uni02E9_uni02E5_uni02E8', 'None'], ['2134', 'uni02E9_uni02E5_uni02E9', 'None'], ['2135', 'uni02E7_uni02E8_uni02E9', 'None'], ['2136', 'uni02E7_uni02E8_uni02E8', 'None'], ['2137', 'uni02E8_uni02E5_uni02E8', 'None'], ['2138', 'uni02E8_uni02E5_uni02E5', 'None'], ['2139', 'uni02E7_uni02E9', 'None'], ['2140', 'uni02E7_uni02E8', 'None'], ['2141', 'uni02E8_uni02E9_uni02E7', 'None'], ['2142', 'uni02E8_uni02E9_uni02E6', 'None'], ['2143', 'uni02E7_uni02E5', 'None'], ['2144', 'uni02E8_uni02E9_uni02E8', 'None'], ['2145', 'uni02E9_uni02E5_uni02E6', 'None'], ['2146', 'uni02E7_uni02E6', 'None'], ['2147', 'uni02E8_uni02E8_uni02E7', 'None'], ['2148', 'uni02E8_uni02E7_uni02E8', 'None'], ['2149', 'uni02E7_uni02E7_uni02E8', 'None'], ['2150', 'uni02E7_uni02E7_uni02E5', 'None'], ['2151', 'uni02E7_uni02E7_uni02E6', 'None'], ['2152', 'uni02E7_uni02E9_uni02E9', 'None'], ['2153', 'uni02E7_uni02E9_uni02E6', 'None'], ['2154', 'uni02E7_uni02E9_uni02E7', 'None'], ['2155', 'uni02E7_uni02E9_uni02E5', 'None'], ['2156', 'uni02E7_uni02E8_uni02E6', 'None'], ['2157', 'uni02E8_uni02E8_uni02E9', 'None'], ['2158', 'uni02E5_uni02E8_uni02E5', 'None'], ['2159', 'uni02E5_uni02E8_uni02E7', 'None'], ['2160', 'uni02E5_uni02E8_uni02E6', 'None'], ['2161', 'uni02E6_uni02E8_uni02E8', 'None'], ['2162', 'uni02E6_uni02E8_uni02E9', 'None'], ['2163', 'uni02E6_uni02E8_uni02E6', 'None'], ['2164', 'uni02E6_uni02E8_uni02E7', 'None'], ['2165', 'uni02E6_uni02E8_uni02E5', 'None'], ['2166', 'uni02E5_uni02E8_uni02E9', 'None'], ['2167', 'uni02E5_uni02E8_uni02E8', 'None'], ['2168', 'uni02E9_uni02E8', 'None'], ['2169', 'uni02E8_uni02E9_uni02E5', 'None'], ['2170', 'uni02E9_uni02E7', 'None'], ['2171', 'uni02E9_uni02E6', 'None'], ['2172', 'uni02E9_uni02E5', 'None'], ['2173', 'uni02E9_uni02E8_uni02E9', 'None'], ['2174', 'uni02E9_uni02E8_uni02E8', 'None'], ['2175', 'uni02E9_uni02E8_uni02E5', 'None'], ['2176', 'uni02E9_uni02E8_uni02E7', 'None'], ['2177', 'uni02E9_uni02E8_uni02E6', 'None'], ['2178', 'uni02E8_uni02E9_uni02E9', 'None'], ['2179', 'uni02E9_uni02E6_uni02E9', 'None'], ['2180', 'uni02E9_uni02E9_uni02E8', 'None'], ['2181', 'uni02E7_uni02E6_uni02E5', 'None'], ['2182', 'uni02E7_uni02E6_uni02E7', 'None'], ['2183', 'uni02E7_uni02E6_uni02E6', 'None'], ['2184', 'uni02E7_uni02E6_uni02E9', 'None'], ['2185', 'uni02E7_uni02E6_uni02E8', 'None'], ['2186', 'uni02E9_uni02E9_uni02E5', 'None'], ['2187', 'uni02E9_uni02E9_uni02E6', 'None'], ['2188', 'uni02E9_uni02E9_uni02E7', 'None'], ['2189', 'uni02E6_uni02E8', 'None'], ['2190', 'uni02E6_uni02E9', 'None'], ['2191', 'uni02E8_uni02E8_uni02E6', 'None'], ['2192', 'uni02E6_uni02E5', 'None'], ['2193', 'uni02E6_uni02E7', 'None'], ['2194', 'aturn_uni02DE', 'None'], ['2195', 'iota1_uni02DE', 'None'], ['2196', 'oopen_uni02DE', 'None'], ['2197', 'ascript_uni02DE', 'None'], ['2198', 'o_uni02DE', 'None'], ['2199', 'ascriptturn_uni02DE', 'None'], ['2200', 'epsilon1revclosed_uni02DE', 'None'], ['2201', 'a_uni02DE', 'None'], ['2202', 'tildecomb_uni1ABB', 'None'], ['2203', 'tildecomb_uni1ABC', 'None'], ['2204', 'macroncomb_uni1ABB', 'None'], ['2205', 'dieresisnosp_uni1ABB', 'None'], ['2206', 'uni030C_uni1ABB', 'None'], ['2207', 'iotasubnosp_uni1ABD', 'None'], ['2208', 'dotdblsubnosp_uni1ABD', 'None'], ['2209', 'dotbelow_uni1ABD', 'None'], ['2210', 'ringsubnosp_uni1ABD', 'None'], ['2211', 'linevertsubnosp_uni1ABD', 'None'], ['2212', 'breveinvsubnosp_uni1ABD', 'None'], ['2213', 'tildesubnosp_uni1ABD', 'None'], ['2214', 'uni1AB9_uni1ABD', 'None'], ['2215', 'uni1ABA_uni1ABD', 'None'], ['2216', 'uni1AB8_uni1ABD', 'None'], ['2217', 'zero.onum', 'None'], ['2218', 'uni1ABE.w1', 'None'], ['2219', 'uni1ABE.w2', 'None'], ['2220', 'uni1ABE.w3', 'None'], ['2221', 'uni1ABC.w1', 'None'], ['2222', 'uni1ABC.w2', 'None'], ['2223', 'uni1ABC.w3', 'None'], ['2224', 'seven.pnum', 'None'], ['2225', 'b.ss06', 'None'], ['2226', 'c.ss06', 'None'], ['2227', 'd.ss06', 'None'], ['2228', 'g.ss06', 'None'], ['2229', 'o.ss06', 'None'], ['2230', 'p.ss06', 'None'], ['2231', 'q.ss06', 'None'], ['2232', 'c.ss07', 'None'], ['2233', 'e.ss07', 'None'], ['2234', 'g.ss07', 'None'], ['2235', 'six.alt', 'None'], ['2236', 'nine.alt', 'None'], ['2237', 'D.cn', 'None'], ['2238', 'Q.cn', 'None'], ['2239', 'a.cn', 'None'], ['2240', 'chi.alt', 'None'], ['2241', 'delta.alt', 'None'], ['2242', 'largerighthook', 'None'], ['2243', 'one.pnum', 'None'], ['2244', 'lmidtilde_uni1ABE', 'None'], ['2245', 'dcroat_uni1ABE', 'None'], ['2246', 'eng_uni1ABE', 'None'], ['2247', 'gbar_uni1ABE', 'None'], ['2248', 'bbar_uni1ABE', 'None'], ['2249', 'rrthook_uni1ABE', 'None'], ['2250', 'ampersand.smcp', 'None'], ['2251', 'Lslash.smcp', 'None'], ['2252', 'AE.smcp', 'None'], ['2253', 'Thorn.smcp', 'None'], ['2254', 'Oslash.smcp', 'None'], ['2255', 'Hbar.smcp', 'None'], ['2256', 'Eng.smcp', 'None'], ['2257', 'acutedotcomb.lc', 'None'], ['2258', 'tildedieresiscomb.lc', 'None'], ['2259', 'dieresisacutecomb.lc', 'None'], ['2260', 'carondotcomb.lc', 'None'], ['2261', 'dotmacroncomb.lc', 'None'], ['2262', 'macrongravecomb.lc', 'None'], ['2263', 'dieresismacroncomb.lc', 'None'], ['2264', 'dieresisgravecomb.lc', 'None'], ['2265', 'macronacutecomb.lc', 'None'], ['2266', 'tildemacroncomb.lc', 'None'], ['2267', 'macrondieresiscomb.lc', 'None'], ['2268', 'tildeacutecomb.lc', 'None'], ['2269', 'dieresiscaroncomb.lc', 'None'], ['2270', 'periodcentered.tnum', 'None'], ['2271', 'caronnosp', 'None'], ['2272', 'commaaboverightcomb', 'None'], ['2273', 'cyrillicbreve', 'None'], ['2274', 'nbspace', '160'], ['2275', 'uni00AD', '173'], ['2276', 'Dcroat', '272'], ['2277', 'Eth', '208'], ['2278', 'hbar', '295'], ['2279', 'Tbar', '358'], ['2280', 'tbar', '359'], ['2281', 'Aringacute', '506'], ['2282', 'aringacute', '507'], ['2283', 'Aogonek', '260'], ['2284', 'aogonek', '261'], ['2285', 'dcaron', '271'], ['2286', 'Eogonek', '280'], ['2287', 'eogonek', '281'], ['2288', 'Iogonek', '302'], ['2289', 'iogonek', '303'], ['2290', 'IJ', '306'], ['2291', 'ij', '307'], ['2292', 'Lcaron', '317'], ['2293', 'lcaron', '318'], ['2294', 'Ldot', '319'], ['2295', 'ldot', '320'], ['2296', 'napostrophe', '329'], ['2297', 'tcaron', '357'], ['2298', 'Uogonek', '370'], ['2299', 'uogonek', '371'], ['2300', 'Dcroat.smcp', 'None'], ['2301', 'Eth.smcp', 'None'], ['2302', 'Tbar.smcp', 'None'], ['2303', 'Agrave.smcp', 'None'], ['2304', 'Aacute.smcp', 'None'], ['2305', 'Acircumflex.smcp', 'None'], ['2306', 'Atilde.smcp', 'None'], ['2307', 'Adieresis.smcp', 'None'], ['2308', 'Aring.smcp', 'None'], ['2309', 'Aringacute.smcp', 'None'], ['2310', 'Ccedilla.smcp', 'None'], ['2311', 'Egrave.smcp', 'None'], ['2312', 'Eacute.smcp', 'None'], ['2313', 'Ecircumflex.smcp', 'None'], ['2314', 'Edieresis.smcp', 'None'], ['2315', 'Igrave.smcp', 'None'], ['2316', 'Iacute.smcp', 'None'], ['2317', 'Icircumflex.smcp', 'None'], ['2318', 'Idieresis.smcp', 'None'], ['2319', 'Ntilde.smcp', 'None'], ['2320', 'Ograve.smcp', 'None'], ['2321', 'Oacute.smcp', 'None'], ['2322', 'Ocircumflex.smcp', 'None'], ['2323', 'Otilde.smcp', 'None'], ['2324', 'Odieresis.smcp', 'None'], ['2325', 'Ugrave.smcp', 'None'], ['2326', 'Uacute.smcp', 'None'], ['2327', 'Ucircumflex.smcp', 'None'], ['2328', 'Udieresis.smcp', 'None'], ['2329', 'Yacute.smcp', 'None'], ['2330', 'Amacron.smcp', 'None'], ['2331', 'Abreve.smcp', 'None'], ['2332', 'Aogonek.smcp', 'None'], ['2333', 'Cacute.smcp', 'None'], ['2334', 'Ccircumflex.smcp', 'None'], ['2335', 'uni010A.smcp', 'None'], ['2336', 'Ccaron.smcp', 'None'], ['2337', 'Dcaron.smcp', 'None'], ['2338', 'Emacron.smcp', 'None'], ['2339', 'Ebreve.smcp', 'None'], ['2340', 'Edotaccent.smcp', 'None'], ['2341', 'Eogonek.smcp', 'None'], ['2342', 'Ecaron.smcp', 'None'], ['2343', 'Gcircumflex.smcp', 'None'], ['2344', 'Gbreve.smcp', 'None'], ['2345', 'uni0120.smcp', 'None'], ['2346', 'Gcommaaccent.smcp', 'None'], ['2347', 'Hcircumflex.smcp', 'None'], ['2348', 'Itilde.smcp', 'None'], ['2349', 'Imacron.smcp', 'None'], ['2350', 'Ibreve.smcp', 'None'], ['2351', 'Iogonek.smcp', 'None'], ['2352', 'Idotaccent.smcp', 'None'], ['2353', 'Jcircumflex.smcp', 'None'], ['2354', 'Kcommaaccent.smcp', 'None'], ['2355', 'Lacute.smcp', 'None'], ['2356', 'Lcommaaccent.smcp', 'None'], ['2357', 'Lcaron.smcp', 'None'], ['2358', 'Ldot.smcp', 'None'], ['2359', 'Nacute.smcp', 'None'], ['2360', 'Ncommaaccent.smcp', 'None'], ['2361', 'Ncaron.smcp', 'None'], ['2362', 'Omacron.smcp', 'None'], ['2363', 'Obreve.smcp', 'None'], ['2364', 'Ohungarumlaut.smcp', 'None'], ['2365', 'Oogonek.smcp', 'None'], ['2366', 'Racute.smcp', 'None'], ['2367', 'Rcommaaccent.smcp', 'None'], ['2368', 'Rcaron.smcp', 'None'], ['2369', 'Sacute.smcp', 'None'], ['2370', 'Scircumflex.smcp', 'None'], ['2371', 'Scedilla.smcp', 'None'], ['2372', 'Scaron.smcp', 'None'], ['2373', 'Tcommaaccent.smcp', 'None'], ['2374', 'Tcaron.smcp', 'None'], ['2375', 'uni0162.smcp', 'None'], ['2376', 'Utilde.smcp', 'None'], ['2377', 'Umacron.smcp', 'None'], ['2378', 'Ubreve.smcp', 'None'], ['2379', 'Uring.smcp', 'None'], ['2380', 'Uhungarumlaut.smcp', 'None'], ['2381', 'Uogonek.smcp', 'None'], ['2382', 'Wcircumflex.smcp', 'None'], ['2383', 'Ycircumflex.smcp', 'None'], ['2384', 'Ydieresis.smcp', 'None'], ['2385', 'Zacute.smcp', 'None'], ['2386', 'Zdotaccent.smcp', 'None'], ['2387', 'Zcaron.smcp', 'None'], ['2388', 'Alphatonos', '902'], ['2389', 'Epsilontonos', '904'], ['2390', 'Etatonos', '905'], ['2391', 'Iotatonos', '906'], ['2392', 'Omicrontonos', '908'], ['2393', 'Upsilontonos', '910'], ['2394', 'Omegatonos', '911'], ['2395', 'iotadieresistonos', '912'], ['2396', 'Alpha', '913'], ['2397', 'Beta', '914'], ['2398', 'Epsilon', '917'], ['2399', 'Zeta', '918'], ['2400', 'Eta', '919'], ['2401', 'Iota', '921'], ['2402', 'Kappa', '922'], ['2403', 'Mu', '924'], ['2404', 'Nu', '925'], ['2405', 'Omicron', '927'], ['2406', 'Rho', '929'], ['2407', 'Tau', '932'], ['2408', 'Upsilon', '933'], ['2409', 'Chi', '935'], ['2410', 'Iotadieresis', '938'], ['2411', 'Upsilondieresis', '939'], ['2412', 'alphatonos', '940'], ['2413', 'epsilontonos', '941'], ['2414', 'etatonos', '942'], ['2415', 'iotatonos', '943'], ['2416', 'upsilondieresistonos', '944'], ['2417', 'kappa', '954'], ['2418', 'omicron', '959'], ['2419', 'uni03BC', '956'], ['2420', 'nu', '957'], ['2421', 'chi', '967'], ['2422', 'iotadieresis', '970'], ['2423', 'upsilondieresis', '971'], ['2424', 'omicrontonos', '972'], ['2425', 'upsilontonos', '973'], ['2426', 'omegatonos', '974'], ['2427', 'uni0401', '1025'], ['2428', 'uni0403', '1027'], ['2429', 'uni0405', '1029'], ['2430', 'uni0406', '1030'], ['2431', 'uni0407', '1031'], ['2432', 'uni0408', '1032'], ['2433', 'uni041A', '1050'], ['2434', 'uni040C', '1036'], ['2435', 'uni040E', '1038'], ['2436', 'uni0410', '1040'], ['2437', 'uni0412', '1042'], ['2438', 'uni0413', '1043'], ['2439', 'uni0415', '1045'], ['2440', 'uni0419', '1049'], ['2441', 'uni041C', '1052'], ['2442', 'uni041D', '1053'], ['2443', 'uni041E', '1054'], ['2444', 'uni041F', '1055'], ['2445', 'uni0420', '1056'], ['2446', 'uni0421', '1057'], ['2447', 'uni0422', '1058'], ['2448', 'uni0425', '1061'], ['2449', 'uni0430', '1072'], ['2450', 'uni0435', '1077'], ['2451', 'uni0439', '1081'], ['2452', 'uni043E', '1086'], ['2453', 'uni0440', '1088'], ['2454', 'uni0441', '1089'], ['2455', 'uni0443', '1091'], ['2456', 'uni0445', '1093'], ['2457', 'uni0451', '1105'], ['2458', 'uni0453', '1107'], ['2459', 'uni0455', '1109'], ['2460', 'uni0456', '1110'], ['2461', 'uni0457', '1111'], ['2462', 'uni0458', '1112'], ['2463', 'uni045C', '1116'], ['2464', 'uni045E', '1118'], ['2465', 'minute', '8242'], ['2466', 'second', '8243'], ['2467', 'exclamdbl', '8252'], ['2468', 'uni01F0', '496'], ['2469', 'uni02BC', '700'], ['2470', 'uni1E3E', '7742'], ['2471', 'uni1E3F', '7743'], ['2472', 'uni1E00', '7680'], ['2473', 'uni1E01', '7681'], ['2474', 'uni0400', '1024'], ['2475', 'uni040D', '1037'], ['2476', 'uni0450', '1104'], ['2477', 'uni045D', '1117'], ['2478', 'uni0470', '1136'], ['2479', 'uni0471', '1137'], ['2480', 'uni0476', '1142'], ['2481', 'uni0477', '1143'], ['2482', 'uni0479', '1145'], ['2483', 'uni0478', '1144'], ['2484', 'uni0498', '1176'], ['2485', 'uni0499', '1177'], ['2486', 'uni04AA', '1194'], ['2487', 'uni04AB', '1195'], ['2488', 'uni04AE', '1198'], ['2489', 'uni04AF', '1199'], ['2490', 'uni04C0', '1216'], ['2491', 'uni04C1', '1217'], ['2492', 'uni04C2', '1218'], ['2493', 'uni04CF', '1231'], ['2494', 'uni04D0', '1232'], ['2495', 'uni04D1', '1233'], ['2496', 'uni04D2', '1234'], ['2497', 'uni04D3', '1235'], ['2498', 'uni04D4', '1236'], ['2499', 'uni04D5', '1237'], ['2500', 'uni04D6', '1238'], ['2501', 'uni04D7', '1239'], ['2502', 'uni04DA', '1242'], ['2503', 'uni04D9', '1241'], ['2504', 'uni04DB', '1243'], ['2505', 'uni04DC', '1244'], ['2506', 'uni04DD', '1245'], ['2507', 'uni04DE', '1246'], ['2508', 'uni04DF', '1247'], ['2509', 'uni04E2', '1250'], ['2510', 'uni04E3', '1251'], ['2511', 'uni04E4', '1252'], ['2512', 'uni04E5', '1253'], ['2513', 'uni04E6', '1254'], ['2514', 'uni04E7', '1255'], ['2515', 'uni04E8', '1256'], ['2516', 'uni04E9', '1257'], ['2517', 'Obar', '415'], ['2518', 'uni04EA', '1258'], ['2519', 'uni04EB', '1259'], ['2520', 'uni04EC', '1260'], ['2521', 'uni04ED', '1261'], ['2522', 'uni04EE', '1262'], ['2523', 'uni04EF', '1263'], ['2524', 'uni04F0', '1264'], ['2525', 'uni04F1', '1265'], ['2526', 'uni04F2', '1266'], ['2527', 'uni04F3', '1267'], ['2528', 'uni04F4', '1268'], ['2529', 'uni04F5', '1269'], ['2530', 'uni04F8', '1272'], ['2531', 'uni04F9', '1273'], ['2532', 'uni0501', '1281'], ['2533', 'uni1EA0', '7840'], ['2534', 'uni1EA1', '7841'], ['2535', 'uni1EA2', '7842'], ['2536', 'uni1EA3', '7843'], ['2537', 'uni1EA4', '7844'], ['2538', 'uni1EA5', '7845'], ['2539', 'uni1EA6', '7846'], ['2540', 'uni1EA7', '7847'], ['2541', 'uni1EA8', '7848'], ['2542', 'uni1EA9', '7849'], ['2543', 'uni1EAA', '7850'], ['2544', 'uni1EAB', '7851'], ['2545', 'uni1EAC', '7852'], ['2546', 'uni1EAD', '7853'], ['2547', 'uni1EAE', '7854'], ['2548', 'uni1EAF', '7855'], ['2549', 'uni1EB0', '7856'], ['2550', 'uni1EB1', '7857'], ['2551', 'uni1EB2', '7858'], ['2552', 'uni1EB3', '7859'], ['2553', 'uni1EB4', '7860'], ['2554', 'uni1EB5', '7861'], ['2555', 'uni1EB6', '7862'], ['2556', 'uni1EB7', '7863'], ['2557', 'uni1EB8', '7864'], ['2558', 'uni1EB9', '7865'], ['2559', 'uni1EBA', '7866'], ['2560', 'uni1EBB', '7867'], ['2561', 'uni1EBC', '7868'], ['2562', 'uni1EBD', '7869'], ['2563', 'uni1EBE', '7870'], ['2564', 'uni1EBF', '7871'], ['2565', 'uni1EC0', '7872'], ['2566', 'uni1EC1', '7873'], ['2567', 'uni1EC2', '7874'], ['2568', 'uni1EC3', '7875'], ['2569', 'uni1EC4', '7876'], ['2570', 'uni1EC5', '7877'], ['2571', 'uni1EC6', '7878'], ['2572', 'uni1EC7', '7879'], ['2573', 'uni1EC8', '7880'], ['2574', 'uni1EC9', '7881'], ['2575', 'uni1ECA', '7882'], ['2576', 'uni1ECB', '7883'], ['2577', 'uni1ECC', '7884'], ['2578', 'uni1ECD', '7885'], ['2579', 'uni1ECE', '7886'], ['2580', 'uni1ECF', '7887'], ['2581', 'uni1ED0', '7888'], ['2582', 'uni1ED1', '7889'], ['2583', 'uni1ED2', '7890'], ['2584', 'uni1ED3', '7891'], ['2585', 'uni1ED4', '7892'], ['2586', 'uni1ED5', '7893'], ['2587', 'uni1ED6', '7894'], ['2588', 'uni1ED7', '7895'], ['2589', 'uni1ED8', '7896'], ['2590', 'uni1ED9', '7897'], ['2591', 'uni1EDA', '7898'], ['2592', 'uni1EDB', '7899'], ['2593', 'uni1EDC', '7900'], ['2594', 'uni1EDD', '7901'], ['2595', 'uni1EDE', '7902'], ['2596', 'uni1EDF', '7903'], ['2597', 'uni1EE0', '7904'], ['2598', 'uni1EE1', '7905'], ['2599', 'uni1EE2', '7906'], ['2600', 'uni1EE3', '7907'], ['2601', 'uni1EE4', '7908'], ['2602', 'uni1EE5', '7909'], ['2603', 'uni1EE6', '7910'], ['2604', 'uni1EE7', '7911'], ['2605', 'uni1EE8', '7912'], ['2606', 'uni1EE9', '7913'], ['2607', 'uni1EEA', '7914'], ['2608', 'uni1EEB', '7915'], ['2609', 'uni1EEC', '7916'], ['2610', 'uni1EED', '7917'], ['2611', 'uni1EEE', '7918'], ['2612', 'uni1EEF', '7919'], ['2613', 'uni1EF0', '7920'], ['2614', 'uni1EF1', '7921'], ['2615', 'uni1EF4', '7924'], ['2616', 'uni1EF5', '7925'], ['2617', 'uni1EF6', '7926'], ['2618', 'uni1EF7', '7927'], ['2619', 'uni1EF8', '7928'], ['2620', 'uni1EF9', '7929'], ['2621', 'uni20AB', '8363'], ['2622', 'uni04AC', '1196'], ['2623', 'uni04AD', '1197'], ['2624', 'uni04CB', '1227'], ['2625', 'uni04CC', '1228'], ['2626', 'uni04F6', '1270'], ['2627', 'uni04F7', '1271'], ['2628', 'uni04BE', '1214'], ['2629', 'uni04BF', '1215'], ['2630', 'uni04BB', '1211'], ['2631', 'uni048C', '1164'], ['2632', 'uni0462', '1122'], ['2633', 'uni0492', '1170'], ['2634', 'uni0493', '1171'], ['2635', 'uni049E', '1182'], ['2636', 'uni049F', '1183'], ['2637', 'uni04B0', '1200'], ['2638', 'uni04B1', '1201'], ['2639', 'uni04FE', '1278'], ['2640', 'uni04FF', '1279'], ['2641', 'uni0511', '1297'], ['2642', 'franc', '8355'], ['2643', 'uni2015', '8213'], ['2644', 'two.pnum', 'None'], ['2645', 'three.pnum', 'None'], ['2646', 'four.pnum', 'None'], ['2647', 'five.pnum', 'None'], ['2648', 'six.pnum', 'None'], ['2649', 'eight.pnum', 'None'], ['2650', 'nine.pnum', 'None'], ['2651', 'zero.pnum', 'None'], ['2652', 'uni037A', '890'], ['2653', 'Iota1', '406'], ['2654', 'uni019E', '414'], ['2655', 'LJ', '455'], ['2656', 'Lj', '456'], ['2657', 'lj', '457'], ['2658', 'NJ', '458'], ['2659', 'Nj', '459'], ['2660', 'nj', '460'], ['2661', 'Acaron', '461'], ['2662', 'acaron', '462'], ['2663', 'Icaron', '463'], ['2664', 'icaron', '464'], ['2665', 'Ocaron', '465'], ['2666', 'ocaron', '466'], ['2667', 'Ucaron', '467'], ['2668', 'ucaron', '468'], ['2669', 'uni01D5', '469'], ['2670', 'uni01D6', '470'], ['2671', 'uni01D7', '471'], ['2672', 'uni01D8', '472'], ['2673', 'uni01D9', '473'], ['2674', 'uni01DA', '474'], ['2675', 'uni01DB', '475'], ['2676', 'uni01DC', '476'], ['2677', 'eturn', '477'], ['2678', 'uni01DE', '478'], ['2679', 'uni01DF', '479'], ['2680', 'uni01E0', '480'], ['2681', 'uni01E1', '481'], ['2682', 'AEmacron', '482'], ['2683', 'aemacron', '483'], ['2684', 'Kcaron', '488'], ['2685', 'kcaron', '489'], ['2686', 'Oogonek', '490'], ['2687', 'oogonek', '491'], ['2688', 'uni01EC', '492'], ['2689', 'uni01ED', '493'], ['2690', 'uni01F1', '497'], ['2691', 'uni01F2', '498'], ['2692', 'uni01F3', '499'], ['2693', 'Gacute', '500'], ['2694', 'gacute', '501'], ['2695', 'uni01F8', '504'], ['2696', 'uni01F9', '505'], ['2697', 'uni0200', '512'], ['2698', 'uni0201', '513'], ['2699', 'uni0202', '514'], ['2700', 'uni0203', '515'], ['2701', 'uni0204', '516'], ['2702', 'uni0205', '517'], ['2703', 'uni0206', '518'], ['2704', 'uni0207', '519'], ['2705', 'uni0208', '520'], ['2706', 'uni0209', '521'], ['2707', 'uni020A', '522'], ['2708', 'uni020B', '523'], ['2709', 'uni020C', '524'], ['2710', 'uni020D', '525'], ['2711', 'uni020E', '526'], ['2712', 'uni020F', '527'], ['2713', 'uni0210', '528'], ['2714', 'uni0211', '529'], ['2715', 'uni0212', '530'], ['2716', 'uni0213', '531'], ['2717', 'uni0214', '532'], ['2718', 'uni0215', '533'], ['2719', 'uni0216', '534'], ['2720', 'uni0217', '535'], ['2721', 'uni021E', '542'], ['2722', 'uni021F', '543'], ['2723', 'uni0226', '550'], ['2724', 'uni0227', '551'], ['2725', 'uni0228', '552'], ['2726', 'uni0229', '553'], ['2727', 'uni022A', '554'], ['2728', 'uni022B', '555'], ['2729', 'uni022C', '556'], ['2730', 'uni022D', '557'], ['2731', 'uni022E', '558'], ['2732', 'uni022F', '559'], ['2733', 'uni0230', '560'], ['2734', 'uni0231', '561'], ['2735', 'obar', '629'], ['2736', 'uni0299', '665'], ['2737', 'uni029C', '668'], ['2738', 'uni037F', '895'], ['2739', 'uni03D3', '979'], ['2740', 'uni03D4', '980'], ['2741', 'uni03F2', '1010'], ['2742', 'uni03F3', '1011'], ['2743', 'uni03F4', '1012'], ['2744', 'uni03F7', '1015'], ['2745', 'uni03F8', '1016'], ['2746', 'uni03F9', '1017'], ['2747', 'uni03FA', '1018'], ['2748', 'uni051A', '1306'], ['2749', 'uni051B', '1307'], ['2750', 'uni051C', '1308'], ['2751', 'uni051D', '1309'], ['2752', 'uni1E02', '7682'], ['2753', 'uni1E03', '7683'], ['2754', 'uni1E04', '7684'], ['2755', 'uni1E05', '7685'], ['2756', 'uni1E06', '7686'], ['2757', 'uni1E07', '7687'], ['2758', 'uni1E08', '7688'], ['2759', 'uni1E09', '7689'], ['2760', 'uni1E0A', '7690'], ['2761', 'uni1E0B', '7691'], ['2762', 'uni1E0C', '7692'], ['2763', 'uni1E0D', '7693'], ['2764', 'uni1E0E', '7694'], ['2765', 'uni1E0F', '7695'], ['2766', 'uni1E10', '7696'], ['2767', 'uni1E11', '7697'], ['2768', 'uni1E12', '7698'], ['2769', 'uni1E13', '7699'], ['2770', 'uni1E14', '7700'], ['2771', 'uni1E15', '7701'], ['2772', 'uni1E16', '7702'], ['2773', 'uni1E17', '7703'], ['2774', 'uni1E18', '7704'], ['2775', 'uni1E19', '7705'], ['2776', 'uni1E1A', '7706'], ['2777', 'uni1E1B', '7707'], ['2778', 'uni1E1C', '7708'], ['2779', 'uni1E1D', '7709'], ['2780', 'uni1E1E', '7710'], ['2781', 'uni1E1F', '7711'], ['2782', 'uni1E20', '7712'], ['2783', 'uni1E21', '7713'], ['2784', 'uni1E22', '7714'], ['2785', 'uni1E23', '7715'], ['2786', 'uni1E24', '7716'], ['2787', 'uni1E25', '7717'], ['2788', 'uni1E26', '7718'], ['2789', 'uni1E27', '7719'], ['2790', 'uni1E2A', '7722'], ['2791', 'uni1E2B', '7723'], ['2792', 'uni1E30', '7728'], ['2793', 'uni1E31', '7729'], ['2794', 'uni1E32', '7730'], ['2795', 'uni1E33', '7731'], ['2796', 'uni1E34', '7732'], ['2797', 'uni1E35', '7733'], ['2798', 'uni1E36', '7734'], ['2799', 'uni1E37', '7735'], ['2800', 'uni1E38', '7736'], ['2801', 'uni1E39', '7737'], ['2802', 'uni1E3A', '7738'], ['2803', 'uni1E3B', '7739'], ['2804', 'uni1E3C', '7740'], ['2805', 'uni1E3D', '7741'], ['2806', 'uni1E40', '7744'], ['2807', 'uni1E41', '7745'], ['2808', 'uni1E42', '7746'], ['2809', 'uni1E43', '7747'], ['2810', 'uni1E44', '7748'], ['2811', 'uni1E45', '7749'], ['2812', 'uni1E46', '7750'], ['2813', 'uni1E47', '7751'], ['2814', 'uni1E48', '7752'], ['2815', 'uni1E49', '7753'], ['2816', 'uni1E4A', '7754'], ['2817', 'uni1E4B', '7755'], ['2818', 'uni1E4C', '7756'], ['2819', 'uni1E4D', '7757'], ['2820', 'uni1E4E', '7758'], ['2821', 'uni1E4F', '7759'], ['2822', 'uni1E50', '7760'], ['2823', 'uni1E51', '7761'], ['2824', 'uni1E52', '7762'], ['2825', 'uni1E53', '7763'], ['2826', 'uni1E54', '7764'], ['2827', 'uni1E55', '7765'], ['2828', 'uni1E56', '7766'], ['2829', 'uni1E57', '7767'], ['2830', 'uni1E58', '7768'], ['2831', 'uni1E59', '7769'], ['2832', 'uni1E5A', '7770'], ['2833', 'uni1E5B', '7771'], ['2834', 'uni1E5C', '7772'], ['2835', 'uni1E5D', '7773'], ['2836', 'uni1E5E', '7774'], ['2837', 'uni1E5F', '7775'], ['2838', 'uni1E60', '7776'], ['2839', 'uni1E61', '7777'], ['2840', 'uni1E62', '7778'], ['2841', 'uni1E63', '7779'], ['2842', 'uni1E64', '7780'], ['2843', 'uni1E65', '7781'], ['2844', 'uni1E66', '7782'], ['2845', 'uni1E67', '7783'], ['2846', 'uni1E68', '7784'], ['2847', 'uni1E69', '7785'], ['2848', 'uni1E6A', '7786'], ['2849', 'uni1E6B', '7787'], ['2850', 'uni1E6C', '7788'], ['2851', 'uni1E6D', '7789'], ['2852', 'uni1E6E', '7790'], ['2853', 'uni1E6F', '7791'], ['2854', 'uni1E70', '7792'], ['2855', 'uni1E71', '7793'], ['2856', 'uni1E72', '7794'], ['2857', 'uni1E73', '7795'], ['2858', 'uni1E74', '7796'], ['2859', 'uni1E75', '7797'], ['2860', 'uni1E76', '7798'], ['2861', 'uni1E77', '7799'], ['2862', 'uni1E78', '7800'], ['2863', 'uni1E79', '7801'], ['2864', 'uni1E7A', '7802'], ['2865', 'uni1E7B', '7803'], ['2866', 'uni1E7C', '7804'], ['2867', 'uni1E7D', '7805'], ['2868', 'uni1E7E', '7806'], ['2869', 'uni1E7F', '7807'], ['2870', 'uni1E86', '7814'], ['2871', 'uni1E87', '7815'], ['2872', 'uni1E88', '7816'], ['2873', 'uni1E89', '7817'], ['2874', 'uni1E8A', '7818'], ['2875', 'uni1E8B', '7819'], ['2876', 'uni1E8C', '7820'], ['2877', 'uni1E8D', '7821'], ['2878', 'uni1E8E', '7822'], ['2879', 'uni1E8F', '7823'], ['2880', 'uni1E90', '7824'], ['2881', 'uni1E91', '7825'], ['2882', 'uni1E92', '7826'], ['2883', 'uni1E93', '7827'], ['2884', 'uni1E94', '7828'], ['2885', 'uni1E95', '7829'], ['2886', 'uni1E96', '7830'], ['2887', 'uni1E97', '7831'], ['2888', 'uni1E98', '7832'], ['2889', 'uni1E99', '7833'], ['2890', 'uni1E9A', '7834'], ['2891', 'uni1F00', '7936'], ['2892', 'uni1F01', '7937'], ['2893', 'uni1F02', '7938'], ['2894', 'uni1F03', '7939'], ['2895', 'uni1F04', '7940'], ['2896', 'uni1F05', '7941'], ['2897', 'uni1F06', '7942'], ['2898', 'uni1F07', '7943'], ['2899', 'uni1F08', '7944'], ['2900', 'uni1F09', '7945'], ['2901', 'uni1F0A', '7946'], ['2902', 'uni1F0B', '7947'], ['2903', 'uni1F0C', '7948'], ['2904', 'uni1F0D', '7949'], ['2905', 'uni1F0E', '7950'], ['2906', 'uni1F0F', '7951'], ['2907', 'uni1F10', '7952'], ['2908', 'uni1F11', '7953'], ['2909', 'uni1F12', '7954'], ['2910', 'uni1F13', '7955'], ['2911', 'uni1F14', '7956'], ['2912', 'uni1F15', '7957'], ['2913', 'uni1F18', '7960'], ['2914', 'uni1F19', '7961'], ['2915', 'uni1F1A', '7962'], ['2916', 'uni1F1B', '7963'], ['2917', 'uni1F1C', '7964'], ['2918', 'uni1F1D', '7965'], ['2919', 'uni1F20', '7968'], ['2920', 'uni1F21', '7969'], ['2921', 'uni1F22', '7970'], ['2922', 'uni1F23', '7971'], ['2923', 'uni1F24', '7972'], ['2924', 'uni1F25', '7973'], ['2925', 'uni1F26', '7974'], ['2926', 'uni1F27', '7975'], ['2927', 'uni1F28', '7976'], ['2928', 'uni1F29', '7977'], ['2929', 'uni1F2A', '7978'], ['2930', 'uni1F2B', '7979'], ['2931', 'uni1F2C', '7980'], ['2932', 'uni1F2D', '7981'], ['2933', 'uni1F2E', '7982'], ['2934', 'uni1F2F', '7983'], ['2935', 'uni1F30', '7984'], ['2936', 'uni1F31', '7985'], ['2937', 'uni1F32', '7986'], ['2938', 'uni1F33', '7987'], ['2939', 'uni1F34', '7988'], ['2940', 'uni1F35', '7989'], ['2941', 'uni1F36', '7990'], ['2942', 'uni1F37', '7991'], ['2943', 'uni1F38', '7992'], ['2944', 'uni1F39', '7993'], ['2945', 'uni1F3A', '7994'], ['2946', 'uni1F3B', '7995'], ['2947', 'uni1F3C', '7996'], ['2948', 'uni1F3D', '7997'], ['2949', 'uni1F3E', '7998'], ['2950', 'uni1F3F', '7999'], ['2951', 'uni1F40', '8000'], ['2952', 'uni1F41', '8001'], ['2953', 'uni1F42', '8002'], ['2954', 'uni1F43', '8003'], ['2955', 'uni1F44', '8004'], ['2956', 'uni1F45', '8005'], ['2957', 'uni1F48', '8008'], ['2958', 'uni1F49', '8009'], ['2959', 'uni1F4A', '8010'], ['2960', 'uni1F4B', '8011'], ['2961', 'uni1F4C', '8012'], ['2962', 'uni1F4D', '8013'], ['2963', 'uni1F50', '8016'], ['2964', 'uni1F51', '8017'], ['2965', 'uni1F52', '8018'], ['2966', 'uni1F53', '8019'], ['2967', 'uni1F54', '8020'], ['2968', 'uni1F55', '8021'], ['2969', 'uni1F56', '8022'], ['2970', 'uni1F57', '8023'], ['2971', 'uni1F59', '8025'], ['2972', 'uni1F5B', '8027'], ['2973', 'uni1F5D', '8029'], ['2974', 'uni1F5F', '8031'], ['2975', 'uni1F60', '8032'], ['2976', 'uni1F61', '8033'], ['2977', 'uni1F62', '8034'], ['2978', 'uni1F63', '8035'], ['2979', 'uni1F64', '8036'], ['2980', 'uni1F65', '8037'], ['2981', 'uni1F66', '8038'], ['2982', 'uni1F67', '8039'], ['2983', 'uni1F68', '8040'], ['2984', 'uni1F69', '8041'], ['2985', 'uni1F6A', '8042'], ['2986', 'uni1F6B', '8043'], ['2987', 'uni1F6C', '8044'], ['2988', 'uni1F6D', '8045'], ['2989', 'uni1F6E', '8046'], ['2990', 'uni1F6F', '8047'], ['2991', 'uni1F70', '8048'], ['2992', 'uni1F71', '8049'], ['2993', 'uni1F72', '8050'], ['2994', 'uni1F73', '8051'], ['2995', 'uni1F74', '8052'], ['2996', 'uni1F75', '8053'], ['2997', 'uni1F76', '8054'], ['2998', 'uni1F77', '8055'], ['2999', 'uni1F78', '8056'], ['3000', 'uni1F79', '8057'], ['3001', 'uni1F7A', '8058'], ['3002', 'uni1F7B', '8059'], ['3003', 'uni1F7C', '8060'], ['3004', 'uni1F7D', '8061'], ['3005', 'uni1F80', '8064'], ['3006', 'uni1F81', '8065'], ['3007', 'uni1F82', '8066'], ['3008', 'uni1F83', '8067'], ['3009', 'uni1F84', '8068'], ['3010', 'uni1F85', '8069'], ['3011', 'uni1F86', '8070'], ['3012', 'uni1F87', '8071'], ['3013', 'uni1F88', '8072'], ['3014', 'uni1F89', '8073'], ['3015', 'uni1F8A', '8074'], ['3016', 'uni1F8B', '8075'], ['3017', 'uni1F8C', '8076'], ['3018', 'uni1F8D', '8077'], ['3019', 'uni1F8E', '8078'], ['3020', 'uni1F8F', '8079'], ['3021', 'uni1F90', '8080'], ['3022', 'uni1F91', '8081'], ['3023', 'uni1F92', '8082'], ['3024', 'uni1F93', '8083'], ['3025', 'uni1F94', '8084'], ['3026', 'uni1F95', '8085'], ['3027', 'uni1F96', '8086'], ['3028', 'uni1F97', '8087'], ['3029', 'uni1F98', '8088'], ['3030', 'uni1F99', '8089'], ['3031', 'uni1F9A', '8090'], ['3032', 'uni1F9B', '8091'], ['3033', 'uni1F9C', '8092'], ['3034', 'uni1F9D', '8093'], ['3035', 'uni1F9E', '8094'], ['3036', 'uni1F9F', '8095'], ['3037', 'uni1FA0', '8096'], ['3038', 'uni1FA1', '8097'], ['3039', 'uni1FA2', '8098'], ['3040', 'uni1FA3', '8099'], ['3041', 'uni1FA4', '8100'], ['3042', 'uni1FA5', '8101'], ['3043', 'uni1FA6', '8102'], ['3044', 'uni1FA7', '8103'], ['3045', 'uni1FA8', '8104'], ['3046', 'uni1FA9', '8105'], ['3047', 'uni1FAA', '8106'], ['3048', 'uni1FAB', '8107'], ['3049', 'uni1FAC', '8108'], ['3050', 'uni1FAD', '8109'], ['3051', 'uni1FAE', '8110'], ['3052', 'uni1FAF', '8111'], ['3053', 'uni1FB0', '8112'], ['3054', 'uni1FB1', '8113'], ['3055', 'uni1FB2', '8114'], ['3056', 'uni1FB3', '8115'], ['3057', 'uni1FB4', '8116'], ['3058', 'uni1FB6', '8118'], ['3059', 'uni1FB7', '8119'], ['3060', 'uni1FB8', '8120'], ['3061', 'uni1FB9', '8121'], ['3062', 'uni1FBA', '8122'], ['3063', 'uni1FBB', '8123'], ['3064', 'uni1FBC', '8124'], ['3065', 'uni1FC2', '8130'], ['3066', 'uni1FC3', '8131'], ['3067', 'uni1FC4', '8132'], ['3068', 'uni1FC6', '8134'], ['3069', 'uni1FC7', '8135'], ['3070', 'uni1FC8', '8136'], ['3071', 'uni1FC9', '8137'], ['3072', 'uni1FCA', '8138'], ['3073', 'uni1FCB', '8139'], ['3074', 'uni1FCC', '8140'], ['3075', 'uni1FD0', '8144'], ['3076', 'uni1FD1', '8145'], ['3077', 'uni1FD2', '8146'], ['3078', 'uni1FD3', '8147'], ['3079', 'uni1FD6', '8150'], ['3080', 'uni1FD7', '8151'], ['3081', 'uni1FD8', '8152'], ['3082', 'uni1FD9', '8153'], ['3083', 'uni1FDA', '8154'], ['3084', 'uni1FDB', '8155'], ['3085', 'uni1FE0', '8160'], ['3086', 'uni1FE1', '8161'], ['3087', 'uni1FE2', '8162'], ['3088', 'uni1FE3', '8163'], ['3089', 'uni1FE4', '8164'], ['3090', 'uni1FE5', '8165'], ['3091', 'uni1FE6', '8166'], ['3092', 'uni1FE7', '8167'], ['3093', 'uni1FE8', '8168'], ['3094', 'uni1FE9', '8169'], ['3095', 'uni1FEA', '8170'], ['3096', 'uni1FEB', '8171'], ['3097', 'uni1FEC', '8172'], ['3098', 'uni1FF2', '8178'], ['3099', 'uni1FF3', '8179'], ['3100', 'uni1FF4', '8180'], ['3101', 'uni1FF6', '8182'], ['3102', 'uni1FF7', '8183'], ['3103', 'uni1FF8', '8184'], ['3104', 'uni1FF9', '8185'], ['3105', 'uni1FFA', '8186'], ['3106', 'uni1FFB', '8187'], ['3107', 'uni1FFC', '8188'], ['3108', 'uni202F', '8239'], ['3109', 'uni2047', '8263'], ['3110', 'uni2048', '8264'], ['3111', 'uni2049', '8265'], ['3112', 'uni205F', '8287'], ['3113', 'uniA78F', '42895'], ['3114', 'Alphatonos.smcp', 'None'], ['3115', 'Epsilontonos.smcp', 'None'], ['3116', 'Etatonos.smcp', 'None'], ['3117', 'Iotatonos.smcp', 'None'], ['3118', 'Omicrontonos.smcp', 'None'], ['3119', 'Upsilontonos.smcp', 'None'], ['3120', 'Omegatonos.smcp', 'None'], ['3121', 'Alpha.smcp', 'None'], ['3122', 'Beta.smcp', 'None'], ['3123', 'Epsilon.smcp', 'None'], ['3124', 'Zeta.smcp', 'None'], ['3125', 'Eta.smcp', 'None'], ['3126', 'Iota.smcp', 'None'], ['3127', 'Kappa.smcp', 'None'], ['3128', 'Mu.smcp', 'None'], ['3129', 'Nu.smcp', 'None'], ['3130', 'Omicron.smcp', 'None'], ['3131', 'Rho.smcp', 'None'], ['3132', 'Tau.smcp', 'None'], ['3133', 'Upsilon.smcp', 'None'], ['3134', 'Chi.smcp', 'None'], ['3135', 'Iotadieresis.smcp', 'None'], ['3136', 'Upsilondieresis.smcp', 'None'], ['3137', 'uni0401.smcp', 'None'], ['3138', 'uni0403.smcp', 'None'], ['3139', 'uni0405.smcp', 'None'], ['3140', 'uni0406.smcp', 'None'], ['3141', 'uni0407.smcp', 'None'], ['3142', 'uni0408.smcp', 'None'], ['3143', 'uni040C.smcp', 'None'], ['3144', 'uni040E.smcp', 'None'], ['3145', 'uni0410.smcp', 'None'], ['3146', 'uni0412.smcp', 'None'], ['3147', 'uni0413.smcp', 'None'], ['3148', 'uni0415.smcp', 'None'], ['3149', 'uni0419.smcp', 'None'], ['3150', 'uni041C.smcp', 'None'], ['3151', 'uni041D.smcp', 'None'], ['3152', 'uni041E.smcp', 'None'], ['3153', 'uni041F.smcp', 'None'], ['3154', 'uni0420.smcp', 'None'], ['3155', 'uni0421.smcp', 'None'], ['3156', 'uni0422.smcp', 'None'], ['3157', 'uni0425.smcp', 'None'], ['3158', 'uni0498.smcp', 'None'], ['3159', 'uni04A2.smcp', 'None'], ['3160', 'uni04AA.smcp', 'None'], ['3161', 'uni04AE.smcp', 'None'], ['3162', 'uni04BE.smcp', 'None'], ['3163', 'uni04E2.smcp', 'None'], ['3164', 'uni04EE.smcp', 'None'], ['3165', 'uni0424.smcp', 'None'], ['3166', 'uni037F.smcp', 'None'], ['3167', 'IJ.smcp', 'None'], ['3168', 'AEacute.smcp', 'None'], ['3169', 'Oslashacute.smcp', 'None'], ['3170', 'Scommaaccent.smcp', 'None'], ['3171', 'Wgrave.smcp', 'None'], ['3172', 'Wacute.smcp', 'None'], ['3173', 'Wdieresis.smcp', 'None'], ['3174', 'Ygrave.smcp', 'None'], ['3175', 'Aogonek.NAV', 'None'], ['3176', 'aogonek.NAV', 'None'], ['3177', 'Eogonek.NAV', 'None'], ['3178', 'eogonek.NAV', 'None'], ['3179', 'Oogonek.NAV', 'None'], ['3180', 'oogonek.NAV', 'None'], ['3181', 'Aogonek.smcp.NAV', 'None'], ['3182', 'Eogonek.smcp.NAV', 'None'], ['3183', 'Oogonek.smcp.NAV', 'None'], ['3184', 'Agrave.unic', 'None'], ['3185', 'Aacute.unic', 'None'], ['3186', 'Acircumflex.unic', 'None'], ['3187', 'Atilde.unic', 'None'], ['3188', 'Adieresis.unic', 'None'], ['3189', 'Aring.unic', 'None'], ['3190', 'Amacron.unic', 'None'], ['3191', 'Abreve.unic', 'None'], ['3192', 'Aogonek.unic', 'None'], ['3193', 'Aringacute.unic', 'None'], ['3194', 'Egrave.unic', 'None'], ['3195', 'Eacute.unic', 'None'], ['3196', 'Ecircumflex.unic', 'None'], ['3197', 'Edieresis.unic', 'None'], ['3198', 'Emacron.unic', 'None'], ['3199', 'Ebreve.unic', 'None'], ['3200', 'Edotaccent.unic', 'None'], ['3201', 'Eogonek.unic', 'None'], ['3202', 'Ecaron.unic', 'None'], ['3203', 'Ntilde.unic', 'None'], ['3204', 'Nacute.unic', 'None'], ['3205', 'Ncommaaccent.unic', 'None'], ['3206', 'Ncaron.unic', 'None'], ['3207', 'Ugrave.unic', 'None'], ['3208', 'Uacute.unic', 'None'], ['3209', 'Udieresis.unic', 'None'], ['3210', 'Utilde.unic', 'None'], ['3211', 'Umacron.unic', 'None'], ['3212', 'Ubreve.unic', 'None'], ['3213', 'Uring.unic', 'None'], ['3214', 'Uhungarumlaut.unic', 'None'], ['3215', 'Uogonek.unic', 'None'], ['3216', 'uni1E2D.ccmp', 'None'], ['3217', 'uni1ECB.ccmp', 'None']]


# Source xml with original GIDOrder
fullTree = ET.parse('../HintingSource/Roboto.xml')
# Source xml with smaller GIDOrder
smallTree = ET.parse('../HintingSource/RobotoNewGIDOrder.xml')
# Source Target
newTree = ET.parse('../HintingSource/RobotoNEW.xml')

root = fullTree.getroot()
rootSmall = smallTree.getroot()
newRoot = newTree.getroot()


print(root)
for child in root:
    print (child.tag, child.attrib)

# List of all TT instructions in {TTGlyph ID, talk, assembly}, from the full GlyphOrder
glyf = []

# remove glyf
def removeGlyf():
    
    
    for child in newRoot:
        if child.tag != "glyf":
            continue
        if True:
            newRoot.remove(child)
    
    # adding an element to the root node
    attrib = {}
    element = newRoot.makeelement('glyf', attrib)
    newRoot.append(element)
    
    newTree.write('../HintingSource/RobotoNEW.xml')


#Loop to store all GlyphIDs and hint instructions of the full Hinting source XML
def storeAllThints():
    
    for child in root.iter("glyf"):
    
        for TTGlyphID in child:
            
            #print (TTGlyphID)
            #print ("Current ID " + str(TTGlyphID.attrib))
            
            for TTGlyphInstructions in TTGlyphID:
                
                ID_ToFind = 0
                ID = TTGlyphID.attrib
                talk_ToFind = TTGlyphInstructions[0].text
                instructions_ToFind = TTGlyphInstructions[1].text
                for value in ID.values():
                    ID_ToFind = value
                    #print ( ID_ToFind )
                #print ("talk " + talk_ToFind )
                #print ("assembly " + instructions_ToFind )
                
                glyf.append( [ID_ToFind , talk_ToFind, instructions_ToFind] )


def CompareGIDS(index):
    
    #if for the current index, glyphs are different
    if fullGlyphOrder[index] == targetGlyphOrder[index]:
        return True
    else:
        return False

def validNone(str_arg):
    if str_arg == "None":
        return ""
    else:
        return str_arg
    

def writeNewTTGlyph(NewTTGlyph):
    
    #ET.dump(NewTTGlyph)
    # adding an element to the root node
    newRoot[3].append(NewTTGlyph)
    print(newRoot[3])
    newTree.write('../HintingSource/RobotoNEW.xml')
    

# Build new TTGlyph
def keepTTGlyph(arg_index):
    item = glyf[arg_index]
    #print ( item )
    NewTTGlyph = ET.Element("TTGlyph", attrib={'ID': "" + str(arg_index) + ""} )
    NewInstuctions = ET.SubElement(NewTTGlyph, "instructions")
    NewTalk = ET.SubElement(NewInstuctions, "talk")
    NewTalk.text =  validNone(str(item [1]))
    NewAssembly = ET.SubElement(NewInstuctions, "assembly")
    NewAssembly.text =  str(item [2])
    
    writeNewTTGlyph(NewTTGlyph)
    #ET.dump(NewTTGlyph)
    

    
    

# Build new TTGlyph
def buildNewTTGlyph(arg_index, arg_index_new):
    item = glyf[arg_index]
    #print ( item )
    NewTTGlyph = ET.Element("TTGlyph", attrib={'ID': "" + str(arg_index_new) + ""} )
    NewInstuctions = ET.SubElement(NewTTGlyph, "instructions")
    NewTalk = ET.SubElement(NewInstuctions, "talk")
    NewTalk.text =  validNone(str(item [1]))
    NewAssembly = ET.SubElement(NewInstuctions, "assembly")
    NewAssembly.text =  str(item [2])
    
    writeNewTTGlyph(NewTTGlyph)
    #print("NEW INSTRUCTIONS")
    #ET.dump(NewTTGlyph)
    
def findNewTTGlyph(arg_index):
    
    #item = glyf[arg_index]

    itemGlyphToFind = targetGlyphOrder[arg_index]
    
    for item_temp in fullGlyphOrder:
        
        #if the names are equal, return this item
        if itemGlyphToFind[1] == item_temp[1]:
            
            return item_temp
            
    
# sore all hints for lookup
storeAllThints()

removeGlyf()

#buildNewTTGlyph(2281,2281)

# Loop for targetGlyphOrder
for glyph in targetGlyphOrder:
    
    index = int(list( glyph )[0])
    
    print("Current index " + str(index))
    # If glyphindex, name, and unocode are equql
    if CompareGIDS(index):
        # Keep glyph with current index
        keepTTGlyph(index)
    else:
        # If not, build new glyph with corrected index
        #print("nope ")
        #This is the index of the glyph on the full GlyphOrder
        glyph_in_full_GlyphOrder = findNewTTGlyph(index)
        print( glyph_in_full_GlyphOrder )
        #print( list( glyph_in_full_GlyphOrder )[0] )
        
        #This is the index of the glyph on the target GlyphOrder
        glyph_in_target_GlyphOrder = targetGlyphOrder[index]
        print( glyph_in_target_GlyphOrder )
        #print( list( glyph_in_target_GlyphOrder )[0] )
        
        #Thsese are the hints for this glyph on the full GlyphOrder
        #print("OLD INSTRUCTIONS")
        #print( glyf[index] )
        
        #Build new TTGlyph with instruction from first index, with the secon index
        buildNewTTGlyph(int(list( glyph_in_full_GlyphOrder )[0]), int(list( glyph_in_target_GlyphOrder )[0]))
















